package app

import (
	"encoding/json"
	"go-admin/tools"
	"net/http"

	"github.com/gin-gonic/gin"
)

// 失败数据处理
func Error(c *gin.Context, code int, err error, msg string) {
	var res Response
	if err != nil {
		res.Msg = err.Error()
	}
	if msg != "" {
		res.Msg = msg
	}
	res.RequestId = tools.GenerateMsgIDFromContext(c)
	//traceId, _ := c.Get("trace")
	//res.RequestId = traceId.(string)

	c.JSON(http.StatusOK, res.ReturnError(code))
	response, _ := json.Marshal(res)
	c.Set("response", string(response))
}

// 通常成功数据处理
func OK(c *gin.Context, data interface{}, msg string) {
	var res Response
	res.Data = data
	if msg != "" {
		res.Msg = msg
	}
	res.RequestId = tools.GenerateMsgIDFromContext(c)
	//traceId, _ := c.Get("trace")
	//res.RequestId = traceId.(string)

	c.JSON(http.StatusOK, res.ReturnOK())
	response, _ := json.Marshal(res)
	c.Set("response", string(response))
}

// 分页数据处理
func PageOK(c *gin.Context, result interface{}, count int, pageIndex int, pageSize int, msg string) {
	var res Page
	res.List = result
	res.Count = count
	res.PageIndex = pageIndex
	res.PageSize = pageSize
	OK(c, res, msg)
}

// 兼容函数
func Custum(c *gin.Context, data gin.H) {
	c.JSON(http.StatusOK, data)
}
