// Package docs Code generated by swaggo/swag. DO NOT EDIT
package docs

import "github.com/swaggo/swag"

const docTemplate = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "contact": {},
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/api/v1/cashier/create": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "收付款账号设置"
                ],
                "summary": "新增收付款账号",
                "parameters": [
                    {
                        "description": "新增收付款账号模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/basic.CashierCreateRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/cashier/delete": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "收付款账号设置"
                ],
                "summary": "删除收付款账号",
                "parameters": [
                    {
                        "description": "删除收付款账号模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/basic.CashierDetailRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/cashier/detail": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "收付款账号设置"
                ],
                "summary": "查询收付款账号详情",
                "parameters": [
                    {
                        "description": "查询收付款账号详情模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/basic.CashierDetailRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpCashierDetail"
                        }
                    }
                }
            }
        },
        "/api/v1/cashier/edit": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "收付款账号设置"
                ],
                "summary": "编辑收付款账号",
                "parameters": [
                    {
                        "description": "编辑收付款账号模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/basic.CashierEditRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/cashier/list": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "收付款账号设置"
                ],
                "summary": "查询收付款账号列表",
                "parameters": [
                    {
                        "description": "查询收付款账号列表模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/basic.CashierListRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpCashierListResp"
                        }
                    }
                }
            }
        },
        "/api/v1/category/create": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "商品分类"
                ],
                "summary": "创建分类",
                "parameters": [
                    {
                        "description": "商品分类创建模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/basic.CreateCategoryRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/category/delete": {
            "post": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "商品分类"
                ],
                "summary": "删除分类",
                "parameters": [
                    {
                        "description": "删除分类请求模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/basic.DeleteCategoryRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/category/display": {
            "post": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "商品分类"
                ],
                "summary": "隐藏或展示分类",
                "parameters": [
                    {
                        "description": "隐藏或展示分类请求模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/basic.CategoryDisplayRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/category/import_category": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "商品分类"
                ],
                "summary": "导入商品分类",
                "parameters": [
                    {
                        "description": "上传excel文件",
                        "name": "file",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/category/import_category_view": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "商品分类"
                ],
                "summary": "导入商品分类预览",
                "parameters": [
                    {
                        "description": "上传excel文件",
                        "name": "file",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/models.CategoryExcel"
                            }
                        }
                    }
                }
            }
        },
        "/api/v1/category/list": {
            "post": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "商品分类"
                ],
                "summary": "分类列表",
                "parameters": [
                    {
                        "description": "分类列表请求模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/basic.CategoryListRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/models.CategoryModel"
                            }
                        }
                    }
                }
            }
        },
        "/api/v1/category/update": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "商品分类"
                ],
                "summary": "编辑分类",
                "parameters": [
                    {
                        "description": "商品分类编辑模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/basic.UpdateCategoryRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.Category"
                        }
                    }
                }
            }
        },
        "/api/v1/commodity/create": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "商品资料"
                ],
                "summary": "新增商品",
                "parameters": [
                    {
                        "description": "商品新增模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.CommodityCreateRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpCommodity"
                        }
                    }
                }
            }
        },
        "/api/v1/commodity/delete": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "商品资料"
                ],
                "summary": "删除商品",
                "parameters": [
                    {
                        "description": "删除商品模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.CommodityDelRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/commodity/detail": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "商品资料"
                ],
                "summary": "商品详情",
                "parameters": [
                    {
                        "description": "商品详情模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.CommodityDetailRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpCommodity"
                        }
                    }
                }
            }
        },
        "/api/v1/commodity/edit": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "商品资料"
                ],
                "summary": "编辑商品",
                "parameters": [
                    {
                        "description": "编辑商品模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.CommodityEditRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpCommodity"
                        }
                    }
                }
            }
        },
        "/api/v1/commodity/import_commodity": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "商品资料"
                ],
                "summary": "导入商品资料",
                "parameters": [
                    {
                        "description": "上传excel文件",
                        "name": "file",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/commodity/import_commodity_view": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "商品资料"
                ],
                "summary": "导入商品资料预览",
                "parameters": [
                    {
                        "description": "上传excel文件",
                        "name": "file",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/models.CommodityExcel"
                            }
                        }
                    }
                }
            }
        },
        "/api/v1/commodity/list": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "商品资料"
                ],
                "summary": "商品列表",
                "parameters": [
                    {
                        "description": "商品列表模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpCommodityListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpCommodityListResp"
                        }
                    }
                }
            }
        },
        "/api/v1/config": {
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/配置"
                ],
                "summary": "修改配置",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.SysConfig"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/config/{configId}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/配置"
                ],
                "summary": "获取配置",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "配置编码",
                        "name": "configId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除数据",
                "tags": [
                    "system/配置"
                ],
                "summary": "删除配置",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "configId",
                        "name": "configId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"删除失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/configKey/{configKey}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/配置"
                ],
                "summary": "获取配置",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "configKey",
                        "name": "configKey",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/configList": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/配置"
                ],
                "summary": "配置列表数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "configKey",
                        "name": "configKey",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "configName",
                        "name": "configName",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "configType",
                        "name": "configType",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/cooperative/add": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "合作商",
                    "v1.2.0"
                ],
                "summary": "新增供应商",
                "parameters": [
                    {
                        "description": "新增供应商模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.CooperativeBusiness"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/cooperative/edit": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "合作商",
                    "v1.2.0"
                ],
                "summary": "编辑供应商",
                "parameters": [
                    {
                        "description": "编辑供应商模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.CooperativeBusiness"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/cooperative/get_default_info": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "合作商",
                    "v1.2.0"
                ],
                "summary": "获取合作商默认用户名和密码",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.DefaultUserNameAndPasswordResp"
                        }
                    }
                }
            }
        },
        "/api/v1/cooperative/get_pay_info": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "合作商",
                    "v1.2.0"
                ],
                "summary": "获取支付信息",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.CooperativePayInfo"
                        }
                    }
                }
            }
        },
        "/api/v1/cooperative/list": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "合作商",
                    "v1.2.0"
                ],
                "summary": "查看供应商列表",
                "parameters": [
                    {
                        "description": "查看供应商列表模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.CooperativeBusinessListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.CooperativeBusinessListResp"
                        }
                    }
                }
            }
        },
        "/api/v1/cooperative/member_promotion/assistant_report": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "门店管理",
                    "v1.2.0"
                ],
                "summary": "店员绩效",
                "parameters": [
                    {
                        "description": "店员绩效模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.AssistantInviteMemberReportReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.AssistantInviteMemberReportListResp"
                        }
                    }
                }
            }
        },
        "/api/v1/cooperative/member_promotion_statistic/list": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "会员管理",
                    "V1.2.0"
                ],
                "summary": "租卡会员统计",
                "parameters": [
                    {
                        "description": "租卡会员统计模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.CooperativeMemberPromotionStatisticReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.CooperativeMemberPromotionStatisticListResp"
                        }
                    }
                }
            }
        },
        "/api/v1/cooperative/set_pay_info": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "合作商",
                    "v1.2.0"
                ],
                "summary": "设置支付信息",
                "parameters": [
                    {
                        "description": "设置支付信息模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.CooperativeSetPayInfoReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/db/columns/page": {
            "get": {
                "description": "数据库表列分页列表 / database table column page list",
                "tags": [
                    "system/工具"
                ],
                "summary": "分页列表数据 / page list data",
                "parameters": [
                    {
                        "type": "string",
                        "description": "tableName / 数据表名称",
                        "name": "tableName",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "pageSize / 页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "pageIndex / 页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/db/tables/page": {
            "get": {
                "description": "数据库表分页列表 / database table page list",
                "tags": [
                    "system/工具"
                ],
                "summary": "分页列表数据 / page list data",
                "parameters": [
                    {
                        "type": "string",
                        "description": "tableName / 数据表名称",
                        "name": "tableName",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "pageSize / 页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "pageIndex / 页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/decision/month_end_closing/audit": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "决策中心，V1.4.0"
                ],
                "summary": "财务月结-审核",
                "parameters": [
                    {
                        "description": "财务月结-审核模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpMonthEndClosingAuditReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/decision/month_end_closing/create": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "决策中心，V1.4.0"
                ],
                "summary": "财务月结-新增",
                "parameters": [
                    {
                        "description": "财务月结-新增模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpMonthEndClosingCreateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/decision/month_end_closing/delete": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "决策中心，V1.4.0"
                ],
                "summary": "财务月结-删除",
                "parameters": [
                    {
                        "description": "财务月结-删除模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpMonthEndClosingDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/decision/month_end_closing/edit": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "决策中心，V1.4.0"
                ],
                "summary": "财务月结-编辑",
                "parameters": [
                    {
                        "description": "财务月结-编辑模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpMonthEndClosingEditReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpMonthEndClosing"
                        }
                    }
                }
            }
        },
        "/api/v1/decision/month_end_closing/list": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "决策中心，V1.4.0"
                ],
                "summary": "财务月结-列表",
                "parameters": [
                    {
                        "description": "财务月结-列表模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpMonthEndClosingListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpMonthEndClosingListResp"
                        }
                    }
                }
            }
        },
        "/api/v1/decision/month_end_closing/start_date": {
            "get": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "决策中心，V1.4.0"
                ],
                "summary": "财务月结-获取开始日期",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpMonthEndClosingDateResp"
                        }
                    }
                }
            }
        },
        "/api/v1/decision/report": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "决策中心，V1.4.0"
                ],
                "summary": "进销存报表",
                "parameters": [
                    {
                        "description": "进销存报表模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpDecisionReportReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpDecisionReportResp"
                        }
                    }
                }
            }
        },
        "/api/v1/decision/store_sales_report": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "决策中心，V1.4.0"
                ],
                "summary": "门店销售对比",
                "parameters": [
                    {
                        "description": "门店销售对比数据模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpStoreSalesDataReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpStoreSalesDataResp"
                        }
                    }
                }
            }
        },
        "/api/v1/dept": {
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/部门"
                ],
                "summary": "修改部门",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.SysDept"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/部门"
                ],
                "summary": "添加部门",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.SysDept"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/dept/{deptId}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/部门"
                ],
                "summary": "部门列表数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "deptId",
                        "name": "deptId",
                        "in": "path"
                    },
                    {
                        "type": "string",
                        "description": "position",
                        "name": "position",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/dept/{id}": {
            "delete": {
                "description": "删除数据",
                "tags": [
                    "system/部门"
                ],
                "summary": "删除部门",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"删除失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/deptList": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "分页列表",
                "tags": [
                    "system/部门"
                ],
                "summary": "分页部门列表数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "name",
                        "name": "name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "position",
                        "name": "position",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/dict/data": {
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/字典数据"
                ],
                "summary": "修改字典数据",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.DictType"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/字典数据"
                ],
                "summary": "添加字典数据",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.DictType"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/dict/data/list": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/字典数据"
                ],
                "summary": "字典数据列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "status",
                        "name": "status",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "dictCode",
                        "name": "dictCode",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "dictType",
                        "name": "dictType",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/dict/data/{dictCode}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/字典数据"
                ],
                "summary": "通过编码获取字典数据",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "字典编码",
                        "name": "dictCode",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除数据",
                "tags": [
                    "system/字典数据"
                ],
                "summary": "删除字典数据",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "dictCode",
                        "name": "dictCode",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"删除失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/dict/databyType/{dictType}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/字典数据"
                ],
                "summary": "通过字典类型获取字典数据",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "dictType",
                        "name": "dictType",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/dict/type": {
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/字典类型"
                ],
                "summary": "修改字典类型",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.DictType"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/字典类型"
                ],
                "summary": "添加字典类型",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.DictType"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/dict/type/list": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/字典类型"
                ],
                "summary": "字典类型列表数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "dictName",
                        "name": "dictName",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "dictId",
                        "name": "dictId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "dictType",
                        "name": "dictType",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Page"
                        }
                    }
                }
            }
        },
        "/api/v1/dict/type/{dictId}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/字典类型"
                ],
                "summary": "通过字典id获取字典类型",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "字典类型编码",
                        "name": "dictId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除数据",
                "tags": [
                    "system/字典类型"
                ],
                "summary": "删除字典类型",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "dictId",
                        "name": "dictId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"删除失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_order/add_invoice": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "零售订单"
                ],
                "summary": "开发票",
                "parameters": [
                    {
                        "description": "开发票模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrderAddInvoiceReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_order/audit": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "零售订单"
                ],
                "summary": "审核零售订单",
                "parameters": [
                    {
                        "description": "审核零售订单模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrderAuditReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_order/create": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "零售订单"
                ],
                "summary": "新建零售订单",
                "parameters": [
                    {
                        "description": "新建零售订单模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrderCreateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrder"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_order/daily_report": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "零售报表"
                ],
                "summary": "经营日报表",
                "parameters": [
                    {
                        "description": "经营日报表模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrderDailyReportReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrderDailyReportResp"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_order/delete": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "零售订单"
                ],
                "summary": "删除零售订单",
                "parameters": [
                    {
                        "description": "删除零售订单模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrderDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_order/edit": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "零售订单"
                ],
                "summary": "编辑零售订单",
                "parameters": [
                    {
                        "description": "编辑零售订单模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrderCreateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrder"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_order/import": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "零售订单"
                ],
                "summary": "批量导入零售数据",
                "parameters": [
                    {
                        "description": "上传excel文件",
                        "name": "file",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrderBatchImportResp"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_order/list": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "零售订单"
                ],
                "summary": "查询零售订单列表",
                "parameters": [
                    {
                        "description": "查询零售订单列表模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrderListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrderListResp"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_order/pay": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "零售订单"
                ],
                "summary": "收款",
                "parameters": [
                    {
                        "description": "收款模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrderPayReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrderPayResp"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_order/query_pay_status": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "零售订单"
                ],
                "summary": "查询付款状态",
                "parameters": [
                    {
                        "description": "查询付款状态模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrderDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrderPayResp"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_order/receipt_data": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "零售订单"
                ],
                "summary": "查询小票数据",
                "parameters": [
                    {
                        "description": "查询小票数据模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrderDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrderReceiptDataResp"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_order/retail_detail": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "零售报表"
                ],
                "summary": "查询零售明细",
                "parameters": [
                    {
                        "description": "查询零售明细数据模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrderRetailDetailReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrderRetailDetailResp"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_order/retail_margin": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "零售报表"
                ],
                "summary": "查询商品零售毛利汇总",
                "parameters": [
                    {
                        "description": "查询商品零售毛利汇总数据模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrderRetailMarginReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrderRetailMarginResp"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_order/sale_detail": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "零售报表"
                ],
                "summary": "查询销售明细",
                "parameters": [
                    {
                        "description": "查询销售明细数据模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrderSaleDetailReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrderRetailDetailResp"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_order/show_all_data": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "零售订单"
                ],
                "summary": "展示所有订单",
                "parameters": [
                    {
                        "description": "展示所有订单模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrderShowConfig"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_order/store_manage_data": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "零售报表"
                ],
                "summary": "查询门店经营数据",
                "parameters": [
                    {
                        "description": "查询门店经营数据模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrderStoreManageDataReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrderStoreManageDataResp"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_purchase/audit": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "采购管理",
                    "V1.3.0"
                ],
                "summary": "审核采购订单",
                "parameters": [
                    {
                        "description": "审核采购订单模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpPurchaseAuditReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_purchase/change/audit": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "采购换机",
                    "V1.4.5"
                ],
                "summary": "采购换机-审核",
                "parameters": [
                    {
                        "description": "采购换机-审核模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpPurchaseChangeAuditReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_purchase/change/create": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "采购换机",
                    "V1.4.5"
                ],
                "summary": "采购换机-新增",
                "parameters": [
                    {
                        "description": "采购换机-新增模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpPurchaseChangeCreateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpPurchaseChangeOrder"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_purchase/change/delete": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "采购换机",
                    "V1.4.5"
                ],
                "summary": "采购换机-删除",
                "parameters": [
                    {
                        "description": "采购换机-删除模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpPurchaseChangeDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_purchase/change/edit": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "采购换机",
                    "V1.4.5"
                ],
                "summary": "采购换机-编辑",
                "parameters": [
                    {
                        "description": "采购换机-编辑模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpPurchaseChangeEditReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpPurchaseChangeOrder"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_purchase/change/list": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "采购换机",
                    "V1.4.5"
                ],
                "summary": "采购换机-列表",
                "parameters": [
                    {
                        "description": "采购换机列表模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpPurchaseChangeOrderListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpPurchaseChangeOrderListResp"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_purchase/create": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "采购管理",
                    "V1.3.0"
                ],
                "summary": "新建采购订单",
                "parameters": [
                    {
                        "description": "新建采购订单模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpPurchaseCreateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpPurchaseOrder"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_purchase/delete": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "采购管理",
                    "V1.3.0"
                ],
                "summary": "删除采购订单",
                "parameters": [
                    {
                        "description": "删除采购订单模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpPurchaseDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_purchase/demand/create": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "采购需求，V1.4.1"
                ],
                "summary": "创建采购需求",
                "parameters": [
                    {
                        "description": "创建采购需求模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.CreateErpPurchaseDemandReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_purchase/demand/finish": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "采购需求，V1.4.1"
                ],
                "summary": "完成采购需求",
                "parameters": [
                    {
                        "description": "完成采购需求模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.FinishErpPurchaseDemandReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_purchase/demand/get": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "采购需求，V1.4.1"
                ],
                "summary": "获取采购需求",
                "parameters": [
                    {
                        "description": "获取采购需求模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.GetErpPurchaseDemandReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.GetErpPurchaseDemandResp"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_purchase/detail": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "采购管理",
                    "V1.3.0"
                ],
                "summary": "查询采购订单详情",
                "parameters": [
                    {
                        "description": "查询采购订单详情模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpPurchaseDetailReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpPurchaseOrder"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_purchase/edit": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "采购管理",
                    "V1.3.0"
                ],
                "summary": "编辑采购订单",
                "parameters": [
                    {
                        "description": "编辑采购订单模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpPurchaseEditReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpPurchaseOrder"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_purchase/execute": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "采购管理",
                    "V1.3.0"
                ],
                "summary": "执行（入库/退货）",
                "parameters": [
                    {
                        "description": "执行（入库/退货）模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpPurchaseExecuteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpPurchaseExecuteResp"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_purchase/inventory": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "采购管理",
                    "V1.3.0"
                ],
                "summary": "入库（退货）",
                "parameters": [
                    {
                        "description": "入库（退货）模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpPurchaseInventoryReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_purchase/list": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "采购管理",
                    "V1.3.0"
                ],
                "summary": "查询采购订单列表",
                "parameters": [
                    {
                        "description": "查询采购订单列表模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpPurchaseOrderListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpPurchaseOrderListResp"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_purchase/report/commodity": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "采购报表",
                    "V1.3.0"
                ],
                "summary": "采购报表（按商品）",
                "parameters": [
                    {
                        "description": "采购报表（按商品）模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpPurchaseReportByCommodityReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpPurchaseReportByCommodityResp"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_purchase/report/detail": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "采购报表",
                    "V1.3.0"
                ],
                "summary": "采购明细",
                "parameters": [
                    {
                        "description": "采购明细模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpPurchaseReportDetailReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpPurchaseReportDetailResp"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_purchase/report/order": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "采购报表",
                    "V1.3.0"
                ],
                "summary": "采购报表（按单）",
                "parameters": [
                    {
                        "description": "采购报表（按单）模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpPurchaseReportByOrderReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpPurchaseReportByOrderResp"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_purchase/report/supplier": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "采购报表",
                    "V1.3.0"
                ],
                "summary": "供应商采购汇总",
                "parameters": [
                    {
                        "description": "供应商采购汇总模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpPurchaseReportBySupplierReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpPurchaseReportBySupplierResp"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_purchase/terminate": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "采购管理",
                    "V1.3.0"
                ],
                "summary": "终止采购",
                "parameters": [
                    {
                        "description": "终止采购模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpPurchaseTerminateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/goods/goods_list": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "租卡系统-库存管理"
                ],
                "summary": "查询库存游戏卡串码",
                "parameters": [
                    {
                        "description": "查询库存游戏卡串码",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.GetGameCardGoodsListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.GetGameCardGoodsListResp"
                        }
                    }
                }
            }
        },
        "/api/v1/group_send_message/template/list": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信群发",
                    "V1.2.0"
                ],
                "summary": "短信群发",
                "parameters": [
                    {
                        "description": "查询短信模版列表模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.GroupSendMessageCreateTemplateListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.GroupSendMessageCreateTemplateListResp"
                        }
                    }
                }
            }
        },
        "/api/v1/home_category/add": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "首页分类，V1.4.5"
                ],
                "summary": "首页分类-新增",
                "parameters": [
                    {
                        "description": "首页分类-新增模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.HomeCategoryAddReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/home_category/delete": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "首页分类，V1.4.5"
                ],
                "summary": "首页分类-删除",
                "parameters": [
                    {
                        "description": " 首页分类-删除模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.HomeCategoryDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/home_category/edit": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "首页分类，V1.4.5"
                ],
                "summary": "首页分类-编辑",
                "parameters": [
                    {
                        "description": "首页分类-编辑模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.HomeCategoryEditReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.HomeCategory"
                        }
                    }
                }
            }
        },
        "/api/v1/home_category/list": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "首页分类，V1.4.5"
                ],
                "summary": "首页分类-列表",
                "parameters": [
                    {
                        "description": "首页分类-列表模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.HomeCategoryListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.HomeCategoryListResp"
                        }
                    }
                }
            }
        },
        "/api/v1/inventory/add_remark": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "库存管理"
                ],
                "summary": "添加备注",
                "parameters": [
                    {
                        "description": "添加备注模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/inventorymanage.AddRemarkReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/inventory/allot/add": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "库存调拨，V1.4.0"
                ],
                "summary": "新增",
                "parameters": [
                    {
                        "description": "新增模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.InventoryAllotAddReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpInventoryAllotOrder"
                        }
                    }
                }
            }
        },
        "/api/v1/inventory/allot/audit": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "库存调拨，V1.4.0"
                ],
                "summary": "审核",
                "parameters": [
                    {
                        "description": "审核模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.InventoryAllotAuditReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/inventory/allot/delete": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "库存调拨，V1.4.0"
                ],
                "summary": "删除",
                "parameters": [
                    {
                        "description": "删除模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.InventoryAllotDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/inventory/allot/deliver": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "库存调拨，V1.4.0"
                ],
                "summary": "调拨发货",
                "parameters": [
                    {
                        "description": "调拨发货模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.InventoryAllotDeliverReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/inventory/allot/detail": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "库存调拨，V1.4.0"
                ],
                "summary": "库存调拨详情",
                "parameters": [
                    {
                        "description": "库存调拨详情模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.InventoryAllotDetailReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpInventoryAllotOrder"
                        }
                    }
                }
            }
        },
        "/api/v1/inventory/allot/edit": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "库存调拨，V1.4.0"
                ],
                "summary": "编辑",
                "parameters": [
                    {
                        "description": "编辑模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.InventoryAllotEditReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpInventoryAllotOrder"
                        }
                    }
                }
            }
        },
        "/api/v1/inventory/allot/list": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "库存调拨，V1.4.0"
                ],
                "summary": "库存调拨列表",
                "parameters": [
                    {
                        "description": "库存调拨列表模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.InventoryAllotListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.InventoryAllotListResp"
                        }
                    }
                }
            }
        },
        "/api/v1/inventory/allot/receive": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "库存调拨，V1.4.0"
                ],
                "summary": "调拨收货",
                "parameters": [
                    {
                        "description": "调拨收货模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.InventoryAllotReceiveReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/inventory/change/add": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "库存变动，V1.4.0"
                ],
                "summary": "新增",
                "parameters": [
                    {
                        "description": "新增模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.InventoryChangeAddReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpInventoryChangeOrder"
                        }
                    }
                }
            }
        },
        "/api/v1/inventory/change/audit": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "库存变动，V1.4.0"
                ],
                "summary": "审核",
                "parameters": [
                    {
                        "description": "审核模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.InventoryChangeAuditReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/inventory/change/delete": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "库存变动，V1.4.0"
                ],
                "summary": "删除",
                "parameters": [
                    {
                        "description": "删除模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.InventoryChangeDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/inventory/change/detail": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "库存变动，V1.4.0"
                ],
                "summary": "库存变动详情",
                "parameters": [
                    {
                        "description": "库存变动详情模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.InventoryChangeDetailReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpInventoryChangeOrder"
                        }
                    }
                }
            }
        },
        "/api/v1/inventory/change/edit": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "库存变动，V1.4.0"
                ],
                "summary": "编辑",
                "parameters": [
                    {
                        "description": "编辑模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.InventoryChangeEditReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpInventoryChangeOrder"
                        }
                    }
                }
            }
        },
        "/api/v1/inventory/change/list": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "库存变动，V1.4.0"
                ],
                "summary": "库存变动列表",
                "parameters": [
                    {
                        "description": "库存变动列表模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.InventoryChangeListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.InventoryChangeListResp"
                        }
                    }
                }
            }
        },
        "/api/v1/inventory/delivery": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "库存管理"
                ],
                "summary": "出库",
                "parameters": [
                    {
                        "description": "出库模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/inventorymanage.DeliveryCargoReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/inventory/detail": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "库存管理"
                ],
                "summary": "查询库存详情",
                "parameters": [
                    {
                        "description": "查询库存详情模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpStockCommodityListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpStockCommodityListResp"
                        }
                    }
                }
            }
        },
        "/api/v1/inventory/detail_new": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "库存管理"
                ],
                "summary": "查询库存详情（详情页专用，门店复选）",
                "parameters": [
                    {
                        "description": "查询库存详情模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.NewErpStockCommodityListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpStockCommodityListResp"
                        }
                    }
                }
            }
        },
        "/api/v1/inventory/imei/trace": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "库存管理"
                ],
                "summary": "串码追踪",
                "parameters": [
                    {
                        "description": "串码追踪模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ImeiTraceReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ImeiTraceResp"
                        }
                    }
                }
            }
        },
        "/api/v1/inventory/import": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "库存管理"
                ],
                "summary": "库存导入",
                "parameters": [
                    {
                        "description": "上传excel文件",
                        "name": "file",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/inventory/list": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "库存管理"
                ],
                "summary": "查询库存列表",
                "parameters": [
                    {
                        "description": "查询库存列表模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpStockListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpStockListResp"
                        }
                    }
                }
            }
        },
        "/api/v1/inventory/print": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "库存管理"
                ],
                "summary": "批量打印",
                "parameters": [
                    {
                        "description": "批量打印模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.BatchPrintInfoReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/inventory/product/add": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "产品入库，V1.4.0"
                ],
                "summary": "新增",
                "parameters": [
                    {
                        "description": "新增模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ProductInventoryAddReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpInventoryProductOrder"
                        }
                    }
                }
            }
        },
        "/api/v1/inventory/product/audit": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "产品入库，V1.4.0"
                ],
                "summary": "审核",
                "parameters": [
                    {
                        "description": "审核模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ProductInventoryAuditReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/inventory/product/delete": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "产品入库，V1.4.0"
                ],
                "summary": "删除",
                "parameters": [
                    {
                        "description": "删除模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ProductInventoryDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/inventory/product/detail": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "产品入库，V1.4.0"
                ],
                "summary": "产品入库详情",
                "parameters": [
                    {
                        "description": "产品入库详情模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ProductInventoryDetailReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpInventoryProductOrder"
                        }
                    }
                }
            }
        },
        "/api/v1/inventory/product/edit": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "产品入库，V1.4.0"
                ],
                "summary": "编辑",
                "parameters": [
                    {
                        "description": "编辑模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ProductInventoryEditReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpInventoryProductOrder"
                        }
                    }
                }
            }
        },
        "/api/v1/inventory/product/getIMEI": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "产品入库，V1.4.0"
                ],
                "summary": "系统生成串码",
                "parameters": [
                    {
                        "description": "系统生成串码模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ProductInventoryGetIMEIReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ProductInventoryGetIMEIResp"
                        }
                    }
                }
            }
        },
        "/api/v1/inventory/product/list": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "产品入库，V1.4.0"
                ],
                "summary": "产品入库列表",
                "parameters": [
                    {
                        "description": "产品入库列表模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ProductInventoryListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ProductInventoryListResp"
                        }
                    }
                }
            }
        },
        "/api/v1/inventory/query_code": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "库存管理"
                ],
                "summary": "查询商品串码或条码",
                "parameters": [
                    {
                        "description": "查询商品串码或条码模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.QueryCodeReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.QueryCodeResp"
                        }
                    }
                }
            }
        },
        "/api/v1/inventory/query_name": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "库存管理"
                ],
                "summary": "通过名称模糊查询商品库存详情",
                "parameters": [
                    {
                        "description": "通过名称模糊查询商品库存详情模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.QueryNameReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpStockCommodityListResp"
                        }
                    }
                }
            }
        },
        "/api/v1/inventory/report/allot": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "库存报表，V1.4.0"
                ],
                "summary": "库存调拨汇总",
                "parameters": [
                    {
                        "description": "库存调拨汇总模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.InventoryReportByAllotReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.InventoryReportByAllotResp"
                        }
                    }
                }
            }
        },
        "/api/v1/inventory/report/allot_detail": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "库存报表，V1.4.0"
                ],
                "summary": "库存调拨明细",
                "parameters": [
                    {
                        "description": "库存调拨明细模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.InventoryReportAllotDetailReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.InventoryReportAllotDetailResp"
                        }
                    }
                }
            }
        },
        "/api/v1/inventory/report/other": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "库存报表，V1.4.0"
                ],
                "summary": "其他出入库汇总",
                "parameters": [
                    {
                        "description": "其他出入库汇总模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.InventoryReportByOtherReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.InventoryReportByOtherResp"
                        }
                    }
                }
            }
        },
        "/api/v1/inventory/report/other_detail": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "库存报表，V1.4.0"
                ],
                "summary": "其他出入库明细",
                "parameters": [
                    {
                        "description": "其他出入库明细模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.InventoryReportOtherDetailReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.InventoryReportOtherDetailResp"
                        }
                    }
                }
            }
        },
        "/api/v1/inventory/report/product": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "库存报表，V1.4.0"
                ],
                "summary": "产品库存汇总（按门店）",
                "parameters": [
                    {
                        "description": "产品库存汇总（按门店）模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.InventoryReportByProductReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.InventoryReportByProductResp"
                        }
                    }
                }
            }
        },
        "/api/v1/loginlog": {
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/日志"
                ],
                "summary": "修改登录日志",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.LoginLog"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/日志"
                ],
                "summary": "添加登录日志",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.LoginLog"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/loginlog/{infoId}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/日志"
                ],
                "summary": "通过编码获取登录日志",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "infoId",
                        "name": "infoId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除数据",
                "tags": [
                    "system/日志"
                ],
                "summary": "批量删除登录日志",
                "parameters": [
                    {
                        "type": "string",
                        "description": "以逗号（,）分割的infoId",
                        "name": "infoId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"删除失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/loginloglist": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/日志"
                ],
                "summary": "登录日志列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "status",
                        "name": "status",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "dictCode",
                        "name": "dictCode",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "dictType",
                        "name": "dictType",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/mall/goods/create": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "商城管理"
                ],
                "summary": "新增商品",
                "parameters": [
                    {
                        "description": "新增商品模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.Goods"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.Goods"
                        }
                    }
                }
            }
        },
        "/api/v1/mall/goods/order/list": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "订单管理"
                ],
                "summary": "查询商城订单列表",
                "parameters": [
                    {
                        "description": "查询商城订单列表",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.GoodsOrderListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": { \"total\": 4, \"pageIndex\":0, \"total_page\":10, \"list\":{} }}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/mall/goods/user/vm_record": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "数据统计",
                    "V1.2.0"
                ],
                "summary": "用户积分记录",
                "parameters": [
                    {
                        "description": "用户积分记录模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.MallUserVmRecordReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.MallUserVmRecordResp"
                        }
                    }
                }
            }
        },
        "/api/v1/marketing/coupon/create": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "营销管理，V1.4.4"
                ],
                "summary": "新增优惠券",
                "parameters": [
                    {
                        "description": "新增优惠券模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpMarketingCouponCreateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/marketing/coupon/data": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "营销管理，V1.4.4"
                ],
                "summary": "优惠券数据",
                "parameters": [
                    {
                        "description": "优惠券数据模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpMarketingCouponDataReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpMarketingCouponDataResp"
                        }
                    }
                }
            }
        },
        "/api/v1/marketing/coupon/delete": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "营销管理，V1.4.4"
                ],
                "summary": "删除优惠券",
                "parameters": [
                    {
                        "description": "删除优惠券模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpMarketingCouponDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/marketing/coupon/detail": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "营销管理，V1.4.4"
                ],
                "summary": "优惠券详情",
                "parameters": [
                    {
                        "description": "优惠券详情模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpMarketingCouponDetailReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpCoupon"
                        }
                    }
                }
            }
        },
        "/api/v1/marketing/coupon/edit": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "营销管理，V1.4.4"
                ],
                "summary": "编辑优惠券",
                "parameters": [
                    {
                        "description": "编辑优惠券模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpMarketingCouponEditReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/marketing/coupon/list": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "营销管理，V1.4.4"
                ],
                "summary": "优惠券列表",
                "parameters": [
                    {
                        "description": "优惠券列表模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpMarketingCouponListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpMarketingCouponListResp"
                        }
                    }
                }
            }
        },
        "/api/v1/marketing/coupon/start": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "营销管理，V1.4.4"
                ],
                "summary": "启动优惠券发放",
                "parameters": [
                    {
                        "description": "启动优惠券发放模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpMarketingCouponStartReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/marketing/generateScheme": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "营销管理，V1.4.4"
                ],
                "summary": "获取小程序跳转链接",
                "parameters": [
                    {
                        "description": "获取小程序跳转链接模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.GenerateSchemeReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.GenerateSchemeResp"
                        }
                    }
                }
            }
        },
        "/api/v1/menu": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/菜单"
                ],
                "summary": "Menu列表数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "menuName",
                        "name": "menuName",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"抱歉未找到相关信息\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/x-www-form-urlencoded"
                ],
                "tags": [
                    "system/菜单"
                ],
                "summary": "创建菜单",
                "parameters": [
                    {
                        "type": "string",
                        "description": "menuName",
                        "name": "menuName",
                        "in": "formData",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "Path",
                        "name": "Path",
                        "in": "formData"
                    },
                    {
                        "type": "string",
                        "description": "Action",
                        "name": "Action",
                        "in": "formData",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "Permission",
                        "name": "Permission",
                        "in": "formData",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "ParentId",
                        "name": "ParentId",
                        "in": "formData",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "IsDel",
                        "name": "IsDel",
                        "in": "formData",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/menu/{id}": {
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/x-www-form-urlencoded"
                ],
                "tags": [
                    "system/菜单"
                ],
                "summary": "修改菜单",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.Menu"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"修改失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除数据",
                "tags": [
                    "system/菜单"
                ],
                "summary": "删除菜单",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"删除失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/menuTreeselect": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/x-www-form-urlencoded"
                ],
                "tags": [
                    "system/菜单"
                ],
                "summary": "获取菜单树",
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/menuids/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/菜单"
                ],
                "summary": "获取角色对应的菜单id数组",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"抱歉未找到相关信息\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/menulist": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/菜单"
                ],
                "summary": "Menu列表数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "menuName",
                        "name": "menuName",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"抱歉未找到相关信息\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/menurole": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/菜单"
                ],
                "summary": "根据角色名称获取菜单列表数据（左菜单使用）",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"抱歉未找到相关信息\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/operlog": {
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/日志"
                ],
                "summary": "添加操作日志",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.SysOperLog"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/operlog/{infoId}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/日志"
                ],
                "summary": "通过编码获取登录日志",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "infoId",
                        "name": "infoId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/operlog/{operId}": {
            "delete": {
                "description": "删除数据",
                "tags": [
                    "system/日志"
                ],
                "summary": "批量删除操作日志",
                "parameters": [
                    {
                        "type": "string",
                        "description": "以逗号（,）分割的operId",
                        "name": "operId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"删除失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/operloglist": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/日志"
                ],
                "summary": "操作日志列表（update）",
                "parameters": [
                    {
                        "type": "string",
                        "description": "status",
                        "name": "status",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "dictCode",
                        "name": "dictCode",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "dictType",
                        "name": "dictType",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "开时时间",
                        "name": "startTime",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "结束时间",
                        "name": "endTime",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/order/fund_record/list": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "财务管理"
                ],
                "summary": "查询财务统计列表",
                "parameters": [
                    {
                        "description": "查询财务统计列表模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.FundRecordListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.FundRecordListResp"
                        }
                    }
                }
            }
        },
        "/api/v1/order/list": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "租卡系统-订单管理"
                ],
                "summary": "查询租赁订单列表",
                "parameters": [
                    {
                        "description": "查询租赁订单列表",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.OrderListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": { \"total\": 4, \"pageIndex\":0, \"total_page\":10, \"list\":{} }}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/order/list_export": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "订单管理"
                ],
                "summary": "导出订单列表",
                "parameters": [
                    {
                        "description": "导出订单列表模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.OrderListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": { \"export_url\": \"\" }}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/post": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/岗位"
                ],
                "summary": "岗位列表数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "postName",
                        "name": "postName",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "postCode",
                        "name": "postCode",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "postId",
                        "name": "postId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "status",
                        "name": "status",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/岗位"
                ],
                "summary": "添加岗位",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.Post"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/post/": {
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/岗位"
                ],
                "summary": "修改岗位",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.Post"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/post/{postId}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/岗位"
                ],
                "summary": "获取岗位信息",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "postId",
                        "name": "postId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除数据",
                "tags": [
                    "system/岗位"
                ],
                "summary": "删除岗位",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"删除成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "500": {
                        "description": "{\"code\": 500, \"message\": \"删除失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/public/uploadFile": {
            "post": {
                "description": "获取JSON",
                "consumes": [
                    "multipart/form-data"
                ],
                "tags": [
                    "system/公共接口"
                ],
                "summary": "上传图片",
                "parameters": [
                    {
                        "type": "string",
                        "description": "type",
                        "name": "type",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "file",
                        "description": "file",
                        "name": "file",
                        "in": "formData",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/recycle_card/order/list": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "租卡系统-订单管理"
                ],
                "summary": "查询小程序回收订单",
                "parameters": [
                    {
                        "description": "查询小程序回收订单",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.RecycleCardOrderListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.RecycleCardOrderListRsp"
                        }
                    }
                }
            }
        },
        "/api/v1/repair/audit": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "维修管理，V1.4.6"
                ],
                "summary": "审核维修订单",
                "parameters": [
                    {
                        "description": "审核维修订单模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpRepairAuditReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/repair/complete": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "维修管理，V1.4.6"
                ],
                "summary": "维修订单完成",
                "parameters": [
                    {
                        "description": "维修订单完成模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpRepairCompleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/repair/create": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "维修管理，V1.4.6"
                ],
                "summary": "新增维修订单",
                "parameters": [
                    {
                        "description": "新增维修订单模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.RepairCreateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.RepairRecord"
                        }
                    }
                }
            }
        },
        "/api/v1/repair/delete": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "维修管理，V1.4.6"
                ],
                "summary": "删除维修订单",
                "parameters": [
                    {
                        "description": "删除维修订单模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpRepairDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/repair/detail": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "维修管理，V1.4.6"
                ],
                "summary": "查询维修订单详情",
                "parameters": [
                    {
                        "description": "查询维修订单详情模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpRepairDetailReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.RepairRecord"
                        }
                    }
                }
            }
        },
        "/api/v1/repair/edit": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "维修管理，V1.4.6"
                ],
                "summary": "编辑维修订单",
                "parameters": [
                    {
                        "description": "编辑维修订单模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.RepairEditReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.RepairRecord"
                        }
                    }
                }
            }
        },
        "/api/v1/repair/list": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "维修管理，V1.4.6"
                ],
                "summary": "查询维修订单列表",
                "parameters": [
                    {
                        "description": "查询维修订单列表模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpRepairOrderListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpRepairOrderListResp"
                        }
                    }
                }
            }
        },
        "/api/v1/repair/send": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "维修管理，V1.4.6"
                ],
                "summary": "维修订单送修",
                "parameters": [
                    {
                        "description": "维修订单送修模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpRepairSendReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/role": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/角色"
                ],
                "summary": "获取Role数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "roleId",
                        "name": "roleId",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"抱歉未找到相关信息\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "put": {
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/角色"
                ],
                "summary": "修改用户角色",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.SysRole"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"修改失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "post": {
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/角色"
                ],
                "summary": "创建角色",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.SysRole"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/role/{roleId}": {
            "delete": {
                "description": "删除数据",
                "tags": [
                    "system/角色"
                ],
                "summary": "删除用户角色",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "roleId",
                        "name": "roleId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"删除失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/rolelist": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "Get JSON",
                "tags": [
                    "system/角色"
                ],
                "summary": "角色列表数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "roleName",
                        "name": "roleName",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "status",
                        "name": "status",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "roleKey",
                        "name": "roleKey",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/rolemenu": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/角色菜单"
                ],
                "summary": "RoleMenu列表数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "RoleId",
                        "name": "RoleId",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"抱歉未找到相关信息\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/rolemenu/{id}": {
            "delete": {
                "description": "删除数据",
                "tags": [
                    "system/角色菜单"
                ],
                "summary": "删除用户菜单数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "menu_id",
                        "name": "menu_id",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"删除失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/setting": {
            "get": {
                "description": "获取JSON",
                "tags": [
                    "system/系统信息"
                ],
                "summary": "查询系统信息",
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/settings/serverInfo": {
            "get": {
                "description": "获取JSON",
                "tags": [
                    "system/系统信息"
                ],
                "summary": "系统信息",
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/stock/cannibalize_task/detail": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "租卡系统-库存管理"
                ],
                "summary": "查询游戏卡库存调拨明细",
                "parameters": [
                    {
                        "description": "查询游戏卡库存调拨明细",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.CannibalizeTaskDetailReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.CannibalizeTaskDetailResp"
                        }
                    }
                }
            }
        },
        "/api/v1/stock/cannibalize_task/list": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "租卡系统-库存管理"
                ],
                "summary": "查询游戏卡库存调拨",
                "parameters": [
                    {
                        "description": "查询游戏卡库存调拨",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.CannibalizeTaskListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.CannibalizeTaskListResp"
                        }
                    }
                }
            }
        },
        "/api/v1/stock/card/dels": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "租卡系统-库存管理"
                ],
                "summary": "游戏卡出库",
                "parameters": [
                    {
                        "description": "游戏卡出库模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.GameCardGoodsStockDelsReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/stock/list": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "租卡系统-库存管理"
                ],
                "summary": "查询小程序租卡库存列表",
                "parameters": [
                    {
                        "description": "查询小程序租卡库存列表",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.GameCardGoodsStockListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.GameCardGoodsStockListResp"
                        }
                    }
                }
            }
        },
        "/api/v1/stock/out_list": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "租卡系统-库存管理"
                ],
                "summary": "出库明细",
                "parameters": [
                    {
                        "description": "出库明细模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.GameCardGoodsStockOutInfoListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.GameCardGoodsStockOutInfoListResp"
                        }
                    }
                }
            }
        },
        "/api/v1/store/add": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "门店管理"
                ],
                "summary": "新增门店",
                "parameters": [
                    {
                        "description": "新增门店模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.Store"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/supplier/create": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "供应商管理，V1.4.1"
                ],
                "summary": "创建供应商",
                "parameters": [
                    {
                        "description": "供应商模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/basic.SupplierCreateRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.Supplier"
                        }
                    }
                }
            }
        },
        "/api/v1/supplier/delete/{id}": {
            "delete": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "供应商管理，V1.4.1"
                ],
                "summary": "删除供应商",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "供应商id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/supplier/detail/{id}": {
            "get": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "供应商管理，V1.4.1"
                ],
                "summary": "供应商详情",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "供应商id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.Supplier"
                        }
                    }
                }
            }
        },
        "/api/v1/supplier/list": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "供应商管理，V1.4.1"
                ],
                "summary": "供应商列表",
                "parameters": [
                    {
                        "description": "供应商查询模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.GetSupplierRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/models.GetSupplierResp"
                            }
                        }
                    }
                }
            }
        },
        "/api/v1/supplier/update": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "供应商管理，V1.4.1"
                ],
                "summary": "更新供应商",
                "parameters": [
                    {
                        "description": "供应商模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/basic.SupplierUpdateRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/sys/tables/info": {
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "修改表结构",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/工具"
                ],
                "summary": "修改表结构",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/tools.SysTables"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "添加表结构",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/工具"
                ],
                "summary": "添加表结构",
                "parameters": [
                    {
                        "type": "string",
                        "description": "tableName / 数据表名称",
                        "name": "tables",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/sys/tables/info/{tableId}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/工具"
                ],
                "summary": "获取配置",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "configKey",
                        "name": "configKey",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除表结构",
                "tags": [
                    "system/工具"
                ],
                "summary": "删除表结构",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "tableId",
                        "name": "tableId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"删除失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/sys/tables/page": {
            "get": {
                "description": "生成表分页列表",
                "tags": [
                    "system/工具"
                ],
                "summary": "分页列表数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "tableName / 数据表名称",
                        "name": "tableName",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "pageSize / 页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "pageIndex / 页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/sysUser": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/用户"
                ],
                "summary": "获取用户角色和职位",
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            },
            "post": {
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/用户"
                ],
                "summary": "创建用户(update)",
                "parameters": [
                    {
                        "description": "用户数据",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.InsertSysUserReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/sysUser/{userId}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/用户"
                ],
                "summary": "获取用户",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "用户编码",
                        "name": "userId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/sysUserList": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/用户"
                ],
                "summary": "列表用户信息数据(update)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "用户名称",
                        "name": "username",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "状态：0-正常，1-停用",
                        "name": "status",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "手机号",
                        "name": "phone",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "页面条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "角色id",
                        "name": "roleId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "昵称",
                        "name": "nickName",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "门店id",
                        "name": "storeId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "店员兑换码",
                        "name": "shopper_code",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "小程序ID",
                        "name": "uid",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "是否导出：1-导出",
                        "name": "is_export",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.SysUserListResp"
                        }
                    }
                }
            }
        },
        "/api/v1/syscategory": {
            "post": {
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/分类"
                ],
                "summary": "添加分类",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.SysCategory"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/syscontent": {
            "post": {
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/内容管理"
                ],
                "summary": "添加内容管理",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.SysContent"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/sysfiledir": {
            "post": {
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/file"
                ],
                "summary": "添加SysFileDir",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.SysFileDir"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/system/setting": {
            "post": {
                "description": "获取JSON",
                "tags": [
                    "system/系统信息"
                ],
                "summary": "更新或提交系统信息",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.SysUser"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/sysuser/{userId}": {
            "put": {
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/用户"
                ],
                "summary": "修改用户数据(update)",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.InsertSysUserReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"修改失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除数据",
                "tags": [
                    "system/用户"
                ],
                "summary": "删除用户数据",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "userId",
                        "name": "userId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"删除失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/user/profile": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/用户"
                ],
                "summary": "获取个人中心用户",
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/user/profileAvatar": {
            "post": {
                "description": "获取JSON",
                "consumes": [
                    "multipart/form-data"
                ],
                "tags": [
                    "system/用户"
                ],
                "summary": "修改头像",
                "parameters": [
                    {
                        "type": "file",
                        "description": "file",
                        "name": "file",
                        "in": "formData",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/user_info/list": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "会员管理",
                    "V1.2.0"
                ],
                "summary": "所有用户",
                "parameters": [
                    {
                        "description": "所有用户模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.NewUserListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.NewUserListResp"
                        }
                    }
                }
            }
        },
        "/api/v1/user_info/new_user_invite_record_list": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "会员管理",
                    "V1.2.0"
                ],
                "summary": "会员邀请记录",
                "parameters": [
                    {
                        "description": "会员邀请记录模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.NewUserInviteRecordReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.UserInviteRecordListResp"
                        }
                    }
                }
            }
        },
        "/api/v1/user_info/privilege_member/activate_extended_warranty": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "会员管理",
                    "V1.4.2"
                ],
                "summary": "零售尊享会员激活主机延保",
                "parameters": [
                    {
                        "description": "零售尊享会员激活主机延保模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ActivateExtendedWarrantyReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/user_info/privilege_member/cancel_members": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "会员管理",
                    "V1.4.2"
                ],
                "summary": "取消尊享会员",
                "parameters": [
                    {
                        "description": "取消尊享会员模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.CancelPrivilegeMembersReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/user_info/privilege_member/list": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "会员管理",
                    "V1.4.2"
                ],
                "summary": "零售尊享会员列表",
                "parameters": [
                    {
                        "description": "零售尊享会员列表模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.PrivilegeMemberListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.PrivilegeMemberListResp"
                        }
                    }
                }
            }
        },
        "/api/v1/user_info/tel": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "用户信息"
                ],
                "summary": "查询会员手机号",
                "parameters": [
                    {
                        "description": "查询会员手机号模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.TelListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/login": {
            "post": {
                "description": "获取token\nLoginHandler can be used by clients to get a jwt token.\nPayload needs to be json in the form of {\"username\": \"USERNAME\", \"password\": \"PASSWORD\"}.\nReply will be of the form {\"token\": \"TOKEN\"}.\ndev mode：It should be noted that all fields cannot be empty, and a value of 0 can be passed in addition to the account password\n注意：开发模式：需要注意全部字段不能为空，账号密码外可以传入0值",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/用户"
                ],
                "summary": "登陆",
                "parameters": [
                    {
                        "description": "account",
                        "name": "account",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.Login"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"expire\": \"2019-08-07T12:45:48+08:00\", \"token\": \".eyJleHAiOjE1NjUxNTMxNDgsImlkIjoiYWRtaW4iLCJvcmlnX2lhdCI6MTU2NTE0OTU0OH0.-zvzHvbg0A\" }",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/logout": {
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取token",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/用户"
                ],
                "summary": "退出登录",
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"msg\": \"成功退出系统\" }",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "app.Page": {
            "type": "object",
            "properties": {
                "count": {
                    "type": "integer"
                },
                "list": {},
                "pageIndex": {
                    "type": "integer"
                },
                "pageSize": {
                    "type": "integer"
                }
            }
        },
        "app.Response": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "代码",
                    "type": "integer",
                    "example": 200
                },
                "data": {
                    "description": "数据集"
                },
                "msg": {
                    "description": "消息",
                    "type": "string"
                },
                "requestId": {
                    "description": "请求id",
                    "type": "string"
                }
            }
        },
        "basic.CashierCreateRequest": {
            "type": "object",
            "required": [
                "name",
                "store_num"
            ],
            "properties": {
                "bank_account": {
                    "description": "银行账号",
                    "type": "string"
                },
                "bank_name": {
                    "description": "银行全称",
                    "type": "string"
                },
                "name": {
                    "description": "账号名称",
                    "type": "string"
                },
                "store_num": {
                    "description": "门店编号",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "basic.CashierDetailRequest": {
            "type": "object",
            "required": [
                "cashier_id"
            ],
            "properties": {
                "cashier_id": {
                    "description": "账号id",
                    "type": "integer"
                }
            }
        },
        "basic.CashierEditRequest": {
            "type": "object",
            "required": [
                "cashier_id",
                "name",
                "store_num"
            ],
            "properties": {
                "bank_account": {
                    "description": "银行账号",
                    "type": "string"
                },
                "bank_name": {
                    "description": "银行全称",
                    "type": "string"
                },
                "cashier_id": {
                    "description": "账号id",
                    "type": "integer"
                },
                "name": {
                    "description": "账号名称",
                    "type": "string"
                },
                "store_num": {
                    "description": "门店编号",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "basic.CashierListRequest": {
            "type": "object",
            "properties": {
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页条数",
                    "type": "integer"
                },
                "store_id": {
                    "description": "门店编号",
                    "type": "integer"
                }
            }
        },
        "basic.CategoryDisplayRequest": {
            "type": "object",
            "properties": {
                "display": {
                    "description": "是否展示 1展示 0隐藏",
                    "type": "integer"
                },
                "id": {
                    "description": "分类id",
                    "type": "integer"
                }
            }
        },
        "basic.CategoryListRequest": {
            "type": "object",
            "properties": {
                "is_all": {
                    "description": "是否展示全部",
                    "type": "boolean"
                }
            }
        },
        "basic.CreateCategoryRequest": {
            "type": "object",
            "required": [
                "name"
            ],
            "properties": {
                "name": {
                    "description": "名称",
                    "type": "string"
                },
                "pid": {
                    "description": "父分类id",
                    "type": "integer"
                }
            }
        },
        "basic.DeleteCategoryRequest": {
            "type": "object",
            "required": [
                "category_id"
            ],
            "properties": {
                "category_id": {
                    "type": "integer"
                }
            }
        },
        "basic.SupplierCreateRequest": {
            "type": "object",
            "required": [
                "bank_list",
                "name"
            ],
            "properties": {
                "account_holder": {
                    "description": "开户人",
                    "type": "string"
                },
                "address": {
                    "description": "地址",
                    "type": "string"
                },
                "area": {
                    "description": "地区",
                    "type": "string"
                },
                "bank_account": {
                    "description": "银行卡号",
                    "type": "string"
                },
                "bank_list": {
                    "description": "开户银行信息列表",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.SupplierBankInfo"
                    }
                },
                "city": {
                    "description": "城市",
                    "type": "string"
                },
                "company_website": {
                    "description": "网站",
                    "type": "string"
                },
                "contact": {
                    "description": "联系人",
                    "type": "string"
                },
                "email": {
                    "description": "邮箱",
                    "type": "string"
                },
                "landline": {
                    "description": "固话",
                    "type": "string"
                },
                "name": {
                    "description": "供应商名称",
                    "type": "string"
                },
                "opening_bank": {
                    "description": "开户行",
                    "type": "string"
                },
                "payment_cycle": {
                    "description": "支付周期",
                    "type": "integer"
                },
                "province": {
                    "description": "省份",
                    "type": "string"
                },
                "tax_number": {
                    "description": "税点",
                    "type": "string"
                },
                "tel": {
                    "description": "手机号",
                    "type": "string"
                }
            }
        },
        "basic.SupplierUpdateRequest": {
            "type": "object",
            "required": [
                "bank_list",
                "id",
                "name"
            ],
            "properties": {
                "account_holder": {
                    "description": "开户人",
                    "type": "string"
                },
                "address": {
                    "description": "地址",
                    "type": "string"
                },
                "area": {
                    "description": "地区",
                    "type": "string"
                },
                "bank_account": {
                    "description": "银行卡号",
                    "type": "string"
                },
                "bank_list": {
                    "description": "开户银行信息列表",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.SupplierBankInfo"
                    }
                },
                "city": {
                    "description": "城市",
                    "type": "string"
                },
                "company_website": {
                    "description": "网站",
                    "type": "string"
                },
                "contact": {
                    "description": "联系人",
                    "type": "string"
                },
                "email": {
                    "description": "邮箱",
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "landline": {
                    "description": "固话",
                    "type": "string"
                },
                "name": {
                    "description": "供应商名称",
                    "type": "string"
                },
                "opening_bank": {
                    "description": "开户行",
                    "type": "string"
                },
                "payment_cycle": {
                    "description": "支付周期",
                    "type": "integer"
                },
                "province": {
                    "description": "省份",
                    "type": "string"
                },
                "tax_number": {
                    "description": "税点",
                    "type": "string"
                },
                "tel": {
                    "description": "手机号",
                    "type": "string"
                }
            }
        },
        "basic.UpdateCategoryRequest": {
            "type": "object",
            "required": [
                "id",
                "name"
            ],
            "properties": {
                "id": {
                    "description": "分类id",
                    "type": "integer"
                },
                "name": {
                    "description": "名称",
                    "type": "string"
                },
                "pid": {
                    "description": "父分类id",
                    "type": "integer"
                }
            }
        },
        "inventorymanage.AddRemarkReq": {
            "type": "object",
            "required": [
                "id"
            ],
            "properties": {
                "id": {
                    "description": "商品库存列表id",
                    "type": "integer"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                }
            }
        },
        "inventorymanage.DeliveryCargoReq": {
            "type": "object",
            "required": [
                "id"
            ],
            "properties": {
                "id": {
                    "description": "商品库存列表id",
                    "type": "integer"
                }
            }
        },
        "models.ActivateExtendedWarrantyReq": {
            "type": "object",
            "required": [
                "host_code",
                "images",
                "uid"
            ],
            "properties": {
                "host_code": {
                    "description": "主机编码",
                    "type": "string"
                },
                "images": {
                    "description": "图片凭证",
                    "type": "string"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "uid": {
                    "description": "用户ID",
                    "type": "integer"
                }
            }
        },
        "models.AssistantInviteMemberReportListResp": {
            "type": "object",
            "properties": {
                "export_url": {
                    "description": "导出excel地址",
                    "type": "string"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.InviteMemberReport"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "每页展示条数",
                    "type": "integer"
                },
                "total": {
                    "description": "数据总条数",
                    "type": "integer"
                }
            }
        },
        "models.AssistantInviteMemberReportReq": {
            "type": "object",
            "properties": {
                "cooperative_business_id": {
                    "description": "合作商id",
                    "type": "integer"
                },
                "date": {
                    "description": "日期",
                    "type": "string"
                },
                "invite_name": {
                    "description": "邀请人昵称",
                    "type": "string"
                },
                "is_export": {
                    "description": "1-导出",
                    "type": "integer"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "每页数量",
                    "type": "integer"
                },
                "roleId": {
                    "description": "角色id",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "sys_user": {
                    "$ref": "#/definitions/models.SysUser"
                },
                "uid": {
                    "description": "店员小程序id",
                    "type": "integer"
                }
            }
        },
        "models.BatchPrintInfo": {
            "type": "object",
            "required": [
                "erp_commodity_name",
                "imei",
                "retail_price"
            ],
            "properties": {
                "erp_commodity_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "imei": {
                    "description": "商品串码",
                    "type": "string"
                },
                "retail_price": {
                    "description": "指导零售价",
                    "type": "integer"
                }
            }
        },
        "models.BatchPrintInfoReq": {
            "type": "object",
            "required": [
                "print_list_info"
            ],
            "properties": {
                "print_list_info": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.BatchPrintInfo"
                    }
                }
            }
        },
        "models.CancelPrivilegeMembersReq": {
            "type": "object",
            "required": [
                "uid"
            ],
            "properties": {
                "uid": {
                    "description": "用户ID",
                    "type": "integer"
                }
            }
        },
        "models.CannibalizeStockTask": {
            "type": "object",
            "properties": {
                "count": {
                    "description": "总数量",
                    "type": "integer"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "delivery_time": {
                    "type": "string"
                },
                "from_store_id": {
                    "type": "integer"
                },
                "from_store_name": {
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "in_storage_time": {
                    "type": "string"
                },
                "maker_id": {
                    "description": "制单人id",
                    "type": "integer"
                },
                "maker_name": {
                    "description": "制单人名称",
                    "type": "string"
                },
                "status": {
                    "description": "1-待填调拨卡 2-待发货 3-已发货 4-已入库",
                    "type": "integer"
                },
                "task_id": {
                    "description": "时间戳",
                    "type": "integer"
                },
                "to_store_id": {
                    "type": "integer"
                },
                "to_store_name": {
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.CannibalizeTaskDetailReq": {
            "type": "object",
            "properties": {
                "deliver_store_id": {
                    "description": "调出门店id",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "game_card_id": {
                    "description": "游戏卡id",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "is_export": {
                    "description": "1-导出",
                    "type": "integer"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "receive_store_id": {
                    "description": "调入门店id",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "receive_time_end": {
                    "description": "调入结束时间",
                    "type": "string"
                },
                "receive_time_start": {
                    "description": "调入开始时间",
                    "type": "string"
                },
                "send_time_end": {
                    "description": "调出结束时间",
                    "type": "string"
                },
                "send_time_start": {
                    "description": "调出开始时间",
                    "type": "string"
                },
                "serial_number": {
                    "description": "游戏卡串码",
                    "type": "string"
                },
                "state": {
                    "description": "调拨状态：1-调拨中 2-已完成",
                    "type": "integer"
                },
                "task_id": {
                    "description": "任务ID",
                    "type": "integer"
                }
            }
        },
        "models.CannibalizeTaskDetailResp": {
            "type": "object",
            "properties": {
                "export_url": {
                    "description": "导出excel路径",
                    "type": "string"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.GameCardAllotDetailData"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "total": {
                    "description": "总条数/记录数",
                    "type": "integer"
                }
            }
        },
        "models.CannibalizeTaskListReq": {
            "type": "object",
            "properties": {
                "pageIndex": {
                    "type": "integer"
                },
                "pageSize": {
                    "type": "integer"
                },
                "status": {
                    "type": "integer"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                }
            }
        },
        "models.CannibalizeTaskListResp": {
            "type": "object",
            "properties": {
                "count": {
                    "type": "integer"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.CannibalizeStockTask"
                    }
                },
                "pageIndex": {
                    "type": "integer"
                },
                "pageSize": {
                    "type": "integer"
                },
                "total_page": {
                    "type": "integer"
                }
            }
        },
        "models.CashierStore": {
            "type": "object",
            "properties": {
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "store_name": {
                    "description": "门店名称",
                    "type": "string"
                }
            }
        },
        "models.Category": {
            "type": "object",
            "properties": {
                "cooperative_business_id": {
                    "description": "合作商id",
                    "type": "integer"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "display": {
                    "description": "1 展示 0 隐藏",
                    "type": "integer"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "name": {
                    "description": "分类名称",
                    "type": "string"
                },
                "number": {
                    "description": "编号",
                    "type": "string"
                },
                "pid": {
                    "description": "父分类的编号",
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.CategoryExcel": {
            "type": "object",
            "required": [
                "first_category"
            ],
            "properties": {
                "first_category": {
                    "description": "一级分类",
                    "type": "string"
                },
                "second_category": {
                    "description": "二级分类",
                    "type": "string"
                },
                "three_category": {
                    "description": "三级分类",
                    "type": "string"
                }
            }
        },
        "models.CategoryModel": {
            "type": "object",
            "properties": {
                "cooperative_business_id": {
                    "description": "合作商id",
                    "type": "integer"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "display": {
                    "description": "1 展示 0 隐藏",
                    "type": "integer"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "name": {
                    "description": "分类名称",
                    "type": "string"
                },
                "number": {
                    "description": "编号",
                    "type": "string"
                },
                "pid": {
                    "description": "父分类的编号",
                    "type": "integer"
                },
                "sub_category": {
                    "description": "子分类",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.CategoryModel"
                    }
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.CategorySalesData": {
            "type": "object",
            "properties": {
                "category_id": {
                    "description": "一级分类ID",
                    "type": "integer"
                },
                "category_name": {
                    "description": "一级分类名称",
                    "type": "string"
                },
                "cost_title": {
                    "description": "成本标题 (例如: \"主机成本\")",
                    "type": "string"
                },
                "profit_title": {
                    "description": "毛利标题 (例如: \"主机毛利\")",
                    "type": "string"
                },
                "sale_title": {
                    "description": "金额标题 (例如: \"主机金额\")",
                    "type": "string"
                },
                "total_cost_amount": {
                    "description": "销售成本",
                    "type": "number"
                },
                "total_profit_amount": {
                    "description": "销售利润",
                    "type": "number"
                },
                "total_sale_amount": {
                    "description": "销售金额",
                    "type": "number"
                }
            }
        },
        "models.CommodityCreateRequest": {
            "type": "object",
            "required": [
                "erp_category_id",
                "erp_supplier_id",
                "is_imei",
                "name"
            ],
            "properties": {
                "brokerage_1": {
                    "description": "销售毛利提成",
                    "type": "number"
                },
                "brokerage_2": {
                    "description": "员工毛利提成",
                    "type": "number"
                },
                "erp_barcode": {
                    "description": "商品条码",
                    "type": "string"
                },
                "erp_category_id": {
                    "description": "商品分类id",
                    "type": "integer"
                },
                "erp_supplier_id": {
                    "description": "主供应商",
                    "type": "integer"
                },
                "imei_type": {
                    "description": "系统生成串码：2-是（系统生成） 3-否（手动添加）",
                    "type": "integer"
                },
                "img": {
                    "description": "图片",
                    "type": "string"
                },
                "is_imei": {
                    "description": "是否串码：1-串码类 2-非串码",
                    "type": "integer"
                },
                "manufacturer_code": {
                    "description": "厂家编码",
                    "type": "string"
                },
                "member_discount": {
                    "description": "会员优惠",
                    "type": "number"
                },
                "min_retail_price": {
                    "description": "最低零售价",
                    "type": "number"
                },
                "name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "origin": {
                    "description": "产地",
                    "type": "string"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "retail_price": {
                    "description": "指导零售价",
                    "type": "number"
                },
                "staff_cost_price": {
                    "description": "员工成本价加价",
                    "type": "number"
                },
                "stop_purchase": {
                    "description": "0-未勾选，正常采购；1-勾选，停止采购",
                    "type": "integer"
                },
                "wholesale_price": {
                    "description": "指导采购价",
                    "type": "number"
                }
            }
        },
        "models.CommodityDelRequest": {
            "type": "object",
            "required": [
                "erp_commodity_id"
            ],
            "properties": {
                "erp_commodity_id": {
                    "description": "商品id",
                    "type": "integer"
                }
            }
        },
        "models.CommodityDetailRequest": {
            "type": "object",
            "properties": {
                "erp_commodity_id": {
                    "description": "商品id",
                    "type": "integer"
                },
                "serial_number": {
                    "description": "商品编号",
                    "type": "string"
                }
            }
        },
        "models.CommodityEditRequest": {
            "type": "object",
            "required": [
                "erp_category_id",
                "erp_supplier_id",
                "id",
                "imei_type",
                "is_imei",
                "name"
            ],
            "properties": {
                "brokerage_1": {
                    "description": "销售毛利提成",
                    "type": "number"
                },
                "brokerage_2": {
                    "description": "员工毛利提成",
                    "type": "number"
                },
                "erp_barcode": {
                    "description": "商品条码",
                    "type": "string"
                },
                "erp_category_id": {
                    "description": "商品分类id",
                    "type": "integer"
                },
                "erp_supplier_id": {
                    "description": "主供应商id",
                    "type": "integer"
                },
                "id": {
                    "description": "商品id",
                    "type": "integer"
                },
                "imei_type": {
                    "description": "1-无串码 2-串码（系统生成） 3-串码（手动添加）",
                    "type": "integer"
                },
                "img": {
                    "description": "图片",
                    "type": "string"
                },
                "is_imei": {
                    "description": "是否串码：1-串码类 2-非串码",
                    "type": "integer"
                },
                "manufacturer_code": {
                    "description": "厂家编码",
                    "type": "string"
                },
                "member_discount": {
                    "description": "会员优惠",
                    "type": "number"
                },
                "min_retail_price": {
                    "description": "最低零售价",
                    "type": "number"
                },
                "name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "origin": {
                    "description": "产地",
                    "type": "string"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "retail_price": {
                    "description": "指导零售价",
                    "type": "number"
                },
                "staff_cost_price": {
                    "description": "员工成本价加价",
                    "type": "number"
                },
                "stop_purchase": {
                    "description": "0-未勾选，正常采购；1-勾选，停止采购",
                    "type": "integer"
                },
                "wholesale_price": {
                    "description": "指导采购价",
                    "type": "number"
                }
            }
        },
        "models.CommodityExcel": {
            "type": "object",
            "required": [
                "category",
                "imei_type",
                "member_discount",
                "min_retail_price",
                "name",
                "retail_price",
                "sell_brokerage",
                "staff_brokerage",
                "staff_cost_price",
                "supplier_name",
                "sys_generate",
                "wholesale_price"
            ],
            "properties": {
                "category": {
                    "description": "商品所属分类",
                    "type": "string"
                },
                "erp_barcode": {
                    "description": "商品条码",
                    "type": "string"
                },
                "imei_type": {
                    "description": "是否串码 1-无串码 2-串码（系统生成） 3-串码（手动添加）",
                    "type": "string"
                },
                "member_discount": {
                    "description": "会员优惠",
                    "type": "string"
                },
                "min_retail_price": {
                    "description": "最低零售价",
                    "type": "string"
                },
                "name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "origin": {
                    "description": "产地",
                    "type": "string"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "retail_price": {
                    "description": "指导零售价",
                    "type": "string"
                },
                "sell_brokerage": {
                    "description": "销售毛利提成",
                    "type": "string"
                },
                "staff_brokerage": {
                    "description": "员工毛利提成",
                    "type": "string"
                },
                "staff_cost_price": {
                    "description": "员工成本价加价",
                    "type": "string"
                },
                "supplier_name": {
                    "description": "供应商名称",
                    "type": "string"
                },
                "sys_generate": {
                    "description": "系统生成串码",
                    "type": "string"
                },
                "wholesale_price": {
                    "description": "指导采购价",
                    "type": "string"
                }
            }
        },
        "models.CooperativeAssistantMemberDeduct": {
            "type": "object",
            "properties": {
                "black_gold_deduct": {
                    "description": "黑金金会员提成",
                    "type": "integer"
                },
                "cooperative_business_id": {
                    "type": "integer"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "gold_deduct": {
                    "description": "黄金会员提成",
                    "type": "integer"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "platinum_deduct": {
                    "description": "白金会员提成",
                    "type": "integer"
                },
                "renewal_black_gold_deduct": {
                    "description": "续费黑金金会员提成",
                    "type": "integer"
                },
                "renewal_gold_deduct": {
                    "description": "续费黄金会员提成",
                    "type": "integer"
                },
                "renewal_platinum_deduct": {
                    "description": "续费白金会员提成",
                    "type": "integer"
                },
                "store_id": {
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.CooperativeBusiness": {
            "type": "object",
            "required": [
                "avatar",
                "name",
                "password",
                "tel",
                "username"
            ],
            "properties": {
                "add_time": {
                    "description": "加入时间",
                    "type": "string"
                },
                "address": {
                    "description": "地址",
                    "type": "string"
                },
                "avatar": {
                    "description": "logo",
                    "type": "string"
                },
                "cooperative_assistant_member_deduct": {
                    "$ref": "#/definitions/models.CooperativeAssistantMemberDeduct"
                },
                "cooperative_member_deduct": {
                    "$ref": "#/definitions/models.CooperativeMemberDeduct"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "name": {
                    "description": "供应商名称",
                    "type": "string"
                },
                "password": {
                    "description": "密码",
                    "type": "string"
                },
                "tel": {
                    "description": "电话",
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                },
                "username": {
                    "description": "用户名",
                    "type": "string"
                }
            }
        },
        "models.CooperativeBusinessListReq": {
            "type": "object",
            "properties": {
                "end_time": {
                    "description": "结束时间",
                    "type": "string"
                },
                "pageIndex": {
                    "type": "integer"
                },
                "pageSize": {
                    "type": "integer"
                },
                "start_time": {
                    "description": "开始时间",
                    "type": "string"
                }
            }
        },
        "models.CooperativeBusinessListResp": {
            "type": "object",
            "properties": {
                "count": {
                    "type": "integer"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.CooperativeBusiness"
                    }
                },
                "pageIndex": {
                    "type": "integer"
                },
                "total_page": {
                    "type": "integer"
                }
            }
        },
        "models.CooperativeMemberDeduct": {
            "type": "object",
            "required": [
                "black_gold_deduct",
                "gold_deduct",
                "platinum_deduct",
                "renewal_black_gold_deduct",
                "renewal_gold_deduct",
                "renewal_platinum_deduct"
            ],
            "properties": {
                "black_gold_deduct": {
                    "description": "黑金金会员提成",
                    "type": "integer"
                },
                "cooperative_business_id": {
                    "type": "integer"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "gold_deduct": {
                    "description": "黄金会员提成",
                    "type": "integer"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "platinum_deduct": {
                    "description": "白金会员提成",
                    "type": "integer"
                },
                "renewal_black_gold_deduct": {
                    "description": "续费黑金金会员提成",
                    "type": "integer"
                },
                "renewal_gold_deduct": {
                    "description": "续费黄金会员提成",
                    "type": "integer"
                },
                "renewal_platinum_deduct": {
                    "description": "续费白金会员提成",
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.CooperativeMemberPromotionStatistic": {
            "type": "object",
            "properties": {
                "black_gold_count": {
                    "description": "黑金会员数量",
                    "type": "integer"
                },
                "cooperative_business_id": {
                    "type": "integer"
                },
                "cooperative_name": {
                    "description": "合作商名称",
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "date": {
                    "description": "日期",
                    "type": "string"
                },
                "day_time": {
                    "type": "string"
                },
                "gold_count": {
                    "description": "黄金会员数量",
                    "type": "integer"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "platinum_count": {
                    "description": "白金会员数量",
                    "type": "integer"
                },
                "privilege_count": {
                    "description": "尊享会员数量",
                    "type": "integer"
                },
                "renewal_black_gold_count": {
                    "description": "续费黑金会员数量",
                    "type": "integer"
                },
                "renewal_gold_count": {
                    "description": "续费黄金会员数量",
                    "type": "integer"
                },
                "renewal_platinum_count": {
                    "description": "续费白金会员数量",
                    "type": "integer"
                },
                "renewal_privilege_count": {
                    "description": "续费尊享会员数量",
                    "type": "integer"
                },
                "store": {
                    "$ref": "#/definitions/models.Store"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                },
                "upgrade_gold_to_black_count": {
                    "description": "升级：黄金-\u003e黑金数量",
                    "type": "integer"
                },
                "upgrade_gold_to_platinum_count": {
                    "description": "升级：黄金-\u003e白金数量",
                    "type": "integer"
                },
                "upgrade_platinum_to_black_count": {
                    "description": "升级：白金-\u003e黑金数量",
                    "type": "integer"
                }
            }
        },
        "models.CooperativeMemberPromotionStatisticListResp": {
            "type": "object",
            "properties": {
                "export_url": {
                    "description": "导出excel地址",
                    "type": "string"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.CooperativeMemberPromotionStatistic"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "每页展示条数",
                    "type": "integer"
                },
                "total": {
                    "description": "总条数",
                    "type": "integer"
                }
            }
        },
        "models.CooperativeMemberPromotionStatisticReq": {
            "type": "object",
            "properties": {
                "cooperative_business_id": {
                    "description": "合作商id",
                    "type": "integer"
                },
                "end_date": {
                    "description": "结束月份",
                    "type": "string"
                },
                "is_export": {
                    "description": "1-导出",
                    "type": "integer"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "每页条数",
                    "type": "integer"
                },
                "start_date": {
                    "description": "开始月份",
                    "type": "string"
                },
                "store_id": {
                    "description": "门店ID",
                    "type": "integer"
                },
                "type": {
                    "description": "1-按天展示 2-按月展示",
                    "type": "integer"
                }
            }
        },
        "models.CooperativePayInfo": {
            "type": "object",
            "required": [
                "cooperative_business_id"
            ],
            "properties": {
                "cooperative_business_id": {
                    "description": "合作商id",
                    "type": "integer"
                },
                "union_pay_merchant_id": {
                    "description": "聚合支付平台商户号",
                    "type": "string"
                },
                "wx_app_id": {
                    "description": "微信小程序AppID",
                    "type": "string"
                },
                "wx_app_mchId": {
                    "description": "微信支付商户号",
                    "type": "string"
                },
                "wx_app_mchSecret": {
                    "description": "微信支付商户密钥",
                    "type": "string"
                }
            }
        },
        "models.CooperativeSetPayInfoReq": {
            "type": "object",
            "required": [
                "name",
                "wx_app_mchId",
                "wx_app_mchSecret"
            ],
            "properties": {
                "cooperative_business_id": {
                    "description": "合作商id",
                    "type": "integer"
                },
                "name": {
                    "description": "聚合支付平台商户号",
                    "type": "string"
                },
                "wx_app_id": {
                    "description": "微信小程序AppID",
                    "type": "string"
                },
                "wx_app_mchId": {
                    "description": "微信支付商户号",
                    "type": "string"
                },
                "wx_app_mchSecret": {
                    "description": "微信支付商户密钥",
                    "type": "string"
                }
            }
        },
        "models.CreateErpPurchaseDemandReq": {
            "type": "object",
            "properties": {
                "erp_commodity_id": {
                    "description": "商品id",
                    "type": "integer"
                },
                "erp_commodity_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "erp_commodity_serial_number": {
                    "description": "商品编号",
                    "type": "string"
                },
                "erp_supplier_id": {
                    "description": "主供应商id",
                    "type": "integer"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "type": "object",
                        "properties": {
                            "need_count": {
                                "description": "需采购数",
                                "type": "integer"
                            },
                            "store_id": {
                                "description": "门店id",
                                "type": "integer"
                            },
                            "store_name": {
                                "description": "门店名称",
                                "type": "string"
                            }
                        }
                    }
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                }
            }
        },
        "models.DailyReport": {
            "type": "object",
            "properties": {
                "category_sales": {
                    "description": "各分类的销售数据",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.CategorySalesData"
                    }
                },
                "store_amount": {
                    "description": "门店销售金额",
                    "type": "number"
                },
                "store_id": {
                    "description": "门店ID",
                    "type": "integer"
                },
                "store_name": {
                    "description": "门店名称",
                    "type": "string"
                },
                "store_sales_profit": {
                    "description": "门店销售毛利（销售毛利；店员看员工毛利）",
                    "type": "number"
                }
            }
        },
        "models.DecisionReportData": {
            "type": "object",
            "properties": {
                "allot_in": {
                    "description": "调拨入库",
                    "type": "integer"
                },
                "allot_in_amount": {
                    "description": "调拨入库金额",
                    "type": "number"
                },
                "allot_out": {
                    "description": "调拨出库",
                    "type": "integer"
                },
                "allot_out_amount": {
                    "description": "调拨出库金额",
                    "type": "number"
                },
                "allot_wait_in": {
                    "description": "在途库存（入库）",
                    "type": "integer"
                },
                "allot_wait_in_amount": {
                    "description": "在途库存（入库）金额",
                    "type": "number"
                },
                "allot_wait_out": {
                    "description": "在途库存（出库）",
                    "type": "integer"
                },
                "allot_wait_out_amount": {
                    "description": "在途库存（出库）金额",
                    "type": "number"
                },
                "begin_amount": {
                    "description": "期初金额",
                    "type": "number"
                },
                "begin_stock": {
                    "description": "期初库存",
                    "type": "integer"
                },
                "category_id": {
                    "description": "商品分类id",
                    "type": "integer"
                },
                "category_name": {
                    "description": "商品分类名称",
                    "type": "string"
                },
                "check_in": {
                    "description": "盘点入库",
                    "type": "integer"
                },
                "check_in_amount": {
                    "description": "盘点入库金额",
                    "type": "number"
                },
                "check_out": {
                    "description": "盘点出库",
                    "type": "integer"
                },
                "check_out_amount": {
                    "description": "盘点出库金额",
                    "type": "number"
                },
                "commodity_id": {
                    "description": "商品id",
                    "type": "integer"
                },
                "commodity_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "commodity_serial_number": {
                    "description": "商品编码",
                    "type": "string"
                },
                "end_amount": {
                    "description": "期末金额",
                    "type": "number"
                },
                "end_stock": {
                    "description": "期末数量",
                    "type": "integer"
                },
                "order_reject": {
                    "description": "零售退货",
                    "type": "integer"
                },
                "order_reject_amount": {
                    "description": "零售退货金额",
                    "type": "number"
                },
                "order_sale": {
                    "description": "零售销售",
                    "type": "integer"
                },
                "order_sale_amount": {
                    "description": "零售销售金额",
                    "type": "number"
                },
                "product_in": {
                    "description": "产品入库",
                    "type": "integer"
                },
                "product_in_amount": {
                    "description": "产品入库金额",
                    "type": "number"
                },
                "purchase_return": {
                    "description": "采购退货",
                    "type": "integer"
                },
                "purchase_return_amount": {
                    "description": "采购退货金额",
                    "type": "number"
                },
                "purchase_stock": {
                    "description": "采购进货",
                    "type": "integer"
                },
                "purchase_stock_amount": {
                    "description": "采购进货金额",
                    "type": "number"
                },
                "system_in": {
                    "description": "系统入库",
                    "type": "integer"
                },
                "system_in_amount": {
                    "description": "系统入库金额",
                    "type": "number"
                },
                "system_out": {
                    "description": "系统出库",
                    "type": "integer"
                },
                "system_out_amount": {
                    "description": "系统出库金额",
                    "type": "number"
                }
            }
        },
        "models.DecisionSumData": {
            "type": "object",
            "properties": {
                "total_allot_in": {
                    "description": "调拨入库",
                    "type": "integer"
                },
                "total_allot_in_amount": {
                    "description": "调拨入库金额",
                    "type": "number"
                },
                "total_allot_out": {
                    "description": "调拨出库",
                    "type": "integer"
                },
                "total_allot_out_amount": {
                    "description": "调拨出库金额",
                    "type": "number"
                },
                "total_allot_wait_in": {
                    "description": "在途库存（入库）",
                    "type": "integer"
                },
                "total_allot_wait_out": {
                    "description": "在途库存（出库）",
                    "type": "integer"
                },
                "total_begin_amount": {
                    "description": "期初金额",
                    "type": "number"
                },
                "total_begin_stock": {
                    "description": "期初库存",
                    "type": "integer"
                },
                "total_check_in": {
                    "description": "盘点入库",
                    "type": "integer"
                },
                "total_check_in_amount": {
                    "description": "盘点入库金额",
                    "type": "number"
                },
                "total_check_out": {
                    "description": "盘点出库",
                    "type": "integer"
                },
                "total_check_out_amount": {
                    "description": "盘点出库金额",
                    "type": "number"
                },
                "total_end_amount": {
                    "description": "期末金额",
                    "type": "number"
                },
                "total_end_stock": {
                    "description": "期末数量",
                    "type": "integer"
                },
                "total_order_reject": {
                    "description": "零售退货",
                    "type": "integer"
                },
                "total_order_sale": {
                    "description": "零售销售",
                    "type": "integer"
                },
                "total_product_in": {
                    "description": "产品入库",
                    "type": "integer"
                },
                "total_product_in_amount": {
                    "description": "产品入库金额",
                    "type": "number"
                },
                "total_purchase_amount": {
                    "description": "采购进货金额",
                    "type": "number"
                },
                "total_purchase_return": {
                    "description": "采购退货",
                    "type": "integer"
                },
                "total_purchase_stock": {
                    "description": "采购进货",
                    "type": "integer"
                },
                "total_reject_amount": {
                    "description": "零售退货金额",
                    "type": "number"
                },
                "total_return_amount": {
                    "description": "采购退货金额",
                    "type": "number"
                },
                "total_sale_amount": {
                    "description": "零售销售金额",
                    "type": "number"
                },
                "total_system_in": {
                    "description": "系统入库",
                    "type": "integer"
                },
                "total_system_in_amount": {
                    "description": "系统入库金额",
                    "type": "number"
                },
                "total_system_out": {
                    "description": "系统出库",
                    "type": "integer"
                },
                "total_system_out_amount": {
                    "description": "系统出库金额",
                    "type": "number"
                },
                "total_wait_in_amount": {
                    "description": "在途库存（入库）金额",
                    "type": "number"
                },
                "total_wait_out_amount": {
                    "description": "在途库存（出库）金额",
                    "type": "number"
                }
            }
        },
        "models.DefaultUserNameAndPasswordResp": {
            "type": "object",
            "properties": {
                "password": {
                    "description": "密码",
                    "type": "string"
                },
                "username": {
                    "description": "用户名",
                    "type": "string"
                }
            }
        },
        "models.DemandData": {
            "type": "object",
            "properties": {
                "erp_category_id": {
                    "description": "商品分类id",
                    "type": "integer"
                },
                "erp_category_name": {
                    "description": "商品分类名称",
                    "type": "string"
                },
                "erp_commodity_id": {
                    "description": "商品id",
                    "type": "integer"
                },
                "erp_commodity_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "erp_commodity_serial_number": {
                    "description": "商品编号",
                    "type": "string"
                },
                "erp_manufacturer_code": {
                    "description": "商品厂家编码",
                    "type": "string"
                },
                "erp_supplier_id": {
                    "description": "主供应商id",
                    "type": "integer"
                },
                "erp_supplier_name": {
                    "description": "主供应商名称",
                    "type": "string"
                },
                "img": {
                    "description": "图片",
                    "type": "string"
                },
                "last_wholesale_price": {
                    "description": "最近采购价",
                    "type": "number"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "retail_price": {
                    "description": "指导零售价",
                    "type": "number"
                },
                "store_list": {
                    "type": "array",
                    "items": {
                        "type": "object",
                        "properties": {
                            "last_month_sales": {
                                "description": "上月销售数",
                                "type": "integer"
                            },
                            "last_week_sales": {
                                "description": "上周销售数",
                                "type": "integer"
                            },
                            "need_count": {
                                "description": "需采购数",
                                "type": "integer"
                            },
                            "stock_count": {
                                "description": "库存数量",
                                "type": "integer"
                            },
                            "store_id": {
                                "description": "门店id",
                                "type": "integer"
                            },
                            "store_name": {
                                "description": "门店名称",
                                "type": "string"
                            }
                        }
                    }
                },
                "total_amount": {
                    "description": "需采购总金额",
                    "type": "number"
                },
                "total_count": {
                    "description": "需采购总数量",
                    "type": "integer"
                }
            }
        },
        "models.DictType": {
            "type": "object",
            "properties": {
                "createBy": {
                    "description": "创建者",
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "dataScope": {
                    "type": "string"
                },
                "deletedAt": {
                    "description": "删除时间",
                    "type": "string"
                },
                "dictId": {
                    "type": "integer"
                },
                "dictName": {
                    "description": "字典名称",
                    "type": "string"
                },
                "dictType": {
                    "description": "字典类型",
                    "type": "string"
                },
                "params": {
                    "type": "string"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "status": {
                    "description": "状态",
                    "type": "string"
                },
                "updateBy": {
                    "description": "更新者",
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.ErpCashier": {
            "type": "object",
            "properties": {
                "bank_account": {
                    "description": "银行账号",
                    "type": "string"
                },
                "bank_name": {
                    "description": "银行全称",
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "name": {
                    "description": "账号名称",
                    "type": "string"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "state": {
                    "description": "状态:1-使用 2-未用",
                    "type": "integer"
                },
                "type": {
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.ErpCashierDetail": {
            "type": "object",
            "properties": {
                "bank_account": {
                    "description": "银行账号",
                    "type": "string"
                },
                "bank_name": {
                    "description": "银行全称",
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "name": {
                    "description": "账号名称",
                    "type": "string"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "state": {
                    "description": "状态:1-使用 2-未用",
                    "type": "integer"
                },
                "store_list": {
                    "description": "账号关联的门店信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.CashierStore"
                    }
                },
                "type": {
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.ErpCashierListResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpCashier"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "每页展示条数",
                    "type": "integer"
                },
                "total": {
                    "description": "数据总条数",
                    "type": "integer"
                }
            }
        },
        "models.ErpCategory": {
            "type": "object",
            "properties": {
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "full_num": {
                    "type": "integer"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "level": {
                    "description": "分类层级",
                    "type": "integer"
                },
                "name": {
                    "description": "名称",
                    "type": "string"
                },
                "number": {
                    "type": "string"
                },
                "pid": {
                    "type": "integer"
                },
                "priority": {
                    "description": "分类",
                    "type": "string"
                },
                "sort": {
                    "type": "integer"
                },
                "state": {
                    "description": "1-未使用 2-使用 3-隐藏",
                    "type": "integer"
                },
                "sub_cats": {
                    "description": "子列表",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpCategory"
                    }
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.ErpCommodity": {
            "type": "object",
            "properties": {
                "brokerage_1": {
                    "description": "销售毛利提成",
                    "type": "number"
                },
                "brokerage_2": {
                    "description": "员工毛利提成",
                    "type": "number"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "erp_barcode": {
                    "description": "商品条码",
                    "type": "string"
                },
                "erp_category": {
                    "$ref": "#/definitions/models.ErpCategory"
                },
                "erp_category_id": {
                    "description": "商品分类id",
                    "type": "integer"
                },
                "erp_category_name": {
                    "description": "商品分类名称",
                    "type": "string"
                },
                "erp_supplier_id": {
                    "description": "主供应商id",
                    "type": "integer"
                },
                "erp_supplier_name": {
                    "description": "主供应商名称",
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "imei": {
                    "description": "串码",
                    "type": "string"
                },
                "imei_type": {
                    "description": "1-无串码 2-串码（系统生成） 3-串码（手动添加）",
                    "type": "integer"
                },
                "img": {
                    "description": "图片",
                    "type": "string"
                },
                "is_imei": {
                    "description": "是否串码：1-串码类 2-非串码",
                    "type": "integer"
                },
                "manufacturer_code": {
                    "description": "厂家编码",
                    "type": "string"
                },
                "member_discount": {
                    "description": "会员优惠",
                    "type": "number"
                },
                "min_retail_price": {
                    "description": "最低零售价",
                    "type": "number"
                },
                "name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "number": {
                    "description": "商品数量",
                    "type": "integer"
                },
                "origin": {
                    "description": "产地",
                    "type": "string"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "retail_price": {
                    "description": "指导零售价",
                    "type": "number"
                },
                "serial_number": {
                    "description": "商品编号",
                    "type": "string"
                },
                "staff_cost_price": {
                    "description": "员工成本价加价（如：加价50，不是加价后的价格）",
                    "type": "number"
                },
                "stock_count": {
                    "description": "库存数量",
                    "type": "integer"
                },
                "stop_purchase": {
                    "description": "0-未勾选，正常采购；1-勾选，停止采购",
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                },
                "wholesale_price": {
                    "description": "指导采购价",
                    "type": "number"
                }
            }
        },
        "models.ErpCommodityListReq": {
            "type": "object",
            "properties": {
                "erp_barcode": {
                    "description": "商品条码",
                    "type": "string"
                },
                "erp_category_id": {
                    "description": "商品分类id",
                    "type": "integer"
                },
                "erp_commodity_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "erp_supplier_id": {
                    "description": "供应商id",
                    "type": "integer"
                },
                "imei": {
                    "description": "串码",
                    "type": "string"
                },
                "is_export": {
                    "description": "1-导出",
                    "type": "integer"
                },
                "manufacturer_code": {
                    "description": "厂家编码",
                    "type": "string"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "每页展示数据条数",
                    "type": "integer"
                },
                "purchase_type": {
                    "description": "1-正常采购，2-停止采购",
                    "type": "integer"
                },
                "serial_number": {
                    "description": "商品编号",
                    "type": "string"
                }
            }
        },
        "models.ErpCommodityListResp": {
            "type": "object",
            "properties": {
                "export_url": {
                    "description": "文件路径",
                    "type": "string"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpCommodity"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "每页展示条数",
                    "type": "integer"
                },
                "total": {
                    "description": "数据总条数",
                    "type": "integer"
                }
            }
        },
        "models.ErpCommodityPurchaseOrderData": {
            "type": "object",
            "properties": {
                "amount": {
                    "description": "已执行金额",
                    "type": "number"
                },
                "audit_time": {
                    "description": "审核时间",
                    "type": "string"
                },
                "auditor_id": {
                    "description": "审核人id",
                    "type": "integer"
                },
                "auditor_name": {
                    "description": "审核人名称",
                    "type": "string"
                },
                "count": {
                    "description": "已执行数量",
                    "type": "integer"
                },
                "erp_purchase_order_id": {
                    "description": "采购订单id",
                    "type": "integer"
                },
                "erp_supplier_id": {
                    "description": "供应商id",
                    "type": "integer"
                },
                "erp_supplier_name": {
                    "description": "供应商名称",
                    "type": "string"
                },
                "handler_id": {
                    "description": "经手人id",
                    "type": "integer"
                },
                "handler_name": {
                    "description": "经手人名称",
                    "type": "string"
                },
                "maker_id": {
                    "description": "制单人id",
                    "type": "integer"
                },
                "maker_name": {
                    "description": "制单人名称",
                    "type": "string"
                },
                "maker_time": {
                    "description": "制单时间",
                    "type": "string"
                },
                "non_execution_amount": {
                    "description": "未执行金额",
                    "type": "number"
                },
                "non_execution_count": {
                    "description": "未执行数量",
                    "type": "integer"
                },
                "order_id": {
                    "description": "采购订单id",
                    "type": "integer"
                },
                "plan_amount": {
                    "description": "计划采购金额",
                    "type": "number"
                },
                "plan_count": {
                    "description": "计划采购数量",
                    "type": "integer"
                },
                "plan_price": {
                    "description": "计划采购单价",
                    "type": "number"
                },
                "price": {
                    "description": "已执行单价",
                    "type": "number"
                },
                "purchase_type": {
                    "description": "单据类型:procure-采购 reject-退货",
                    "type": "string"
                },
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "store_name": {
                    "description": "门店名称",
                    "type": "string"
                }
            }
        },
        "models.ErpCoupon": {
            "type": "object",
            "properties": {
                "active_date": {
                    "description": "有效期（天）",
                    "type": "integer"
                },
                "amount": {
                    "description": "金额（元）",
                    "type": "integer"
                },
                "category_number": {
                    "description": "可以使用该优惠券的商品分类，如果为空则表示没限制",
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "describe": {
                    "description": "优惠券简介",
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "limit": {
                    "description": "优惠券叠加限制 0-不限制；1-仅限原价购买时使用",
                    "type": "integer"
                },
                "name": {
                    "description": "优惠券名称",
                    "type": "string"
                },
                "per_customer_amount": {
                    "description": "客单价（元）",
                    "type": "number"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "rule": {
                    "description": "优惠券使用规则",
                    "type": "string"
                },
                "send_count": {
                    "description": "已发放",
                    "type": "integer"
                },
                "sms_content": {
                    "description": "短信提示内容",
                    "type": "string"
                },
                "start_time": {
                    "description": "启动时间",
                    "type": "string"
                },
                "state": {
                    "description": "当前状态 1-未开始；2-发放中；3-进行中；4-已结束；5-发放失败",
                    "type": "integer"
                },
                "total_pay_amount": {
                    "description": "支付金额（元）",
                    "type": "number"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                },
                "used_count": {
                    "description": "已使用",
                    "type": "integer"
                },
                "user_type": {
                    "description": "领取人限制：1-所有人 2-未付费用户 3-已付费用户 4-尊享会员",
                    "type": "integer"
                }
            }
        },
        "models.ErpDecisionReportReq": {
            "type": "object",
            "properties": {
                "category_id": {
                    "description": "商品分类id",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "commodity_name": {
                    "description": "商品名称",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "end_time": {
                    "description": "结束时间",
                    "type": "string"
                },
                "is_export": {
                    "description": "1-导出",
                    "type": "integer"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "start_time": {
                    "description": "开始时间",
                    "type": "string"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "models.ErpDecisionReportResp": {
            "type": "object",
            "properties": {
                "export_url": {
                    "description": "导出excel路径",
                    "type": "string"
                },
                "list": {
                    "description": "明细数据",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.DecisionReportData"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "sum_data": {
                    "description": "汇总数据",
                    "allOf": [
                        {
                            "$ref": "#/definitions/models.DecisionSumData"
                        }
                    ]
                },
                "total": {
                    "description": "总条数/记录数",
                    "type": "integer"
                }
            }
        },
        "models.ErpInventoryAllotCommodity": {
            "type": "object",
            "properties": {
                "allot_order_id": {
                    "description": "库存调拨订单表id",
                    "type": "integer"
                },
                "amount": {
                    "description": "金额（采购价）",
                    "type": "number"
                },
                "category_id": {
                    "description": "分类id",
                    "type": "integer"
                },
                "category_name": {
                    "description": "分类名称",
                    "type": "string"
                },
                "commodity_id": {
                    "description": "商品id",
                    "type": "integer"
                },
                "commodity_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "count": {
                    "description": "数量",
                    "type": "integer"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "imei": {
                    "description": "商品串码",
                    "type": "string"
                },
                "imei_type": {
                    "description": "1-无串码 2-串码",
                    "type": "integer"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "stock_count": {
                    "description": "库存数量",
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.ErpInventoryAllotOrder": {
            "type": "object",
            "properties": {
                "audit_time": {
                    "description": "审核时间",
                    "type": "string"
                },
                "auditor_id": {
                    "description": "审核人id",
                    "type": "integer"
                },
                "auditor_name": {
                    "description": "审核人名称",
                    "type": "string"
                },
                "commodities": {
                    "description": "库存调拨商品信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpInventoryAllotCommodity"
                    }
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "deliver_store_id": {
                    "description": "调出门店id",
                    "type": "integer"
                },
                "deliver_store_name": {
                    "description": "调出门店名称",
                    "type": "string"
                },
                "deliver_time": {
                    "description": "发货时间",
                    "type": "string"
                },
                "handler_id": {
                    "description": "经手人id",
                    "type": "integer"
                },
                "handler_name": {
                    "description": "经手人名称",
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "logistics_number": {
                    "description": "物流单号",
                    "type": "string"
                },
                "maker_id": {
                    "description": "制单人id",
                    "type": "integer"
                },
                "maker_name": {
                    "description": "制单人名称",
                    "type": "string"
                },
                "maker_time": {
                    "description": "制单时间",
                    "type": "string"
                },
                "receive_store_id": {
                    "description": "调入门店id",
                    "type": "integer"
                },
                "receive_store_name": {
                    "description": "调入门店名称",
                    "type": "string"
                },
                "receive_time": {
                    "description": "收货时间/调入时间",
                    "type": "string"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                },
                "state": {
                    "description": "1-待审核 2-待发货 3-待收货 4-已完成",
                    "type": "integer"
                },
                "total_count": {
                    "description": "商品总数量",
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.ErpInventoryChangeCommodity": {
            "type": "object",
            "properties": {
                "amount": {
                    "description": "金额",
                    "type": "number"
                },
                "change_order_id": {
                    "description": "库存变动订单表id",
                    "type": "integer"
                },
                "commodity_id": {
                    "description": "商品id",
                    "type": "integer"
                },
                "commodity_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "count": {
                    "description": "计划数量",
                    "type": "integer"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "employee_price": {
                    "description": "员工成本价",
                    "type": "number"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "imei": {
                    "description": "商品串码",
                    "type": "string"
                },
                "imei_type": {
                    "description": "1-无串码 2-串码",
                    "type": "integer"
                },
                "price": {
                    "description": "采购单价",
                    "type": "number"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "supplier_id": {
                    "description": "供应商id",
                    "type": "integer"
                },
                "supplier_name": {
                    "description": "供应商名称",
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.ErpInventoryChangeOrder": {
            "type": "object",
            "properties": {
                "audit_time": {
                    "description": "审核时间",
                    "type": "string"
                },
                "auditor_id": {
                    "description": "审核人id",
                    "type": "integer"
                },
                "auditor_name": {
                    "description": "审核人名称",
                    "type": "string"
                },
                "change_type": {
                    "description": "类型:add-增加；reduce-减少",
                    "type": "string"
                },
                "commodities": {
                    "description": "库存变动商品信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpInventoryChangeCommodity"
                    }
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "handler_id": {
                    "description": "经手人id",
                    "type": "integer"
                },
                "handler_name": {
                    "description": "经手人名称",
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "maker_id": {
                    "description": "制单人id",
                    "type": "integer"
                },
                "maker_name": {
                    "description": "制单人名称",
                    "type": "string"
                },
                "maker_time": {
                    "description": "制单时间",
                    "type": "string"
                },
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                },
                "state": {
                    "description": "1-待审核 2-已完成",
                    "type": "integer"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "store_name": {
                    "description": "门店名称",
                    "type": "string"
                },
                "total_amount": {
                    "description": "总金额",
                    "type": "number"
                },
                "total_count": {
                    "description": "总数量",
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.ErpInventoryProductCommodity": {
            "type": "object",
            "properties": {
                "amount": {
                    "description": "金额",
                    "type": "number"
                },
                "commodity_id": {
                    "description": "商品id",
                    "type": "integer"
                },
                "commodity_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "count": {
                    "description": "计划数量",
                    "type": "integer"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "employee_price": {
                    "description": "员工成本价",
                    "type": "number"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "imei": {
                    "description": "商品串码",
                    "type": "string"
                },
                "imei_type": {
                    "description": "1-无串码 2-串码",
                    "type": "integer"
                },
                "price": {
                    "description": "采购单价",
                    "type": "number"
                },
                "product_order_id": {
                    "description": "产品入库订单表id",
                    "type": "integer"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "supplier_id": {
                    "description": "供应商id",
                    "type": "integer"
                },
                "supplier_name": {
                    "description": "供应商名称",
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.ErpInventoryProductOrder": {
            "type": "object",
            "properties": {
                "audit_time": {
                    "description": "审核时间",
                    "type": "string"
                },
                "auditor_id": {
                    "description": "审核人id",
                    "type": "integer"
                },
                "auditor_name": {
                    "description": "审核人名称",
                    "type": "string"
                },
                "commodities": {
                    "description": "产品入库商品信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpInventoryProductCommodity"
                    }
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "handler_id": {
                    "description": "经手人id",
                    "type": "integer"
                },
                "handler_name": {
                    "description": "经手人名称",
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "maker_id": {
                    "description": "制单人id",
                    "type": "integer"
                },
                "maker_name": {
                    "description": "制单人名称",
                    "type": "string"
                },
                "maker_time": {
                    "description": "制单时间",
                    "type": "string"
                },
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                },
                "state": {
                    "description": "1-待审核 2-已完成",
                    "type": "integer"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "store_name": {
                    "description": "门店名称",
                    "type": "string"
                },
                "total_amount": {
                    "description": "总金额",
                    "type": "number"
                },
                "total_count": {
                    "description": "总数量",
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.ErpMarketingCouponCreateReq": {
            "type": "object",
            "required": [
                "active_date",
                "amount",
                "category_number",
                "name",
                "sms_content",
                "user_type"
            ],
            "properties": {
                "active_date": {
                    "description": "有效期（天）",
                    "type": "integer"
                },
                "amount": {
                    "description": "金额（元）",
                    "type": "integer"
                },
                "category_number": {
                    "description": "可以使用该优惠券的商品分类编号，如果为空则表示没限制",
                    "type": "string"
                },
                "describe": {
                    "description": "优惠券简介",
                    "type": "string"
                },
                "limit": {
                    "description": "优惠券叠加限制 0-不限制；1-仅限原价购买时使用",
                    "type": "integer"
                },
                "name": {
                    "description": "优惠券名称",
                    "type": "string"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "rule": {
                    "description": "优惠券使用规则",
                    "type": "string"
                },
                "sms_content": {
                    "description": "短信提示内容",
                    "type": "string"
                },
                "user_type": {
                    "description": "领取人限制：1-所有人 2-未付费用户 3-已付费用户 4-尊享会员",
                    "type": "integer"
                }
            }
        },
        "models.ErpMarketingCouponDataReq": {
            "type": "object",
            "required": [
                "erp_coupon_id"
            ],
            "properties": {
                "erp_coupon_id": {
                    "description": "优惠券id",
                    "type": "integer"
                }
            }
        },
        "models.ErpMarketingCouponDataResp": {
            "type": "object",
            "properties": {
                "cost_effectiveness": {
                    "description": "费效比：优惠总金额 / 用券总成交额",
                    "type": "number"
                },
                "customer_count": {
                    "description": "用券客户数：使用该优惠券的成交客户数",
                    "type": "integer"
                },
                "order_count": {
                    "description": "订单数：使用该优惠券的付款订单数",
                    "type": "integer"
                },
                "product_count": {
                    "description": "购买商品件数：使用该优惠券购买的商品数量",
                    "type": "integer"
                },
                "products": {
                    "description": "商品信息：包含每个商品的ID、名称、付款件数、付款人数等信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ProductInfo"
                    }
                },
                "total_amount": {
                    "description": "用券总成交额：使用该优惠券的订单付款总金额",
                    "type": "number"
                },
                "total_discount": {
                    "description": "优惠总金额：使用该优惠券优惠的总金额",
                    "type": "number"
                },
                "unit_price": {
                    "description": "用券笔单价：用券总成交额 / 使用该优惠券的付款订单数",
                    "type": "number"
                }
            }
        },
        "models.ErpMarketingCouponDeleteReq": {
            "type": "object",
            "required": [
                "erp_coupon_id"
            ],
            "properties": {
                "erp_coupon_id": {
                    "description": "优惠券id",
                    "type": "integer"
                }
            }
        },
        "models.ErpMarketingCouponDetailReq": {
            "type": "object",
            "required": [
                "erp_coupon_id"
            ],
            "properties": {
                "erp_coupon_id": {
                    "description": "优惠券id",
                    "type": "integer"
                }
            }
        },
        "models.ErpMarketingCouponEditReq": {
            "type": "object",
            "required": [
                "active_date",
                "amount",
                "category_number",
                "erp_coupon_id",
                "name",
                "sms_content",
                "user_type"
            ],
            "properties": {
                "active_date": {
                    "description": "有效期（天）",
                    "type": "integer"
                },
                "amount": {
                    "description": "金额（元）",
                    "type": "integer"
                },
                "category_number": {
                    "description": "可以使用该优惠券的商品分类，如果为空则表示没限制",
                    "type": "string"
                },
                "describe": {
                    "description": "优惠券简介",
                    "type": "string"
                },
                "erp_coupon_id": {
                    "description": "优惠券id",
                    "type": "integer"
                },
                "limit": {
                    "description": "优惠券叠加限制 0-不限制；1-仅限原价购买时使用",
                    "type": "integer"
                },
                "name": {
                    "description": "优惠券名称",
                    "type": "string"
                },
                "remark": {
                    "description": "名称备注",
                    "type": "string"
                },
                "rule": {
                    "description": "优惠券使用规则",
                    "type": "string"
                },
                "sms_content": {
                    "description": "短信提示内容",
                    "type": "string"
                },
                "user_type": {
                    "description": "领取人限制：1-所有人 2-未付费用户 3-已付费用户 4-尊享会员",
                    "type": "integer"
                }
            }
        },
        "models.ErpMarketingCouponListReq": {
            "type": "object",
            "properties": {
                "created_time_end": {
                    "description": "创建结束时间",
                    "type": "string"
                },
                "created_time_start": {
                    "description": "创建开始时间",
                    "type": "string"
                },
                "is_export": {
                    "description": "1-导出",
                    "type": "integer"
                },
                "name": {
                    "description": "优惠券名称",
                    "type": "string"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "state": {
                    "description": "当前状态 1-未开始；2-发放中；3-进行中；4-已结束",
                    "type": "integer"
                }
            }
        },
        "models.ErpMarketingCouponListResp": {
            "type": "object",
            "properties": {
                "export_url": {
                    "description": "导出excel路径",
                    "type": "string"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpCoupon"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "total": {
                    "description": "总条数",
                    "type": "integer"
                }
            }
        },
        "models.ErpMarketingCouponStartReq": {
            "type": "object",
            "required": [
                "erp_coupon_id",
                "remark",
                "sms_content"
            ],
            "properties": {
                "erp_coupon_id": {
                    "description": "优惠券id",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "remark": {
                    "description": "活动名称备注",
                    "type": "string"
                },
                "sms_content": {
                    "description": "短信提示内容",
                    "type": "string"
                }
            }
        },
        "models.ErpMonthEndClosing": {
            "type": "object",
            "properties": {
                "audit_time": {
                    "description": "审核时间",
                    "type": "string"
                },
                "auditor_id": {
                    "description": "审核人 ID",
                    "type": "integer"
                },
                "auditor_name": {
                    "description": "审核人姓名",
                    "type": "string"
                },
                "closing_end_date": {
                    "description": "月结结束时间，精确到天",
                    "type": "string"
                },
                "closing_start_date": {
                    "description": "月结开始时间，精确到天",
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "maker_id": {
                    "description": "制单人 ID",
                    "type": "integer"
                },
                "maker_name": {
                    "description": "制单人名称",
                    "type": "string"
                },
                "maker_time": {
                    "description": "制单时间",
                    "type": "string"
                },
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                },
                "state": {
                    "description": "订单状态：1-待审核；2-已审核",
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.ErpMonthEndClosingAuditReq": {
            "type": "object",
            "required": [
                "serial_number",
                "state"
            ],
            "properties": {
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                },
                "state": {
                    "description": "审核操作: 1-审核 2-取消审核",
                    "type": "integer"
                }
            }
        },
        "models.ErpMonthEndClosingCreateReq": {
            "type": "object",
            "required": [
                "closing_end_date",
                "closing_start_date"
            ],
            "properties": {
                "closing_end_date": {
                    "description": "月结结束时间，精确到天",
                    "type": "string"
                },
                "closing_start_date": {
                    "description": "月结开始时间，精确到天",
                    "type": "string"
                }
            }
        },
        "models.ErpMonthEndClosingDateResp": {
            "type": "object",
            "properties": {
                "start_date": {
                    "description": "月结开始时间",
                    "type": "string"
                }
            }
        },
        "models.ErpMonthEndClosingDeleteReq": {
            "type": "object",
            "required": [
                "serial_number"
            ],
            "properties": {
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                }
            }
        },
        "models.ErpMonthEndClosingEditReq": {
            "type": "object",
            "required": [
                "closing_end_date",
                "closing_start_date",
                "serial_number"
            ],
            "properties": {
                "closing_end_date": {
                    "description": "月结结束时间，精确到天",
                    "type": "string"
                },
                "closing_start_date": {
                    "description": "月结开始时间，精确到天",
                    "type": "string"
                },
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                }
            }
        },
        "models.ErpMonthEndClosingListReq": {
            "type": "object",
            "properties": {
                "closing_end_date": {
                    "description": "月结结束时间",
                    "type": "string"
                },
                "closing_start_date": {
                    "description": "月结开始时间",
                    "type": "string"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                },
                "state": {
                    "description": "订单状态：1-待审核；2-已审核",
                    "type": "integer"
                }
            }
        },
        "models.ErpMonthEndClosingListResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpMonthEndOrder"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "每页展示条数",
                    "type": "integer"
                },
                "total": {
                    "description": "总条数",
                    "type": "integer"
                }
            }
        },
        "models.ErpMonthEndOrder": {
            "type": "object",
            "properties": {
                "audit_time": {
                    "description": "审核时间",
                    "type": "string"
                },
                "auditor_id": {
                    "description": "审核人 ID",
                    "type": "integer"
                },
                "auditor_name": {
                    "description": "审核人姓名",
                    "type": "string"
                },
                "closing_end_date": {
                    "description": "月结结束时间，精确到天",
                    "type": "string"
                },
                "closing_start_date": {
                    "description": "月结开始时间，精确到天",
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "maker_id": {
                    "description": "制单人 ID",
                    "type": "integer"
                },
                "maker_name": {
                    "description": "制单人名称",
                    "type": "string"
                },
                "maker_time": {
                    "description": "制单时间",
                    "type": "string"
                },
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                },
                "state": {
                    "description": "订单状态：1-待审核；2-已审核",
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.ErpOrder": {
            "type": "object",
            "properties": {
                "audit_time": {
                    "description": "审核时间",
                    "type": "string"
                },
                "auditor_id": {
                    "description": "审核人id",
                    "type": "integer"
                },
                "auditor_name": {
                    "description": "审核人姓名",
                    "type": "string"
                },
                "bank_trx_no": {
                    "description": "银行流水号",
                    "type": "string"
                },
                "bill_sn": {
                    "description": "单据编号",
                    "type": "string"
                },
                "cashier_list": {
                    "description": "付款方式，存储json数据",
                    "type": "string"
                },
                "cashiers": {
                    "description": "收付款方式",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpOrderCashier"
                    }
                },
                "commodities": {
                    "description": "零售订单商品信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpOrderCommodity"
                    }
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "invoice_code": {
                    "description": "发票代码",
                    "type": "string"
                },
                "invoice_number": {
                    "description": "发票编码",
                    "type": "string"
                },
                "is_print": {
                    "description": "是否打印小票 1-未打印 2-已打印",
                    "type": "integer"
                },
                "maker_id": {
                    "description": "制单人id",
                    "type": "integer"
                },
                "maker_name": {
                    "description": "制单人名称",
                    "type": "string"
                },
                "maker_time": {
                    "description": "制单时间",
                    "type": "string"
                },
                "member_type": {
                    "description": "会员类型:general 普通； member 会员",
                    "type": "string"
                },
                "pay_status": {
                    "description": "支付状态 0-未创建 ；1-待支付； 2-已支付",
                    "type": "integer"
                },
                "print_count": {
                    "description": "小票打印次数",
                    "type": "integer"
                },
                "rejected_total_amount": {
                    "description": "订单总退货金额",
                    "type": "number"
                },
                "rejected_total_count": {
                    "description": "订单总退货数量",
                    "type": "integer"
                },
                "retail_type": {
                    "description": "销售类型:sale 零售销售； rejected 零售退货",
                    "type": "string"
                },
                "sale_order_id": {
                    "description": "销售订单id",
                    "type": "integer"
                },
                "salesman": {
                    "description": "销售员信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpOrderSales"
                    }
                },
                "salesman_list": {
                    "description": "销售员信息，存储json数据",
                    "type": "string"
                },
                "state": {
                    "description": "订单状态:un_audit 待审核； audited 已审核",
                    "type": "string"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "store_name": {
                    "description": "门店名称",
                    "type": "string"
                },
                "store_per": {
                    "description": "门店提成：订单总员工毛利X该门店设置好的提成比例，保留到小数后两位多余舍去",
                    "type": "number"
                },
                "tel": {
                    "description": "客户手机号",
                    "type": "string"
                },
                "total_amount": {
                    "description": "订单实收金额",
                    "type": "number"
                },
                "total_count": {
                    "description": "订单商品数量",
                    "type": "integer"
                },
                "total_discount": {
                    "description": "订单总优惠：订单所有商品零售优惠+会员优惠+会员积分抵扣之和",
                    "type": "number"
                },
                "total_retail_price": {
                    "description": "订单总指导零售价",
                    "type": "number"
                },
                "total_sales_profit": {
                    "description": "订单总销售毛利",
                    "type": "number"
                },
                "total_staff_profit": {
                    "description": "订单总员工毛利",
                    "type": "number"
                },
                "uid": {
                    "description": "用户id",
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                },
                "user_type": {
                    "description": "会员类别：1-普通会员 2-黄金会员 4-白金会员 5-黑金会员 6-尊享会员 7-黄金\u0026尊享 8-白金\u0026尊享 9-黑金\u0026尊享",
                    "type": "integer"
                },
                "vm_count": {
                    "description": "使用会员积分",
                    "type": "integer"
                }
            }
        },
        "models.ErpOrderAddInvoiceReq": {
            "type": "object",
            "required": [
                "bill_sn",
                "invoice_code",
                "invoice_number"
            ],
            "properties": {
                "bill_sn": {
                    "description": "单据编号",
                    "type": "string"
                },
                "invoice_code": {
                    "description": "发票代码",
                    "type": "string"
                },
                "invoice_number": {
                    "description": "发票编码",
                    "type": "string"
                }
            }
        },
        "models.ErpOrderAuditReq": {
            "type": "object",
            "required": [
                "bill_sn",
                "state"
            ],
            "properties": {
                "bill_sn": {
                    "description": "单据编号",
                    "type": "string"
                },
                "state": {
                    "description": "审核操作: 1-审核 2-取消审核",
                    "type": "integer"
                }
            }
        },
        "models.ErpOrderBatchImportResp": {
            "type": "object",
            "properties": {
                "commodities": {
                    "description": "零售订单商品信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpOrderCommodity"
                    }
                }
            }
        },
        "models.ErpOrderCashier": {
            "type": "object",
            "properties": {
                "amount": {
                    "description": "金额",
                    "type": "number"
                },
                "cashier_id": {
                    "description": "收付款方式id",
                    "type": "integer"
                },
                "name": {
                    "description": "收付款方式名称",
                    "type": "string"
                }
            }
        },
        "models.ErpOrderCommodity": {
            "type": "object",
            "properties": {
                "amount": {
                    "description": "实际零售价",
                    "type": "number"
                },
                "category_number": {
                    "description": "商品分类编号",
                    "type": "string"
                },
                "commodity_serial_number": {
                    "description": "商品编号",
                    "type": "string"
                },
                "count": {
                    "description": "销售数量",
                    "type": "integer"
                },
                "coupon_code": {
                    "description": "优惠券券码",
                    "type": "string"
                },
                "coupon_discount": {
                    "description": "优惠券抵扣",
                    "type": "number"
                },
                "coupon_id": {
                    "description": "优惠券ID",
                    "type": "integer"
                },
                "coupon_name": {
                    "description": "优惠券名称",
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "erp_category_id": {
                    "description": "分类id",
                    "type": "integer"
                },
                "erp_category_name": {
                    "description": "分类名称",
                    "type": "string"
                },
                "erp_commodity_id": {
                    "description": "商品id",
                    "type": "integer"
                },
                "erp_commodity_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "erp_order_id": {
                    "description": "零售订单id（后端生成）",
                    "type": "integer"
                },
                "erp_stock_commodity_id": {
                    "description": "库存商品表主键id",
                    "type": "string"
                },
                "erp_supplier_id": {
                    "description": "主供应商id",
                    "type": "integer"
                },
                "erp_supplier_name": {
                    "description": "主供应商名称",
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "imei": {
                    "description": "串码",
                    "type": "string"
                },
                "imei_type": {
                    "description": "1-无串码 2-串码",
                    "type": "integer"
                },
                "member_discount": {
                    "description": "会员优惠",
                    "type": "number"
                },
                "present_type": {
                    "description": "赠送类型:1-非赠送 2-赠送",
                    "type": "integer"
                },
                "received_amount": {
                    "description": "商品实收金额",
                    "type": "number"
                },
                "rejected_amount": {
                    "description": "退货金额",
                    "type": "number"
                },
                "rejected_count": {
                    "description": "退货数量",
                    "type": "integer"
                },
                "rejected_order_commodity_id": {
                    "description": "退货订单商品id",
                    "type": "integer"
                },
                "rejected_price": {
                    "description": "退货单价",
                    "type": "number"
                },
                "rejected_remark": {
                    "description": "退货备注",
                    "type": "string"
                },
                "remark": {
                    "description": "销售备注",
                    "type": "string"
                },
                "retail_price": {
                    "description": "指导零售价",
                    "type": "number"
                },
                "sale_discount": {
                    "description": "零售优惠",
                    "type": "number"
                },
                "sale_price": {
                    "description": "零售价",
                    "type": "number"
                },
                "sales_profit": {
                    "description": "销售毛利：实际零售价-采购单价；如果为退货订单，则为实际退货价-采购单价",
                    "type": "number"
                },
                "staff_cost_price": {
                    "description": "员工成本价加价（如：加价50，不是加价后的价格）",
                    "type": "number"
                },
                "staff_price": {
                    "description": "员工成本价",
                    "type": "number"
                },
                "staff_profit": {
                    "description": "员工毛利：实际零售价-员工成本价；如果为退货订单，则为实际退货价-员工成本价",
                    "type": "number"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                },
                "vm_discount": {
                    "description": "会员积分抵扣",
                    "type": "number"
                },
                "wholesale_price": {
                    "description": "指导采购价",
                    "type": "number"
                }
            }
        },
        "models.ErpOrderCreateReq": {
            "type": "object",
            "required": [
                "cashiers",
                "erp_order_commodities",
                "retail_type",
                "salesman",
                "store_id",
                "store_name",
                "total_count"
            ],
            "properties": {
                "bill_sn": {
                    "description": "单据编号",
                    "type": "string"
                },
                "cashiers": {
                    "description": "收付款方式",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpOrderCashier"
                    }
                },
                "erp_order_commodities": {
                    "description": "零售订单商品信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpOrderCommodity"
                    }
                },
                "member_type": {
                    "description": "会员类型：general 普通； member 会员",
                    "type": "string"
                },
                "retail_type": {
                    "description": "销售类型：sale 零售销售； rejected 零售退货",
                    "type": "string"
                },
                "salesman": {
                    "description": "销售员信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpOrderSales"
                    }
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "store_name": {
                    "description": "门店名称",
                    "type": "string"
                },
                "tel": {
                    "description": "会员手机号",
                    "type": "string"
                },
                "total_amount": {
                    "description": "订单实收金额：如果只有1个赠送商品，金额可以为0",
                    "type": "number"
                },
                "total_count": {
                    "description": "订单商品数量",
                    "type": "integer"
                },
                "total_retail_price": {
                    "description": "订单总指导零售价：如果是赠送商品，金额可以为0",
                    "type": "number"
                },
                "vm_count": {
                    "description": "使用会员积分",
                    "type": "integer"
                }
            }
        },
        "models.ErpOrderDailyReportReq": {
            "type": "object",
            "properties": {
                "end_time": {
                    "description": "结束时间",
                    "type": "string"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "start_time": {
                    "description": "开始时间",
                    "type": "string"
                }
            }
        },
        "models.ErpOrderDailyReportResp": {
            "type": "object",
            "properties": {
                "list": {
                    "description": "零售明细",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.DailyReport"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "每页展示条数",
                    "type": "integer"
                },
                "total": {
                    "description": "总条数（总订单数）",
                    "type": "integer"
                },
                "total_amount": {
                    "description": "合计总金额",
                    "type": "number"
                },
                "total_count": {
                    "description": "合计总销售数量",
                    "type": "integer"
                },
                "total_sales_profit": {
                    "description": "合计总毛利（销售毛利；店员看员工毛利）",
                    "type": "number"
                }
            }
        },
        "models.ErpOrderDeleteReq": {
            "type": "object",
            "required": [
                "bill_sn"
            ],
            "properties": {
                "bill_sn": {
                    "description": "单据编号",
                    "type": "string"
                }
            }
        },
        "models.ErpOrderListReq": {
            "type": "object",
            "properties": {
                "audit_time_end": {
                    "description": "审核结束时间",
                    "type": "string"
                },
                "audit_time_start": {
                    "description": "审核开始时间",
                    "type": "string"
                },
                "bill_sn": {
                    "description": "单据编号",
                    "type": "string"
                },
                "commodity_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "make_time_end": {
                    "description": "制单结束时间",
                    "type": "string"
                },
                "make_time_start": {
                    "description": "制单开始时间",
                    "type": "string"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "pay_status": {
                    "description": "支付状态 0-未创建 ；1-待支付； 2-已支付",
                    "type": "integer"
                },
                "retail_type": {
                    "description": "销售类型：sale 零售销售； rejected 零售退货",
                    "type": "string"
                },
                "salesman": {
                    "description": "销售人员ID",
                    "type": "integer"
                },
                "scan_code": {
                    "description": "扫码枪扫码数据：串码",
                    "type": "string"
                },
                "state": {
                    "description": "订单状态",
                    "type": "string"
                },
                "store_id": {
                    "description": "门店ID",
                    "type": "integer"
                },
                "tel": {
                    "description": "客户手机号",
                    "type": "string"
                },
                "uid": {
                    "description": "用户ID",
                    "type": "integer"
                }
            }
        },
        "models.ErpOrderListResp": {
            "type": "object",
            "required": [
                "show_all"
            ],
            "properties": {
                "export_url": {
                    "type": "string"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpOrder"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "每页展示条数",
                    "type": "integer"
                },
                "show_all": {
                    "description": "展示所有订单配置：ON-打开，OFF-关闭",
                    "type": "string"
                },
                "total": {
                    "description": "总条数",
                    "type": "integer"
                }
            }
        },
        "models.ErpOrderPayReq": {
            "type": "object",
            "required": [
                "auth_code",
                "bill_sn"
            ],
            "properties": {
                "auth_code": {
                    "description": "用户付款码",
                    "type": "string"
                },
                "bill_sn": {
                    "description": "单据编号",
                    "type": "string"
                }
            }
        },
        "models.ErpOrderPayResp": {
            "type": "object",
            "properties": {
                "status": {
                    "description": "支付成功：pay_ok；支付失败：pay_failed ；等待支付：paying; 未知状态：pay_unknown; 未创建支付订单：no_pay_order",
                    "type": "string"
                }
            }
        },
        "models.ErpOrderReceiptDataResp": {
            "type": "object",
            "properties": {
                "actualPayment": {
                    "description": "所有支付方式金额总和",
                    "type": "number"
                },
                "barcode": {
                    "description": "单据编号：条码",
                    "type": "string"
                },
                "chandiseObj": {
                    "description": "商品信息",
                    "type": "object",
                    "additionalProperties": {
                        "$ref": "#/definitions/models.TableData"
                    }
                },
                "collectS": {
                    "description": "收银人员：制单人",
                    "type": "string"
                },
                "couponAmount": {
                    "description": "优惠券优惠总金额",
                    "type": "number"
                },
                "integrationAmount": {
                    "description": "积分抵扣总金额",
                    "type": "number"
                },
                "is_show_imei": {
                    "description": "是否打印商品串码,1-打印串码，0-不打印",
                    "type": "integer"
                },
                "membersAmount": {
                    "description": "会员优惠总金额",
                    "type": "number"
                },
                "modeOfPayment": {
                    "description": "支付信息",
                    "type": "object",
                    "additionalProperties": {
                        "$ref": "#/definitions/models.ErpOrderCashier"
                    }
                },
                "oddNum": {
                    "description": "单据编号",
                    "type": "string"
                },
                "storeAddress": {
                    "description": "店铺地址",
                    "type": "string"
                },
                "storeName": {
                    "description": "门店名称",
                    "type": "string"
                },
                "storeTel": {
                    "description": "卖家电话",
                    "type": "string"
                },
                "tel": {
                    "description": "买家电话",
                    "type": "string"
                },
                "time": {
                    "description": "审核时间",
                    "type": "string"
                },
                "toDealWith": {
                    "description": "零售价合计 - 零售优惠总额 - 会员优惠总和 - 积分抵扣总额",
                    "type": "number"
                },
                "totalAmount": {
                    "description": "零售优惠总金额",
                    "type": "number"
                },
                "totalNum": {
                    "description": "数量合计",
                    "type": "integer"
                },
                "totalRetailP": {
                    "description": "零售价合计",
                    "type": "number"
                },
                "uid": {
                    "description": "用户id",
                    "type": "integer"
                }
            }
        },
        "models.ErpOrderRetailDetailReq": {
            "type": "object",
            "properties": {
                "bank_trx_no": {
                    "description": "银联流水号",
                    "type": "string"
                },
                "bill_sn": {
                    "description": "单据编号",
                    "type": "string"
                },
                "cashier_id": {
                    "description": "收付款方式id",
                    "type": "integer"
                },
                "end_time": {
                    "description": "结束时间",
                    "type": "string"
                },
                "erp_category_id": {
                    "description": "分类id",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "erp_commodity_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "imei": {
                    "description": "串码",
                    "type": "string"
                },
                "is_export": {
                    "description": "1-导出",
                    "type": "integer"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "retail_type": {
                    "description": "销售类型：sale 零售销售； rejected 零售退货",
                    "type": "string"
                },
                "salesman": {
                    "description": "销售人员ID",
                    "type": "integer"
                },
                "start_time": {
                    "description": "开始时间",
                    "type": "string"
                },
                "store_id": {
                    "description": "门店ID",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "tel": {
                    "description": "客户手机号",
                    "type": "string"
                },
                "uid": {
                    "description": "用户ID",
                    "type": "integer"
                }
            }
        },
        "models.ErpOrderRetailDetailResp": {
            "type": "object",
            "properties": {
                "export_url": {
                    "description": "导出excel地址",
                    "type": "string"
                },
                "list": {
                    "description": "零售明细",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpOrder"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "每页展示条数",
                    "type": "integer"
                },
                "sumData": {
                    "description": "汇总数据",
                    "allOf": [
                        {
                            "$ref": "#/definitions/models.RetailDetailTotalData"
                        }
                    ]
                },
                "total": {
                    "description": "总条数（总订单数）",
                    "type": "integer"
                }
            }
        },
        "models.ErpOrderRetailMarginReq": {
            "type": "object",
            "properties": {
                "end_time": {
                    "description": "结束时间",
                    "type": "string"
                },
                "erp_category_id": {
                    "description": "分类id",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "erp_commodity_name": {
                    "description": "商品名称",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "is_export": {
                    "description": "1-导出",
                    "type": "integer"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "retail_type": {
                    "description": "销售类型:sale 零售销售； rejected 零售退货",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "start_time": {
                    "description": "开始时间",
                    "type": "string"
                },
                "store_id": {
                    "description": "门店ID",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "models.ErpOrderRetailMarginResp": {
            "type": "object",
            "properties": {
                "export_url": {
                    "type": "string"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.RetailMarginData"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "每页展示条数",
                    "type": "integer"
                },
                "total": {
                    "description": "总条数",
                    "type": "integer"
                },
                "total_count": {
                    "description": "总销售数量",
                    "type": "integer"
                },
                "total_employee_cost": {
                    "description": "总员工成本：商品员工成本价之和",
                    "type": "number"
                },
                "total_employee_gross_margins": {
                    "description": "总员工毛利率: 员工毛利/销售/退货金额",
                    "type": "string"
                },
                "total_employee_margin": {
                    "description": "总员工毛利：销售金额/实际退货金额-员工成本",
                    "type": "number"
                },
                "total_gross_margins": {
                    "description": "销售毛利率:销售毛利/销售/退货金额",
                    "type": "string"
                },
                "total_sales_amount": {
                    "description": "总销售/退货金额",
                    "type": "number"
                },
                "total_sales_cost": {
                    "description": "总销售成本：销售采购价之和",
                    "type": "number"
                },
                "total_sales_margin": {
                    "description": "总销售毛利：销售/退货金额-销售成本",
                    "type": "number"
                }
            }
        },
        "models.ErpOrderSaleDetailReq": {
            "type": "object",
            "properties": {
                "bank_trx_no": {
                    "description": "银联流水号",
                    "type": "string"
                },
                "bill_sn": {
                    "description": "单据编号",
                    "type": "string"
                },
                "end_time": {
                    "description": "结束时间",
                    "type": "string"
                },
                "erp_category_id": {
                    "description": "分类id",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "erp_commodity_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "imei": {
                    "description": "串码",
                    "type": "string"
                },
                "is_export": {
                    "description": "1-导出",
                    "type": "integer"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "retail_type": {
                    "description": "销售类型：sale 零售销售； rejected 零售退货",
                    "type": "string"
                },
                "salesman": {
                    "description": "销售人员ID",
                    "type": "integer"
                },
                "start_time": {
                    "description": "开始时间",
                    "type": "string"
                },
                "store_id": {
                    "description": "门店ID",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "tel": {
                    "description": "客户手机号",
                    "type": "string"
                },
                "uid": {
                    "description": "用户ID",
                    "type": "integer"
                },
                "user_type": {
                    "description": "会员类别：0-未注册 1-普通会员 2-黄金会员 4-白金会员 5-黑金会员 6-尊享会员 7-黄金\u0026尊享 8-白金\u0026尊享 9-黑金\u0026尊享",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "models.ErpOrderSales": {
            "type": "object",
            "required": [
                "userId"
            ],
            "properties": {
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "erp_order_id": {
                    "description": "零售订单id（后端生成）",
                    "type": "integer"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "name": {
                    "description": "销售员用户姓名",
                    "type": "string"
                },
                "sales_profit_per": {
                    "description": "销售毛利提成：每个商品销售毛利X其对应的提成比例后求和；如果是两个销售员参与则分别除以2 ，保留到小数后两位多余舍去",
                    "type": "number"
                },
                "salesman_per": {
                    "description": "销售员提成：订单总员工毛利X该销售员设置好的提成比例；如果是两个销售员参与，那么两个人算出的提成均除以2，保留到小数后两位多余舍去",
                    "type": "number"
                },
                "staff_profit_per": {
                    "description": "员工毛利提成：每个商品员工毛利X其对应的提成比例后求和；如果是两个销售员参与则分别除以2 ，保留到小数后两位多余舍去",
                    "type": "number"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                },
                "userId": {
                    "description": "销售员用户ID（20240322：更换为系统用户表主键id）",
                    "type": "integer"
                }
            }
        },
        "models.ErpOrderShowConfig": {
            "type": "object",
            "required": [
                "show_all"
            ],
            "properties": {
                "show_all": {
                    "description": "展示所有订单配置：ON-打开，OFF-关闭",
                    "type": "string"
                }
            }
        },
        "models.ErpOrderStoreManageDataReq": {
            "type": "object",
            "properties": {
                "end_time": {
                    "description": "结束时间",
                    "type": "string"
                },
                "is_export": {
                    "description": "1-导出",
                    "type": "integer"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "sort_type": {
                    "description": "排序类型：desc 降序、asc 升序",
                    "type": "string"
                },
                "start_time": {
                    "description": "开始时间",
                    "type": "string"
                },
                "store_id": {
                    "description": "门店ID",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "models.ErpOrderStoreManageDataResp": {
            "type": "object",
            "properties": {
                "export_url": {
                    "type": "string"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.StoreManageData"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "每页展示条数",
                    "type": "integer"
                },
                "total": {
                    "description": "总条数",
                    "type": "integer"
                },
                "total_count": {
                    "description": "总销售数量",
                    "type": "integer"
                },
                "total_promotion_fee": {
                    "description": "总推广费",
                    "type": "number"
                },
                "total_sales_amount": {
                    "description": "总销售额",
                    "type": "number"
                },
                "total_sales_profit": {
                    "description": "总销售毛利",
                    "type": "number"
                },
                "total_staff_profit": {
                    "description": "总员工毛利",
                    "type": "number"
                }
            }
        },
        "models.ErpPurchaseAuditReq": {
            "type": "object",
            "required": [
                "serial_number",
                "state"
            ],
            "properties": {
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                },
                "state": {
                    "description": "审核操作: 1-审核 2-取消审核",
                    "type": "integer"
                }
            }
        },
        "models.ErpPurchaseChangeAuditReq": {
            "type": "object",
            "required": [
                "serial_number",
                "state"
            ],
            "properties": {
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                },
                "state": {
                    "description": "审核操作: 1-审核 2-取消审核",
                    "type": "integer"
                }
            }
        },
        "models.ErpPurchaseChangeCommodity": {
            "type": "object",
            "properties": {
                "change_order_id": {
                    "description": "采购换机订单id",
                    "type": "integer"
                },
                "commodity_serial_number": {
                    "description": "商品编号",
                    "type": "string"
                },
                "count": {
                    "description": "数量",
                    "type": "integer"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "erp_commodity_id": {
                    "description": "商品id",
                    "type": "integer"
                },
                "erp_commodity_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "imei_type": {
                    "description": "1-无串码 2-串码",
                    "type": "integer"
                },
                "new_color": {
                    "description": "新机身颜色",
                    "type": "string"
                },
                "new_imei": {
                    "description": "新机身串码",
                    "type": "string"
                },
                "origin_color": {
                    "description": "原机身颜色",
                    "type": "string"
                },
                "origin_imei": {
                    "description": "原机身串码",
                    "type": "string"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.ErpPurchaseChangeCreateReq": {
            "type": "object",
            "required": [
                "commodities"
            ],
            "properties": {
                "commodities": {
                    "description": "采购换机商品信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpPurchaseChangeCommodity"
                    }
                },
                "erp_supplier_id": {
                    "description": "供应商id:入库必传",
                    "type": "integer"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "store_id": {
                    "description": "门店id:入库必传",
                    "type": "integer"
                }
            }
        },
        "models.ErpPurchaseChangeDeleteReq": {
            "type": "object",
            "required": [
                "serial_number"
            ],
            "properties": {
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                }
            }
        },
        "models.ErpPurchaseChangeEditReq": {
            "type": "object",
            "required": [
                "Commodities"
            ],
            "properties": {
                "Commodities": {
                    "description": "采购商品信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpPurchaseChangeCommodity"
                    }
                },
                "change_order_id": {
                    "description": "采购换机订单id",
                    "type": "integer"
                },
                "erp_supplier_id": {
                    "description": "供应商id:入库必传",
                    "type": "integer"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "store_id": {
                    "description": "门店id:入库必传",
                    "type": "integer"
                }
            }
        },
        "models.ErpPurchaseChangeOrder": {
            "type": "object",
            "properties": {
                "audit_time": {
                    "description": "审核时间",
                    "type": "string"
                },
                "auditor_id": {
                    "description": "审核人id",
                    "type": "integer"
                },
                "auditor_name": {
                    "description": "审核人名称",
                    "type": "string"
                },
                "commodities": {
                    "description": "采购换机商品信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpPurchaseChangeCommodity"
                    }
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "erp_supplier_id": {
                    "description": "供应商id",
                    "type": "integer"
                },
                "erp_supplier_name": {
                    "description": "供应商名称",
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "maker_id": {
                    "description": "制单人id",
                    "type": "integer"
                },
                "maker_name": {
                    "description": "制单人名称",
                    "type": "string"
                },
                "maker_time": {
                    "description": "制单时间",
                    "type": "string"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                },
                "state": {
                    "description": "1-待审核 2-已完成",
                    "type": "integer"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "store_name": {
                    "description": "门店名称",
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.ErpPurchaseChangeOrderListReq": {
            "type": "object",
            "properties": {
                "audit_time_end": {
                    "description": "审核结束时间",
                    "type": "string"
                },
                "audit_time_start": {
                    "description": "审核开始时间",
                    "type": "string"
                },
                "erp_supplier_id": {
                    "description": "供应商id",
                    "type": "integer"
                },
                "handler_id": {
                    "description": "经手人id",
                    "type": "integer"
                },
                "make_time_end": {
                    "description": "制单结束时间",
                    "type": "string"
                },
                "make_time_start": {
                    "description": "制单开始时间",
                    "type": "string"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                },
                "state": {
                    "description": "状态：1-待审核 2-已完成",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                }
            }
        },
        "models.ErpPurchaseChangeOrderListResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpPurchaseChangeOrder"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "total": {
                    "description": "总条数",
                    "type": "integer"
                }
            }
        },
        "models.ErpPurchaseCommodity": {
            "type": "object",
            "properties": {
                "amount": {
                    "description": "计划采购金额",
                    "type": "number"
                },
                "commodity_serial_number": {
                    "description": "商品编号",
                    "type": "string"
                },
                "count": {
                    "description": "计划采购数量",
                    "type": "integer"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "default_employee_price": {
                    "description": "默认员工成本价",
                    "type": "number"
                },
                "effective_count": {
                    "description": "有效数量（该商品实际库存详情处剩余有效数，不包含已出库的数量）",
                    "type": "integer"
                },
                "erp_category_id": {
                    "description": "商品分类id",
                    "type": "integer"
                },
                "erp_category_name": {
                    "description": "商品分类名称",
                    "type": "string"
                },
                "erp_commodity_id": {
                    "description": "商品id",
                    "type": "integer"
                },
                "erp_commodity_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "erp_purchase_order_id": {
                    "description": "采购订单id",
                    "type": "integer"
                },
                "execute_amount": {
                    "description": "执行金额",
                    "type": "number"
                },
                "execute_count": {
                    "description": "执行数量",
                    "type": "integer"
                },
                "execute_employee_price": {
                    "description": "平均员工成本价",
                    "type": "number"
                },
                "execute_price": {
                    "description": "平均采购单价",
                    "type": "number"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "imei": {
                    "description": "商品串码",
                    "type": "string"
                },
                "imei_type": {
                    "description": "1-无串码 2-串码",
                    "type": "integer"
                },
                "inventory_count": {
                    "description": "入库数量（=执行数量）",
                    "type": "integer"
                },
                "price": {
                    "description": "计划采购单价",
                    "type": "number"
                },
                "rejected_amount": {
                    "description": "计划退货金额",
                    "type": "number"
                },
                "rejected_count": {
                    "description": "计划退货数量",
                    "type": "integer"
                },
                "rejected_price": {
                    "description": "计划退货单价",
                    "type": "number"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "retail_price": {
                    "description": "指导零售价",
                    "type": "number"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.ErpPurchaseCommodityData": {
            "type": "object",
            "properties": {
                "amount": {
                    "description": "已执行金额",
                    "type": "number"
                },
                "count": {
                    "description": "已执行数量",
                    "type": "integer"
                },
                "erp_category_id": {
                    "description": "商品分类id",
                    "type": "integer"
                },
                "erp_category_name": {
                    "description": "商品分类名称",
                    "type": "string"
                },
                "erp_commodity_id": {
                    "description": "商品id",
                    "type": "integer"
                },
                "erp_commodity_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "inventory_time": {
                    "description": "入库时间",
                    "type": "string"
                },
                "price": {
                    "description": "已执行单价",
                    "type": "number"
                }
            }
        },
        "models.ErpPurchaseCreateReq": {
            "type": "object",
            "required": [
                "erp_purchase_commodity",
                "handler_id",
                "purchase_type"
            ],
            "properties": {
                "account_holder": {
                    "description": "收款人",
                    "type": "string"
                },
                "bank_account": {
                    "description": "银行卡号",
                    "type": "string"
                },
                "delivery_address": {
                    "description": "交货地址",
                    "type": "string"
                },
                "delivery_time": {
                    "description": "交货日期",
                    "type": "string"
                },
                "erp_cashier_id": {
                    "description": "付款方式",
                    "type": "integer"
                },
                "erp_purchase_commodity": {
                    "description": "采购商品信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpPurchaseCommodity"
                    }
                },
                "erp_supplier_id": {
                    "description": "供应商id:入库必传",
                    "type": "integer"
                },
                "handler_id": {
                    "description": "经手人id",
                    "type": "integer"
                },
                "handler_name": {
                    "description": "经手人名称",
                    "type": "string"
                },
                "opening_bank": {
                    "description": "开户行",
                    "type": "string"
                },
                "purchase_order_sn": {
                    "description": "采购退货订单号:出库必传",
                    "type": "string"
                },
                "purchase_type": {
                    "description": "采购类型：procure-采购 reject-退货",
                    "type": "string"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "store_id": {
                    "description": "门店id:入库必传",
                    "type": "integer"
                }
            }
        },
        "models.ErpPurchaseDeleteReq": {
            "type": "object",
            "required": [
                "serial_number"
            ],
            "properties": {
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                }
            }
        },
        "models.ErpPurchaseDetailReq": {
            "type": "object",
            "required": [
                "erp_purchase_order_id"
            ],
            "properties": {
                "erp_purchase_order_id": {
                    "description": "采购订单id",
                    "type": "integer"
                }
            }
        },
        "models.ErpPurchaseEditReq": {
            "type": "object",
            "required": [
                "erp_purchase_commodity",
                "erp_purchase_order_id",
                "handler_id",
                "purchase_type"
            ],
            "properties": {
                "account_holder": {
                    "description": "收款人",
                    "type": "string"
                },
                "bank_account": {
                    "description": "银行卡号",
                    "type": "string"
                },
                "delivery_address": {
                    "description": "交货地址",
                    "type": "string"
                },
                "delivery_time": {
                    "description": "交货日期",
                    "type": "string"
                },
                "erp_cashier_id": {
                    "description": "付款方式",
                    "type": "integer"
                },
                "erp_purchase_commodity": {
                    "description": "采购商品信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpPurchaseCommodity"
                    }
                },
                "erp_purchase_order_id": {
                    "description": "采购订单id",
                    "type": "integer"
                },
                "erp_supplier_id": {
                    "description": "供应商id:入库必传",
                    "type": "integer"
                },
                "handler_id": {
                    "description": "经手人id",
                    "type": "integer"
                },
                "handler_name": {
                    "description": "经手人名称",
                    "type": "string"
                },
                "opening_bank": {
                    "description": "开户行",
                    "type": "string"
                },
                "purchase_order_sn": {
                    "description": "采购退货订单号:出库必传",
                    "type": "string"
                },
                "purchase_type": {
                    "description": "采购类型：procure-采购 reject-退货",
                    "type": "string"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "store_id": {
                    "description": "门店id:入库必传",
                    "type": "integer"
                }
            }
        },
        "models.ErpPurchaseExecuteReq": {
            "type": "object",
            "required": [
                "erp_purchase_order_id",
                "inventories",
                "purchase_type"
            ],
            "properties": {
                "erp_purchase_order_id": {
                    "description": "采购订单id",
                    "type": "integer"
                },
                "inventories": {
                    "description": "采购入库执行信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpPurchaseInventory"
                    }
                },
                "purchase_type": {
                    "description": "采购类型:procure-采购 reject-退货",
                    "type": "string"
                }
            }
        },
        "models.ErpPurchaseExecuteResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ExecuteData"
                    }
                },
                "total": {
                    "description": "总条数",
                    "type": "integer"
                }
            }
        },
        "models.ErpPurchaseInventory": {
            "type": "object",
            "required": [
                "purchase_type"
            ],
            "properties": {
                "amount": {
                    "description": "执行金额",
                    "type": "number"
                },
                "commodity_serial_number": {
                    "description": "商品编号",
                    "type": "string"
                },
                "count": {
                    "description": "执行数量",
                    "type": "integer"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "employee_price": {
                    "description": "员工成本价",
                    "type": "number"
                },
                "erp_category_id": {
                    "description": "商品分类id",
                    "type": "integer"
                },
                "erp_category_name": {
                    "description": "商品分类名称",
                    "type": "string"
                },
                "erp_commodity_id": {
                    "description": "商品id",
                    "type": "integer"
                },
                "erp_commodity_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "erp_purchase_commodity_id": {
                    "description": "采购订单商品表id",
                    "type": "integer"
                },
                "erp_purchase_order_id": {
                    "description": "商品采购订单id",
                    "type": "integer"
                },
                "erp_stock_commodity_id": {
                    "description": "库存商品表主键id",
                    "type": "integer"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "imei": {
                    "description": "商品串码",
                    "type": "string"
                },
                "imei_type": {
                    "description": "1-无串码 2-串码（系统生成） 3-串码（手动添加）",
                    "type": "integer"
                },
                "implementation_price": {
                    "description": "执行单价",
                    "type": "number"
                },
                "inventory_id": {
                    "description": "最近入库人id",
                    "type": "integer"
                },
                "inventory_name": {
                    "description": "最近入库人名称",
                    "type": "string"
                },
                "price": {
                    "description": "计划采购单价",
                    "type": "number"
                },
                "purchase_type": {
                    "description": "采购类型:procure-采购 reject-退货",
                    "type": "string"
                },
                "serial_number": {
                    "description": "入库编号",
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.ErpPurchaseInventoryReq": {
            "type": "object",
            "required": [
                "erp_purchase_order_id",
                "inventories",
                "purchase_type"
            ],
            "properties": {
                "erp_purchase_order_id": {
                    "description": "采购订单id",
                    "type": "integer"
                },
                "inventories": {
                    "description": "采购入库执行信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpPurchaseInventory"
                    }
                },
                "inventory_id": {
                    "description": "最近入库人id",
                    "type": "integer"
                },
                "inventory_name": {
                    "description": "最近入库人名称",
                    "type": "string"
                },
                "purchase_type": {
                    "description": "采购类型:procure-采购 reject-退货",
                    "type": "string"
                }
            }
        },
        "models.ErpPurchaseOrder": {
            "type": "object",
            "properties": {
                "account_holder": {
                    "description": "收款人",
                    "type": "string"
                },
                "amount": {
                    "description": "计划采购金额",
                    "type": "number"
                },
                "audit_time": {
                    "description": "审核时间",
                    "type": "string"
                },
                "auditor_id": {
                    "description": "审核人id",
                    "type": "integer"
                },
                "auditor_name": {
                    "description": "审核人名称",
                    "type": "string"
                },
                "bank_account": {
                    "description": "银行卡号",
                    "type": "string"
                },
                "commodities": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpPurchaseCommodity"
                    }
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "delivery_address": {
                    "description": "交货地址",
                    "type": "string"
                },
                "delivery_time": {
                    "description": "交货日期，如：2024-02-23",
                    "type": "string"
                },
                "erp_cashier_id": {
                    "description": "付款方式/收款方式id",
                    "type": "integer"
                },
                "erp_cashier_name": {
                    "description": "付款方式/收款方式名称",
                    "type": "string"
                },
                "erp_supplier_id": {
                    "description": "供应商id",
                    "type": "integer"
                },
                "erp_supplier_name": {
                    "description": "供应商名称",
                    "type": "string"
                },
                "handler_id": {
                    "description": "经手人id",
                    "type": "integer"
                },
                "handler_name": {
                    "description": "经手人名称",
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "inventory_id": {
                    "description": "最近入库人id",
                    "type": "integer"
                },
                "inventory_name": {
                    "description": "最近入库人名称",
                    "type": "string"
                },
                "maker_id": {
                    "description": "制单人id",
                    "type": "integer"
                },
                "maker_name": {
                    "description": "制单人名称",
                    "type": "string"
                },
                "maker_time": {
                    "description": "制单时间",
                    "type": "string"
                },
                "opening_bank": {
                    "description": "开户行",
                    "type": "string"
                },
                "purchase_type": {
                    "description": "类型:procure-采购 reject-退货",
                    "type": "string"
                },
                "rejected_serial_number": {
                    "description": "退货的采购订单单据编号",
                    "type": "string"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                },
                "state": {
                    "description": "1-待审核 2-待入库 3-待退货 4-已完成 5-已终止 6-操作中",
                    "type": "integer"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "store_name": {
                    "description": "门店名称",
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.ErpPurchaseOrderListReq": {
            "type": "object",
            "properties": {
                "audit_flag": {
                    "description": "审核标记（默认展示所有）：ON-订单只展示已审核的采购入库订单，含待入库/已终止/已完成/入库中",
                    "type": "string"
                },
                "audit_time_end": {
                    "description": "审核结束时间",
                    "type": "string"
                },
                "audit_time_start": {
                    "description": "审核开始时间",
                    "type": "string"
                },
                "erp_supplier_id": {
                    "description": "供应商id",
                    "type": "integer"
                },
                "handler_id": {
                    "description": "经手人id",
                    "type": "integer"
                },
                "make_time_end": {
                    "description": "制单结束时间",
                    "type": "string"
                },
                "make_time_start": {
                    "description": "制单开始时间",
                    "type": "string"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "purchase_type": {
                    "description": "采购类型：procure-采购 reject-退货",
                    "type": "string"
                },
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                },
                "state": {
                    "description": "状态：1-待审核 2-待入库 3-待退货 4-已完成 5-已终止",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                }
            }
        },
        "models.ErpPurchaseOrderListResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpPurchaseOrder"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "total": {
                    "description": "总条数",
                    "type": "integer"
                }
            }
        },
        "models.ErpPurchaseReportByCommodityReq": {
            "type": "object",
            "properties": {
                "audit_time_end": {
                    "description": "审核结束时间",
                    "type": "string"
                },
                "audit_time_start": {
                    "description": "审核开始时间",
                    "type": "string"
                },
                "erp_category_id": {
                    "description": "商品分类id",
                    "type": "integer"
                },
                "erp_commodity_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "erp_supplier_id": {
                    "description": "供应商id",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "handler_id": {
                    "description": "经手人id",
                    "type": "integer"
                },
                "is_export": {
                    "description": "1-导出",
                    "type": "integer"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "purchase_type": {
                    "description": "采购类型：procure-采购 reject-退货",
                    "type": "string"
                },
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                },
                "state": {
                    "description": "2-待入库 3-待退货 4-已完成 5-已终止",
                    "type": "integer"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "models.ErpPurchaseReportByCommodityResp": {
            "type": "object",
            "properties": {
                "amount": {
                    "description": "已执行金额",
                    "type": "number"
                },
                "count": {
                    "description": "已执行数量",
                    "type": "integer"
                },
                "export_url": {
                    "description": "导出excel路径",
                    "type": "string"
                },
                "list": {
                    "description": "采购报表信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ReportByCommodityData"
                    }
                },
                "non_execution_amount": {
                    "description": "未执行金额",
                    "type": "number"
                },
                "non_execution_count": {
                    "description": "未执行数量",
                    "type": "integer"
                },
                "order_id": {
                    "description": "采购订单id",
                    "type": "integer"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "plan_amount": {
                    "description": "计划采购金额",
                    "type": "number"
                },
                "plan_count": {
                    "description": "计划采购数量",
                    "type": "integer"
                },
                "plan_price": {
                    "description": "计划采购单价",
                    "type": "number"
                },
                "price": {
                    "description": "已执行单价",
                    "type": "number"
                },
                "total": {
                    "description": "总条数",
                    "type": "integer"
                }
            }
        },
        "models.ErpPurchaseReportByOrderReq": {
            "type": "object",
            "properties": {
                "audit_time_end": {
                    "description": "审核结束时间",
                    "type": "string"
                },
                "audit_time_start": {
                    "description": "审核开始时间",
                    "type": "string"
                },
                "erp_category_id": {
                    "description": "商品分类id",
                    "type": "integer"
                },
                "erp_commodity_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "erp_supplier_id": {
                    "description": "供应商id",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "handler_id": {
                    "description": "经手人id",
                    "type": "integer"
                },
                "inventory_time_end": {
                    "description": "入库结束时间",
                    "type": "string"
                },
                "inventory_time_start": {
                    "description": "入库开始时间",
                    "type": "string"
                },
                "is_export": {
                    "description": "1-导出",
                    "type": "integer"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "purchase_type": {
                    "description": "采购类型：procure-采购 reject-退货",
                    "type": "string"
                },
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                },
                "state": {
                    "description": "2-待入库 3-待退货 4-已完成 5-已终止",
                    "type": "integer"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "models.ErpPurchaseReportByOrderResp": {
            "type": "object",
            "properties": {
                "amount": {
                    "description": "已执行金额",
                    "type": "number"
                },
                "count": {
                    "description": "已执行数量",
                    "type": "integer"
                },
                "export_url": {
                    "description": "导出excel路径",
                    "type": "string"
                },
                "list": {
                    "description": "采购报表信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ReportByOrderData"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "total": {
                    "description": "总条数",
                    "type": "integer"
                }
            }
        },
        "models.ErpPurchaseReportBySupplierReq": {
            "type": "object",
            "properties": {
                "end_time": {
                    "description": "入/出库，结束时间",
                    "type": "string"
                },
                "erp_category_id": {
                    "description": "商品分类id",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "erp_commodity_name": {
                    "description": "商品名称",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "erp_supplier_id": {
                    "description": "供应商id",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "is_export": {
                    "description": "1-导出",
                    "type": "integer"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "purchase_type": {
                    "description": "采购类型：procure-采购 reject-退货",
                    "type": "string"
                },
                "start_time": {
                    "description": "入/出库，开始时间",
                    "type": "string"
                },
                "store_id": {
                    "description": "门店复选",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "models.ErpPurchaseReportBySupplierResp": {
            "type": "object",
            "properties": {
                "amount": {
                    "description": "采购金额",
                    "type": "number"
                },
                "count": {
                    "description": "采购数量",
                    "type": "integer"
                },
                "difference": {
                    "description": "差额",
                    "type": "number"
                },
                "export_url": {
                    "description": "导出excel路径",
                    "type": "string"
                },
                "list": {
                    "description": "供应商采购汇总信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.PurchaseReportData"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "reject_amount": {
                    "description": "退货金额",
                    "type": "number"
                },
                "total": {
                    "description": "总条数",
                    "type": "integer"
                }
            }
        },
        "models.ErpPurchaseReportDetailReq": {
            "type": "object",
            "properties": {
                "endTime": {
                    "description": "入/出库，结束时间",
                    "type": "string"
                },
                "erp_category_id": {
                    "description": "商品分类id",
                    "type": "integer"
                },
                "erp_commodity_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "erp_supplier_id": {
                    "description": "供应商id",
                    "type": "integer"
                },
                "imei": {
                    "description": "串码",
                    "type": "string"
                },
                "is_export": {
                    "description": "1-导出",
                    "type": "integer"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "purchase_type": {
                    "description": "采购类型：procure-采购 reject-退货",
                    "type": "string"
                },
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                },
                "startTime": {
                    "description": "入/出库，开始时间",
                    "type": "string"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "models.ErpPurchaseReportDetailResp": {
            "type": "object",
            "properties": {
                "difference_price": {
                    "description": "差价",
                    "type": "number"
                },
                "employee_price": {
                    "description": "员工成本价",
                    "type": "number"
                },
                "export_url": {
                    "description": "导出excel路径",
                    "type": "string"
                },
                "list": {
                    "description": "采购明细信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ReportDetailData"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "price": {
                    "description": "采购价",
                    "type": "number"
                },
                "reject_price": {
                    "description": "退货价",
                    "type": "number"
                },
                "total": {
                    "description": "总条数",
                    "type": "integer"
                }
            }
        },
        "models.ErpPurchaseTerminateReq": {
            "type": "object",
            "required": [
                "remark",
                "serial_number"
            ],
            "properties": {
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                }
            }
        },
        "models.ErpRepairAuditReq": {
            "type": "object",
            "required": [
                "serial_number",
                "state"
            ],
            "properties": {
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                },
                "state": {
                    "description": "审核操作: 1-审核 2-取消审核",
                    "type": "integer"
                }
            }
        },
        "models.ErpRepairCompleteReq": {
            "type": "object",
            "required": [
                "serial_number"
            ],
            "properties": {
                "complete_remark": {
                    "description": "完成备注",
                    "type": "string"
                },
                "repair_fee": {
                    "description": "维修费用",
                    "type": "number"
                },
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                }
            }
        },
        "models.ErpRepairDeleteReq": {
            "type": "object",
            "required": [
                "serial_number"
            ],
            "properties": {
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                }
            }
        },
        "models.ErpRepairDetailReq": {
            "type": "object",
            "required": [
                "serial_number"
            ],
            "properties": {
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                }
            }
        },
        "models.ErpRepairOrderListReq": {
            "type": "object",
            "properties": {
                "audit_time_end": {
                    "description": "审核结束时间",
                    "type": "string"
                },
                "audit_time_start": {
                    "description": "审核开始时间",
                    "type": "string"
                },
                "complete_time_end": {
                    "description": "维修完成结束时间",
                    "type": "string"
                },
                "complete_time_start": {
                    "description": "维修完成开始时间",
                    "type": "string"
                },
                "handler_id": {
                    "description": "经手人id",
                    "type": "integer"
                },
                "make_time_end": {
                    "description": "制单结束时间",
                    "type": "string"
                },
                "make_time_start": {
                    "description": "制单开始时间",
                    "type": "string"
                },
                "member_level": {
                    "description": "会员等级：普通用户、尊享会员",
                    "type": "integer"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "send_time_end": {
                    "description": "送修结束时间",
                    "type": "string"
                },
                "send_time_start": {
                    "description": "送修开始时间",
                    "type": "string"
                },
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                },
                "state": {
                    "description": "状态：1-待审核，2-已审核，3-维修中，4-已完成",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "store_id": {
                    "description": "门店id",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "tel": {
                    "description": "手机号",
                    "type": "string"
                },
                "uid": {
                    "description": "用户ID",
                    "type": "integer"
                }
            }
        },
        "models.ErpRepairOrderListResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.RepairRecord"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "total": {
                    "description": "总条数",
                    "type": "integer"
                }
            }
        },
        "models.ErpRepairSendReq": {
            "type": "object",
            "required": [
                "repair_unit_id",
                "serial_number"
            ],
            "properties": {
                "express_no": {
                    "description": "快递单号",
                    "type": "string"
                },
                "repair_unit_id": {
                    "description": "维修单位ID（供应商）",
                    "type": "integer"
                },
                "send_remark": {
                    "description": "送修备注",
                    "type": "string"
                },
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                }
            }
        },
        "models.ErpStock": {
            "type": "object",
            "properties": {
                "commodities": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpStockCommodity"
                    }
                },
                "commodity_serial_number": {
                    "description": "商品编码/串码",
                    "type": "string"
                },
                "count": {
                    "description": "数量",
                    "type": "integer"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "decision_store_id": {
                    "description": "门店编号列表（查询进销存的时候使用）",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "dispatch_count": {
                    "description": "调拨中数量（调拨中调入）",
                    "type": "integer"
                },
                "erp_category_id": {
                    "description": "分类id",
                    "type": "integer"
                },
                "erp_category_name": {
                    "description": "分类名称",
                    "type": "string"
                },
                "erp_commodity_id": {
                    "description": "商品id",
                    "type": "integer"
                },
                "erp_commodity_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "imei_type": {
                    "description": "1-无串码 2-串码（系统生成） 3-串码（手动添加）",
                    "type": "integer"
                },
                "min_retail_price": {
                    "description": "最低零售价",
                    "type": "number"
                },
                "retail_price": {
                    "description": "指导零售价",
                    "type": "number"
                },
                "store_id": {
                    "description": "门店编号",
                    "type": "integer"
                },
                "store_name": {
                    "description": "门店名称",
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.ErpStockCommodity": {
            "type": "object",
            "properties": {
                "age": {
                    "description": "最近库龄",
                    "type": "integer"
                },
                "all_age": {
                    "description": "总库龄",
                    "type": "integer"
                },
                "category_number": {
                    "description": "商品分类编号",
                    "type": "string"
                },
                "commodity_serial_number": {
                    "description": "商品编号",
                    "type": "string"
                },
                "count": {
                    "description": "数量",
                    "type": "integer"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "erp_barcode": {
                    "description": "商品条码",
                    "type": "string"
                },
                "erp_category_id": {
                    "description": "分类id",
                    "type": "integer"
                },
                "erp_category_name": {
                    "description": "分类名称",
                    "type": "string"
                },
                "erp_commodity_id": {
                    "description": "商品id",
                    "type": "integer"
                },
                "erp_commodity_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "erp_stock_id": {
                    "description": "库存id",
                    "type": "integer"
                },
                "erp_supplier_id": {
                    "description": "供应商id",
                    "type": "integer"
                },
                "erp_supplier_name": {
                    "description": "供应商名称",
                    "type": "string"
                },
                "first_stock_time": {
                    "description": "首次入库时间",
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "imei": {
                    "description": "商品串码",
                    "type": "string"
                },
                "imei_type": {
                    "description": "是否串码：1-无串码 2-串码（系统生成） 3-串码（手动添加）",
                    "type": "integer"
                },
                "member_discount": {
                    "description": "会员优惠",
                    "type": "number"
                },
                "min_retail_price": {
                    "description": "最低零售价",
                    "type": "number"
                },
                "original_sn": {
                    "description": "首次入库订单编号(单据编号）",
                    "type": "string"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "retail_price": {
                    "description": "指导零售价",
                    "type": "number"
                },
                "staff_cost_price": {
                    "description": "员工成本价加价（如：加价50，不是加价后的价格）",
                    "type": "number"
                },
                "state": {
                    "description": "状态:1-在库 2-已售 3-采购退货 4-调拨中 5-销售锁定中 6-产品出库 7-盘点出库",
                    "type": "integer"
                },
                "stock_end_time": {
                    "description": "最近入库结束时间",
                    "type": "string"
                },
                "stock_sn": {
                    "description": "库存订单编号（跟采购入库的入库编号关联）",
                    "type": "string"
                },
                "stock_start_time": {
                    "description": "最近入库开始时间",
                    "type": "string"
                },
                "stock_time": {
                    "description": "最近入库时间",
                    "type": "string"
                },
                "storage_type": {
                    "description": "入库方式：1-系统入库 2-采购入库 3-产品入库 4-盘点入库",
                    "type": "integer"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "store_name": {
                    "description": "门店名称",
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                },
                "wholesale_price": {
                    "description": "指导采购价",
                    "type": "number"
                }
            }
        },
        "models.ErpStockCommodityListReq": {
            "type": "object",
            "properties": {
                "age": {
                    "description": "最近库龄",
                    "type": "integer"
                },
                "all_age": {
                    "description": "总库龄",
                    "type": "integer"
                },
                "commodity_name": {
                    "description": "商品名称",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "erp_category_id": {
                    "description": "商品分类Id",
                    "type": "integer"
                },
                "erp_commodity_id": {
                    "description": "商品id",
                    "type": "integer"
                },
                "erp_stock_id": {
                    "description": "库存id",
                    "type": "integer"
                },
                "imei": {
                    "description": "串码",
                    "type": "string"
                },
                "is_export": {
                    "description": "是否导出excel：1-导出",
                    "type": "integer"
                },
                "is_imei": {
                    "description": "是否串码：0-查全部 1-查串码类 2-查非串码",
                    "type": "integer"
                },
                "original_sn": {
                    "description": "首次入库订单编号",
                    "type": "string"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "每页展示数据条数",
                    "type": "integer"
                },
                "scan_code": {
                    "description": "扫码枪扫码数据：串码/条码",
                    "type": "string"
                },
                "serial_number": {
                    "description": "商品编号",
                    "type": "string"
                },
                "state": {
                    "description": "库存状态:1-在库 2-已售 3-采购退货 4-调拨中 5-出库（前端只看1，4）",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "stock_sort_flag": {
                    "description": "排序方式：0-按入库时间降序排列（默认），1-按入库时间升序排列",
                    "type": "integer"
                },
                "stock_time_end": {
                    "description": "最近入库结束时间",
                    "type": "string"
                },
                "stock_time_start": {
                    "description": "最近入库开始时间",
                    "type": "string"
                },
                "storage_type": {
                    "description": "首次入库方式：1-系统入库 2-采购入库",
                    "type": "integer"
                },
                "store_id": {
                    "description": "门店编号",
                    "type": "integer"
                },
                "supplier_id": {
                    "description": "供应商id",
                    "type": "integer"
                }
            }
        },
        "models.ErpStockCommodityListResp": {
            "type": "object",
            "properties": {
                "export_url": {
                    "type": "string"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpStockCommodity"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "每页展示条数",
                    "type": "integer"
                },
                "total": {
                    "description": "数据总条数",
                    "type": "integer"
                },
                "total_staff_price": {
                    "description": "入库员工成本价之和",
                    "type": "number"
                },
                "total_wholesale_price": {
                    "description": "入库采购价之和",
                    "type": "number"
                }
            }
        },
        "models.ErpStockListReq": {
            "type": "object",
            "properties": {
                "commodity_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "erp_category_id": {
                    "description": "商品分类",
                    "type": "integer"
                },
                "is_export": {
                    "description": "1-导出",
                    "type": "integer"
                },
                "is_imei": {
                    "description": "是否串码：0-查全部 1-查串码类 2-查非串码",
                    "type": "integer"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "serial_number": {
                    "description": "商品编号",
                    "type": "string"
                },
                "stock_type": {
                    "description": "库存情况:1-全部 2-有库存 3-无库存",
                    "type": "integer"
                },
                "store_id": {
                    "description": "门店编号",
                    "type": "integer"
                }
            }
        },
        "models.ErpStockListResp": {
            "type": "object",
            "properties": {
                "export_url": {
                    "type": "string"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpStock"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "每页展示条数",
                    "type": "integer"
                },
                "total": {
                    "description": "数据总条数",
                    "type": "integer"
                }
            }
        },
        "models.ErpStoreSalesDataReq": {
            "type": "object",
            "properties": {
                "end_time": {
                    "description": "结束时间",
                    "type": "string"
                },
                "is_export": {
                    "description": "1-导出",
                    "type": "integer"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "sort_type": {
                    "description": "排序类型：desc 降序、asc 升序",
                    "type": "string"
                },
                "start_time": {
                    "description": "开始时间",
                    "type": "string"
                },
                "store_id": {
                    "description": "门店ID",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "models.ErpStoreSalesDataResp": {
            "type": "object",
            "properties": {
                "export_url": {
                    "type": "string"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.StoreSalesData"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "每页展示条数",
                    "type": "integer"
                },
                "total": {
                    "description": "总条数",
                    "type": "integer"
                },
                "total_count": {
                    "description": "总销售数量",
                    "type": "integer"
                },
                "total_promotion_fee": {
                    "description": "总推广费",
                    "type": "number"
                },
                "total_sales_amount": {
                    "description": "总销售额",
                    "type": "number"
                },
                "total_sales_profit": {
                    "description": "总销售毛利",
                    "type": "number"
                },
                "total_staff_profit": {
                    "description": "总员工毛利",
                    "type": "number"
                }
            }
        },
        "models.ExecuteData": {
            "type": "object",
            "properties": {
                "commodity_serial_number": {
                    "description": "商品编号",
                    "type": "string"
                },
                "count": {
                    "description": "数量",
                    "type": "integer"
                },
                "employee_price": {
                    "description": "员工成本价",
                    "type": "number"
                },
                "erp_commodity_id": {
                    "description": "商品id",
                    "type": "integer"
                },
                "erp_commodity_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "erp_purchase_commodity_id": {
                    "description": "采购订单商品表id",
                    "type": "integer"
                },
                "erp_purchase_order_id": {
                    "description": "商品采购订单id",
                    "type": "integer"
                },
                "imei": {
                    "description": "商品串码",
                    "type": "string"
                },
                "imei_type": {
                    "description": "1-无串码 2-串码",
                    "type": "integer"
                },
                "implementation_price": {
                    "description": "执行单价",
                    "type": "number"
                },
                "price": {
                    "description": "计划采购单价",
                    "type": "number"
                }
            }
        },
        "models.FinishErpPurchaseDemandReq": {
            "type": "object",
            "required": [
                "erp_commodity_id"
            ],
            "properties": {
                "erp_commodity_id": {
                    "description": "商品id",
                    "type": "integer"
                }
            }
        },
        "models.FundRecord": {
            "type": "object",
            "properties": {
                "amount": {
                    "type": "integer"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "fund_type": {
                    "description": "-member_gold   -member_platinum  -member_black_gold",
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "out_trade_no": {
                    "type": "string"
                },
                "payment_no": {
                    "description": "付款单号",
                    "type": "string"
                },
                "refund_id": {
                    "type": "string"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "status": {
                    "description": "1-待支付 2-已支付 3-已退款",
                    "type": "integer"
                },
                "transaction_id": {
                    "description": "支付单号",
                    "type": "string"
                },
                "uid": {
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.FundRecordListReq": {
            "type": "object",
            "properties": {
                "end_time": {
                    "description": "结束时间",
                    "type": "string"
                },
                "fund_type": {
                    "type": "string"
                },
                "is_export": {
                    "description": "1-导出",
                    "type": "integer"
                },
                "out_trade_no": {
                    "type": "string"
                },
                "pageIndex": {
                    "type": "integer"
                },
                "pageSize": {
                    "type": "integer"
                },
                "payment_no": {
                    "type": "string"
                },
                "refund_id": {
                    "type": "string"
                },
                "start_time": {
                    "description": "开始时间",
                    "type": "string"
                },
                "transaction_id": {
                    "description": "支付单号",
                    "type": "string"
                },
                "uid": {
                    "type": "integer"
                }
            }
        },
        "models.FundRecordListResp": {
            "type": "object",
            "properties": {
                "export_url": {
                    "type": "string"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.FundRecord"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "每页展示条数",
                    "type": "integer"
                },
                "total": {
                    "description": "总条数",
                    "type": "integer"
                }
            }
        },
        "models.GameCard": {
            "type": "object",
            "properties": {
                "coverImg": {
                    "description": "封面",
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "detailImg": {
                    "description": "详情图片",
                    "type": "string"
                },
                "detailInfo": {
                    "description": "详情描述",
                    "type": "string"
                },
                "estimate_vm": {
                    "description": "预计积分",
                    "type": "integer"
                },
                "gameTime": {
                    "description": "游戏时间",
                    "type": "integer"
                },
                "gameTypeId": {
                    "description": "游戏类型id",
                    "type": "integer"
                },
                "goodsGalleryUrl": {
                    "description": "轮播图",
                    "type": "string"
                },
                "home_category_id": {
                    "description": "首页分类ID",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "likes": {
                    "description": "点赞",
                    "type": "integer"
                },
                "name": {
                    "description": "名称",
                    "type": "string"
                },
                "newProducts": {
                    "description": "新品: 1-新品 2-非新品",
                    "type": "integer"
                },
                "orderCount": {
                    "description": "订单数",
                    "type": "integer"
                },
                "playability": {
                    "description": "耐玩度",
                    "type": "integer"
                },
                "playfulness": {
                    "description": "好玩度",
                    "type": "integer"
                },
                "price": {
                    "description": "价格",
                    "type": "integer"
                },
                "real_price": {
                    "description": "真实价格",
                    "type": "integer"
                },
                "status": {
                    "description": "状态: 1-上架 2-下架",
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                },
                "video_link": {
                    "description": "链接",
                    "type": "string"
                },
                "viewCount": {
                    "description": "查看人数",
                    "type": "integer"
                }
            }
        },
        "models.GameCardAllotDetailData": {
            "type": "object",
            "properties": {
                "deliver_store_id": {
                    "description": "调出门店id",
                    "type": "integer"
                },
                "deliver_store_name": {
                    "description": "调出门店名称",
                    "type": "string"
                },
                "game_card_id": {
                    "description": "游戏卡id",
                    "type": "integer"
                },
                "game_card_name": {
                    "description": "游戏卡名称",
                    "type": "string"
                },
                "maker_id": {
                    "description": "制单人id",
                    "type": "integer"
                },
                "maker_name": {
                    "description": "制单人名称",
                    "type": "string"
                },
                "maker_time": {
                    "description": "制单时间/发起时间",
                    "type": "string"
                },
                "receive_store_id": {
                    "description": "调入门店id",
                    "type": "integer"
                },
                "receive_store_name": {
                    "description": "调入门店名称",
                    "type": "string"
                },
                "receive_time": {
                    "description": "收货时间/调入时间",
                    "type": "string"
                },
                "send_time": {
                    "description": "发货时间/调出时间",
                    "type": "string"
                },
                "serial_number": {
                    "description": "游戏卡串码",
                    "type": "string"
                },
                "state": {
                    "description": "调拨状态：1-调拨中 2-已完成",
                    "type": "integer"
                },
                "task_id": {
                    "description": "任务ID",
                    "type": "integer"
                }
            }
        },
        "models.GameCardGoods": {
            "type": "object",
            "properties": {
                "card_type": {
                    "description": "-用户共享  -公共",
                    "type": "string"
                },
                "cooperative_business_id": {
                    "description": "合作商id",
                    "type": "integer"
                },
                "cooperative_name": {
                    "description": "合作商名称",
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "function_state": {
                    "description": "1-异常 2-正常",
                    "type": "integer"
                },
                "game_card": {
                    "description": "游戏",
                    "allOf": [
                        {
                            "$ref": "#/definitions/models.GameCard"
                        }
                    ]
                },
                "game_card_id": {
                    "description": "游戏卡id",
                    "type": "integer"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "provider": {
                    "description": "供应商",
                    "type": "string"
                },
                "serial_number": {
                    "description": "编号",
                    "type": "string"
                },
                "share_profit_type": {
                    "description": "1-非共享收益卡 2-共享收益卡",
                    "type": "integer"
                },
                "status": {
                    "description": "状态:1-库存中 2-在途 3-客户持有 4-调拨 5-待收回 6-已收回 7-锁定",
                    "type": "integer"
                },
                "stock_time": {
                    "description": "入库时间",
                    "type": "string"
                },
                "store": {
                    "description": "门店",
                    "allOf": [
                        {
                            "$ref": "#/definitions/models.Store"
                        }
                    ]
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                },
                "user_share_card_bill": {
                    "description": "StockRemovalType  string             ` + "`" + `json:\"stock_removal_type\"` + "`" + ` // 出库类型: card_retrieve 收回卡 card_issue_retrieve 收回卡异常",
                    "allOf": [
                        {
                            "$ref": "#/definitions/models.UserShareCardBill"
                        }
                    ]
                }
            }
        },
        "models.GameCardGoodsStockDelsReq": {
            "type": "object",
            "properties": {
                "serial_number_list": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                }
            }
        },
        "models.GameCardGoodsStockInfo": {
            "type": "object",
            "properties": {
                "cover_img": {
                    "description": "封面",
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "game_card_id": {
                    "description": "游戏卡id",
                    "type": "integer"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "name": {
                    "description": "名称",
                    "type": "string"
                },
                "order_count": {
                    "description": "订单数量",
                    "type": "integer"
                },
                "price": {
                    "description": "价格",
                    "type": "integer"
                },
                "rent_stock": {
                    "description": "库存数量",
                    "type": "integer"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "store_stock": {
                    "description": "门店库存",
                    "type": "integer"
                },
                "total_stock": {
                    "description": "卡池总数",
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                },
                "user_hold_stock": {
                    "description": "客户持有数量",
                    "type": "integer"
                }
            }
        },
        "models.GameCardGoodsStockListReq": {
            "type": "object",
            "properties": {
                "cooperative_business_id": {
                    "description": "合作商id",
                    "type": "integer"
                },
                "game_card_id": {
                    "description": "游戏卡id",
                    "type": "integer"
                },
                "game_card_name": {
                    "description": "游戏卡",
                    "type": "string"
                },
                "pageIndex": {
                    "type": "integer"
                },
                "pageSize": {
                    "type": "integer"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                }
            }
        },
        "models.GameCardGoodsStockListResp": {
            "type": "object",
            "properties": {
                "card_hold_count": {
                    "type": "integer"
                },
                "card_total_count": {
                    "type": "integer"
                },
                "card_total_stock": {
                    "type": "integer"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.GameCardGoodsStockInfo"
                    }
                },
                "pageIndex": {
                    "type": "integer"
                },
                "pageSize": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                },
                "total_page": {
                    "type": "integer"
                }
            }
        },
        "models.GameCardGoodsStockOutInfoListReq": {
            "type": "object",
            "properties": {
                "game_card_id": {
                    "description": "游戏卡id",
                    "type": "integer"
                },
                "is_export": {
                    "description": "1-导出",
                    "type": "integer"
                },
                "out_stock_time_end": {
                    "description": "出库结束时间",
                    "type": "string"
                },
                "out_stock_time_start": {
                    "description": "出库开始时间",
                    "type": "string"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "serial_number": {
                    "description": "游戏卡串码",
                    "type": "string"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "models.GameCardGoodsStockOutInfoListResp": {
            "type": "object",
            "properties": {
                "export_url": {
                    "type": "string"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.GameCardOutRecord"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "每页展示条数",
                    "type": "integer"
                },
                "total": {
                    "description": "总条数",
                    "type": "integer"
                }
            }
        },
        "models.GameCardOutRecord": {
            "type": "object",
            "properties": {
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "first_stock_time": {
                    "description": "首次入库时间",
                    "type": "string"
                },
                "game_card_id": {
                    "description": "游戏卡id",
                    "type": "integer"
                },
                "game_card_name": {
                    "description": "游戏名称",
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "maker_id": {
                    "description": "出库人id",
                    "type": "integer"
                },
                "maker_name": {
                    "description": "出库人名称",
                    "type": "string"
                },
                "out_stock_time": {
                    "description": "出库时间",
                    "type": "string"
                },
                "serial_number": {
                    "description": "游戏卡串码",
                    "type": "string"
                },
                "stock_time": {
                    "description": "入库时间",
                    "type": "string"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "store_name": {
                    "description": "门店名称",
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.GenerateSchemeReq": {
            "type": "object",
            "required": [
                "path"
            ],
            "properties": {
                "env_version": {
                    "description": "默认值\"release\"。要打开的小程序版本。正式版为\"release\"，体验版为\"trial\"，开发版为\"develop\"",
                    "type": "string"
                },
                "path": {
                    "description": "跳转小程序页面",
                    "type": "string"
                }
            }
        },
        "models.GenerateSchemeResp": {
            "type": "object",
            "properties": {
                "openlink": {
                    "description": "小程序跳转链接",
                    "type": "string"
                }
            }
        },
        "models.GetErpPurchaseDemandReq": {
            "type": "object",
            "properties": {
                "call_type": {
                    "description": "调用类型：1-采购视角；2-店员视角",
                    "type": "integer"
                },
                "erp_category_id": {
                    "description": "商品分类id",
                    "type": "integer"
                },
                "erp_commodity_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "erp_commodity_serial_number": {
                    "description": "商品编号",
                    "type": "string"
                },
                "erp_supplier_id": {
                    "description": "主供应商id",
                    "type": "integer"
                },
                "hide_flag": {
                    "description": "隐藏标记（默认关闭）：ON-开启，隐藏无采购需求的商品，OFF-关闭，展示所有",
                    "type": "string"
                },
                "is_export": {
                    "description": "1-导出",
                    "type": "integer"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "每页展示数据条数",
                    "type": "integer"
                },
                "sort_field": {
                    "description": "排序字段：主供应商 erp_supplier_id； 商品编号 erp_commodity_serial_number",
                    "type": "string"
                },
                "sort_type": {
                    "description": "排序类型：desc 降序、asc 升序",
                    "type": "string"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "models.GetErpPurchaseDemandResp": {
            "type": "object",
            "properties": {
                "export_url": {
                    "description": "文件路径",
                    "type": "string"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.DemandData"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "每页展示条数",
                    "type": "integer"
                },
                "total": {
                    "description": "数据总条数",
                    "type": "integer"
                }
            }
        },
        "models.GetGameCardGoodsListReq": {
            "type": "object",
            "properties": {
                "game_card_id": {
                    "type": "integer"
                },
                "pageIndex": {
                    "type": "integer"
                },
                "pageSize": {
                    "type": "integer"
                },
                "serial_number": {
                    "description": "编号",
                    "type": "string"
                },
                "status": {
                    "type": "integer"
                },
                "store_id": {
                    "type": "integer"
                }
            }
        },
        "models.GetGameCardGoodsListResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.GameCardGoods"
                    }
                },
                "pageIndex": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                },
                "total_page": {
                    "type": "integer"
                }
            }
        },
        "models.GetSupplierRequest": {
            "type": "object",
            "properties": {
                "cooperativeBusinessId": {
                    "description": "合作商id",
                    "type": "integer"
                },
                "name": {
                    "description": "供应商名称",
                    "type": "string"
                },
                "number": {
                    "description": "供应商编号",
                    "type": "string"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "每页展示数据条数",
                    "type": "integer"
                }
            }
        },
        "models.GetSupplierResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.Supplier"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "每页展示条数",
                    "type": "integer"
                },
                "total": {
                    "description": "数据总条数",
                    "type": "integer"
                }
            }
        },
        "models.Goods": {
            "type": "object",
            "properties": {
                "attributes": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.GoodsAttribute"
                    }
                },
                "cat_id": {
                    "description": "分类",
                    "type": "integer"
                },
                "cat_sort": {
                    "description": "分类排序",
                    "type": "integer"
                },
                "combo": {
                    "$ref": "#/definitions/models.GoodsAttributeCombo"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "deal_type": {
                    "description": "1-积分兑换  2-购买  3-抵扣",
                    "type": "integer"
                },
                "delivery_fee": {
                    "description": "邮费",
                    "type": "integer"
                },
                "detail": {
                    "description": "详情, 富文本",
                    "type": "string"
                },
                "discount_list": {
                    "description": "折扣",
                    "type": "string"
                },
                "goods_account_num": {
                    "description": "收款账户编号 1 明慧；2 迪为",
                    "type": "integer"
                },
                "goods_cat": {
                    "$ref": "#/definitions/models.GoodsCat"
                },
                "goods_discount": {
                    "$ref": "#/definitions/models.GoodsDiscount"
                },
                "goods_id": {
                    "type": "integer"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "images": {
                    "description": "图片列表，用,隔开",
                    "type": "string"
                },
                "main_image": {
                    "description": "主图",
                    "type": "string"
                },
                "name": {
                    "description": "名称",
                    "type": "string"
                },
                "price_original": {
                    "description": "市场价",
                    "type": "integer"
                },
                "price_rm": {
                    "description": "人民币价格",
                    "type": "integer"
                },
                "price_vm": {
                    "description": "积分价格",
                    "type": "integer"
                },
                "sale_status": {
                    "description": "在售状态 1-在售 2-下架",
                    "type": "integer"
                },
                "serial_no": {
                    "description": "序列号",
                    "type": "string"
                },
                "show_discount": {
                    "description": "Stock         uint32 ` + "`" + `json:\"stock\"` + "`" + `          // 库存",
                    "type": "integer"
                },
                "sold_count": {
                    "description": "已销售数量",
                    "type": "integer"
                },
                "sort": {
                    "description": "商品排序",
                    "type": "integer"
                },
                "spec_index": {
                    "description": "1,3",
                    "type": "string"
                },
                "spec_list": {
                    "description": "属性json数据",
                    "type": "string"
                },
                "title": {
                    "description": "标题",
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                },
                "version_id": {
                    "description": "乐观锁",
                    "type": "integer"
                }
            }
        },
        "models.GoodsAttribute": {
            "type": "object",
            "properties": {
                "cat_id": {
                    "description": "分类",
                    "type": "integer"
                },
                "combo": {
                    "$ref": "#/definitions/models.GoodsAttributeCombo"
                },
                "combos": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.GoodsAttributeCombo"
                    }
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "deal_type": {
                    "description": "1-积分兑换  2-购买  3-抵扣",
                    "type": "integer"
                },
                "goods_id": {
                    "type": "integer"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "main_image": {
                    "description": "主图",
                    "type": "string"
                },
                "name": {
                    "description": "名称",
                    "type": "string"
                },
                "price_original": {
                    "description": "PriceRm        uint32 ` + "`" + `json:\"price_rm\"` + "`" + `                          // 人民币价格",
                    "type": "integer"
                },
                "serial_no": {
                    "description": "序列号",
                    "type": "string"
                },
                "sold_count": {
                    "description": "已销售数量",
                    "type": "integer"
                },
                "sort": {
                    "description": "排序",
                    "type": "integer"
                },
                "spec_value_index": {
                    "description": "1,3,5",
                    "type": "string"
                },
                "spec_value_list": {
                    "description": "属性json数据",
                    "type": "string"
                },
                "spec_values": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.SpecValue"
                    }
                },
                "stock": {
                    "description": "库存",
                    "type": "integer"
                },
                "title": {
                    "description": "标题",
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.GoodsAttributeCombo": {
            "type": "object",
            "properties": {
                "cat_id": {
                    "description": "分类",
                    "type": "integer"
                },
                "combo_name": {
                    "description": "名称",
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "goods_attribute_id": {
                    "type": "integer"
                },
                "goods_id": {
                    "type": "integer"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "main_image": {
                    "description": "主图",
                    "type": "string"
                },
                "name": {
                    "description": "名称",
                    "type": "string"
                },
                "price_rm": {
                    "description": "人民币价格",
                    "type": "integer"
                },
                "price_vm": {
                    "description": "积分价格",
                    "type": "integer"
                },
                "serial_no": {
                    "description": "序列号",
                    "type": "string"
                },
                "title": {
                    "description": "标题",
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.GoodsCat": {
            "type": "object",
            "properties": {
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "level": {
                    "description": "分类层级",
                    "type": "integer"
                },
                "name": {
                    "description": "名称",
                    "type": "string"
                },
                "pid": {
                    "type": "integer"
                },
                "priority": {
                    "description": "分类",
                    "type": "string"
                },
                "sort": {
                    "type": "integer"
                },
                "state": {
                    "description": "1-未使用 2-使用",
                    "type": "integer"
                },
                "sub_cats": {
                    "description": "子列表",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.GoodsCat"
                    }
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.GoodsDiscount": {
            "type": "object",
            "properties": {
                "black_gold": {
                    "description": "黑金折扣",
                    "type": "integer"
                },
                "gold": {
                    "description": "黄金折扣",
                    "type": "integer"
                },
                "platinum": {
                    "description": "白金折扣",
                    "type": "integer"
                }
            }
        },
        "models.GoodsOrderListReq": {
            "type": "object",
            "properties": {
                "end_time": {
                    "description": "结束时间",
                    "type": "string"
                },
                "goods_id": {
                    "description": "商品id",
                    "type": "integer"
                },
                "is_export": {
                    "description": "1-导出",
                    "type": "integer"
                },
                "order_id": {
                    "type": "integer"
                },
                "pageIndex": {
                    "type": "integer"
                },
                "pageSize": {
                    "type": "integer"
                },
                "refund_express_no": {
                    "description": "退货物流单号",
                    "type": "string"
                },
                "start_time": {
                    "description": "开始时间",
                    "type": "string"
                },
                "state": {
                    "type": "string"
                },
                "uid": {
                    "type": "integer"
                }
            }
        },
        "models.GroupSendMessageCreateTemplateListReq": {
            "type": "object",
            "properties": {
                "pageIndex": {
                    "type": "integer"
                },
                "pageSize": {
                    "type": "integer"
                },
                "status": {
                    "description": "1-待发送 2-已发送",
                    "type": "integer"
                },
                "title": {
                    "type": "string"
                }
            }
        },
        "models.GroupSendMessageCreateTemplateListResp": {
            "type": "object",
            "properties": {
                "count": {
                    "type": "integer"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.GroupSendMessageTemplate"
                    }
                },
                "pageIndex": {
                    "type": "integer"
                },
                "sms_remaining_number": {
                    "description": "本月短信剩余数量",
                    "type": "integer"
                }
            }
        },
        "models.GroupSendMessageTemplate": {
            "type": "object",
            "properties": {
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "message": {
                    "type": "string"
                },
                "send_time": {
                    "type": "string"
                },
                "status": {
                    "description": "1-待发送 2-已发送",
                    "type": "integer"
                },
                "tels": {
                    "type": "string"
                },
                "title": {
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                },
                "user_type": {
                    "description": "1-所有用户 2-会员 3-非会员 4-指定用户",
                    "type": "integer"
                }
            }
        },
        "models.HomeCategory": {
            "type": "object",
            "properties": {
                "all_flag": {
                    "description": "是否包含所有游戏：0-不包含；1-包含",
                    "type": "integer"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "games": {
                    "description": "关联的游戏",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.HomeGameList"
                    }
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "name": {
                    "description": "分类名称",
                    "type": "string"
                },
                "order_flag": {
                    "description": "是否根据销量排序：0-不选择；1-根据租赁数量排序",
                    "type": "integer"
                },
                "sort_order": {
                    "description": "排序序号",
                    "type": "integer"
                },
                "state": {
                    "description": "状态：1-启用；2-隐藏",
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.HomeCategoryAddReq": {
            "type": "object",
            "required": [
                "name",
                "sort_order",
                "state"
            ],
            "properties": {
                "all_flag": {
                    "description": "是否包含所有游戏：0-不包含；1-包含",
                    "type": "integer"
                },
                "games": {
                    "description": "关联的游戏",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.HomeGameList"
                    }
                },
                "name": {
                    "description": "分类名称",
                    "type": "string"
                },
                "order_flag": {
                    "description": "是否根据销量排序：0-不选择；1-根据租赁数量排序",
                    "type": "integer"
                },
                "sort_order": {
                    "description": "排序序号",
                    "type": "integer"
                },
                "state": {
                    "description": "状态：1-启用；2-隐藏",
                    "type": "integer"
                }
            }
        },
        "models.HomeCategoryDeleteReq": {
            "type": "object",
            "required": [
                "home_category_id"
            ],
            "properties": {
                "home_category_id": {
                    "description": "首页分类id",
                    "type": "integer"
                }
            }
        },
        "models.HomeCategoryEditReq": {
            "type": "object",
            "required": [
                "home_category_id",
                "name",
                "sort_order",
                "state"
            ],
            "properties": {
                "all_flag": {
                    "description": "是否包含所有游戏：0-不包含；1-包含",
                    "type": "integer"
                },
                "games": {
                    "description": "关联的游戏",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.HomeGameList"
                    }
                },
                "home_category_id": {
                    "description": "首页分类id",
                    "type": "integer"
                },
                "name": {
                    "description": "分类名称",
                    "type": "string"
                },
                "order_flag": {
                    "description": "是否根据销量排序：0-不选择；1-根据租赁数量排序",
                    "type": "integer"
                },
                "sort_order": {
                    "description": "排序序号",
                    "type": "integer"
                },
                "state": {
                    "description": "状态：1-启用；2-隐藏",
                    "type": "integer"
                }
            }
        },
        "models.HomeCategoryListReq": {
            "type": "object",
            "properties": {
                "name": {
                    "description": "优惠券名称",
                    "type": "string"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "state": {
                    "description": "状态：1-启用；2-隐藏",
                    "type": "integer"
                }
            }
        },
        "models.HomeCategoryListResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.HomeCategory"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "total": {
                    "description": "总条数",
                    "type": "integer"
                }
            }
        },
        "models.HomeGameList": {
            "type": "object",
            "properties": {
                "game_id": {
                    "description": "游戏ID",
                    "type": "integer"
                },
                "game_name": {
                    "description": "游戏名称",
                    "type": "string"
                },
                "sort_order": {
                    "description": "排序序号",
                    "type": "integer"
                }
            }
        },
        "models.ImeiTraceData": {
            "type": "object",
            "properties": {
                "commodity_serial_number": {
                    "description": "商品编号",
                    "type": "string"
                },
                "count": {
                    "description": "商品数量",
                    "type": "integer"
                },
                "erp_commodity_id": {
                    "description": "商品id",
                    "type": "integer"
                },
                "erp_commodity_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "maker_time": {
                    "description": "单据日期",
                    "type": "string"
                },
                "remarks": {
                    "description": "备注",
                    "type": "string"
                },
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                },
                "serial_type": {
                    "description": "单据类型",
                    "type": "string"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "store_name": {
                    "description": "门店名称",
                    "type": "string"
                }
            }
        },
        "models.ImeiTraceReq": {
            "type": "object",
            "properties": {
                "imei": {
                    "description": "商品串码",
                    "type": "string"
                }
            }
        },
        "models.ImeiTraceResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ImeiTraceData"
                    }
                },
                "total": {
                    "description": "总条数",
                    "type": "integer"
                }
            }
        },
        "models.InsertSysUserReq": {
            "type": "object",
            "properties": {
                "account_type": {
                    "description": "账号类型:1-管理端",
                    "type": "integer"
                },
                "avatar": {
                    "description": "头像",
                    "type": "string"
                },
                "cooperative_business_id": {
                    "description": "合作商id",
                    "type": "integer"
                },
                "cooperative_name": {
                    "description": "合作商名称",
                    "type": "string"
                },
                "deptId": {
                    "description": "部门编码",
                    "type": "integer"
                },
                "email": {
                    "description": "邮箱",
                    "type": "string"
                },
                "nickName": {
                    "description": "昵称",
                    "type": "string"
                },
                "password": {
                    "description": "密码",
                    "type": "string"
                },
                "phone": {
                    "description": "手机号",
                    "type": "string"
                },
                "postId": {
                    "description": "职位编码",
                    "type": "integer"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "roleId": {
                    "description": "角色编码",
                    "type": "integer"
                },
                "sales_comm_rate": {
                    "description": "销售提成比例",
                    "type": "string"
                },
                "salt": {
                    "description": "盐",
                    "type": "string"
                },
                "sex": {
                    "description": "性别",
                    "type": "string"
                },
                "shopper_code": {
                    "description": "店员兑换码",
                    "type": "string"
                },
                "status": {
                    "description": "状态",
                    "type": "string"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "store_list": {
                    "description": "有效门店",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.StoreInfo"
                    }
                },
                "store_name": {
                    "description": "门店名称",
                    "type": "string"
                },
                "uid": {
                    "description": "用户uid",
                    "type": "integer"
                },
                "userId": {
                    "description": "编码",
                    "type": "integer"
                },
                "username": {
                    "description": "用户名",
                    "type": "string"
                }
            }
        },
        "models.InventoryAllotAddReq": {
            "type": "object",
            "required": [
                "commodities",
                "deliver_store_id",
                "deliver_store_name",
                "handler_id",
                "handler_name",
                "receive_store_id",
                "receive_store_name"
            ],
            "properties": {
                "commodities": {
                    "description": "库存调拨商品信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpInventoryAllotCommodity"
                    }
                },
                "deliver_store_id": {
                    "description": "调出门店id",
                    "type": "integer"
                },
                "deliver_store_name": {
                    "description": "调出门店名称",
                    "type": "string"
                },
                "handler_id": {
                    "description": "经手人id",
                    "type": "integer"
                },
                "handler_name": {
                    "description": "经手人名称",
                    "type": "string"
                },
                "receive_store_id": {
                    "description": "调入门店id",
                    "type": "integer"
                },
                "receive_store_name": {
                    "description": "调入门店名称",
                    "type": "string"
                }
            }
        },
        "models.InventoryAllotAuditReq": {
            "type": "object",
            "required": [
                "serial_number",
                "state"
            ],
            "properties": {
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                },
                "state": {
                    "description": "审核操作: 1-审核 2-取消审核",
                    "type": "integer"
                }
            }
        },
        "models.InventoryAllotDeleteReq": {
            "type": "object",
            "required": [
                "serial_number"
            ],
            "properties": {
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                }
            }
        },
        "models.InventoryAllotDeliverReq": {
            "type": "object",
            "required": [
                "serial_number"
            ],
            "properties": {
                "logistics_number": {
                    "description": "物流单号",
                    "type": "string"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                }
            }
        },
        "models.InventoryAllotDetailReq": {
            "type": "object",
            "required": [
                "serial_number"
            ],
            "properties": {
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                }
            }
        },
        "models.InventoryAllotEditReq": {
            "type": "object",
            "required": [
                "commodities",
                "deliver_store_id",
                "deliver_store_name",
                "handler_id",
                "handler_name",
                "receive_store_id",
                "receive_store_name",
                "serial_number"
            ],
            "properties": {
                "commodities": {
                    "description": "库存调拨商品信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpInventoryAllotCommodity"
                    }
                },
                "deliver_store_id": {
                    "description": "调出门店id",
                    "type": "integer"
                },
                "deliver_store_name": {
                    "description": "调出门店名称",
                    "type": "string"
                },
                "handler_id": {
                    "description": "经手人id",
                    "type": "integer"
                },
                "handler_name": {
                    "description": "经手人名称",
                    "type": "string"
                },
                "receive_store_id": {
                    "description": "调入门店id",
                    "type": "integer"
                },
                "receive_store_name": {
                    "description": "调入门店名称",
                    "type": "string"
                },
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                }
            }
        },
        "models.InventoryAllotListReq": {
            "type": "object",
            "properties": {
                "audit_time_end": {
                    "description": "审核结束时间",
                    "type": "string"
                },
                "audit_time_start": {
                    "description": "审核开始时间",
                    "type": "string"
                },
                "deliver_store_id": {
                    "description": "调出门店id",
                    "type": "integer"
                },
                "handler_id": {
                    "description": "经手人id",
                    "type": "integer"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "receive_store_id": {
                    "description": "调入门店id",
                    "type": "integer"
                },
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                },
                "state": {
                    "description": "1-待审核 2-待发货 3-待收货 4-已完成",
                    "type": "integer"
                }
            }
        },
        "models.InventoryAllotListResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpInventoryAllotOrder"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "total": {
                    "description": "总条数",
                    "type": "integer"
                }
            }
        },
        "models.InventoryAllotReceiveReq": {
            "type": "object",
            "required": [
                "serial_number"
            ],
            "properties": {
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                }
            }
        },
        "models.InventoryChangeAddReq": {
            "type": "object",
            "required": [
                "change_type",
                "commodities",
                "handler_id",
                "handler_name",
                "store_id",
                "store_name"
            ],
            "properties": {
                "change_type": {
                    "description": "库存变动类型：add-库存增加 reduce-库存减少",
                    "type": "string"
                },
                "commodities": {
                    "description": "库存变动商品信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpInventoryChangeCommodity"
                    }
                },
                "handler_id": {
                    "description": "经手人id",
                    "type": "integer"
                },
                "handler_name": {
                    "description": "经手人名称",
                    "type": "string"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "store_name": {
                    "description": "门店名称",
                    "type": "string"
                }
            }
        },
        "models.InventoryChangeAuditReq": {
            "type": "object",
            "required": [
                "serial_number",
                "state"
            ],
            "properties": {
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                },
                "state": {
                    "description": "审核操作: 1-审核 2-取消审核",
                    "type": "integer"
                }
            }
        },
        "models.InventoryChangeDeleteReq": {
            "type": "object",
            "required": [
                "serial_number"
            ],
            "properties": {
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                }
            }
        },
        "models.InventoryChangeDetailReq": {
            "type": "object",
            "required": [
                "serial_number"
            ],
            "properties": {
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                }
            }
        },
        "models.InventoryChangeEditReq": {
            "type": "object",
            "required": [
                "change_type",
                "commodities",
                "handler_id",
                "handler_name",
                "serial_number",
                "store_id",
                "store_name"
            ],
            "properties": {
                "change_type": {
                    "description": "库存变动类型：add-库存增加 reduce-库存减少",
                    "type": "string"
                },
                "commodities": {
                    "description": "库存变动商品信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpInventoryChangeCommodity"
                    }
                },
                "handler_id": {
                    "description": "经手人id",
                    "type": "integer"
                },
                "handler_name": {
                    "description": "经手人名称",
                    "type": "string"
                },
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "store_name": {
                    "description": "门店名称",
                    "type": "string"
                }
            }
        },
        "models.InventoryChangeListReq": {
            "type": "object",
            "properties": {
                "audit_time_end": {
                    "description": "审核结束时间",
                    "type": "string"
                },
                "audit_time_start": {
                    "description": "审核开始时间",
                    "type": "string"
                },
                "change_type": {
                    "description": "类型:add-增加；reduce-减少",
                    "type": "string"
                },
                "handler_id": {
                    "description": "经手人id",
                    "type": "integer"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                },
                "state": {
                    "description": "1-待审核 2-已完成",
                    "type": "integer"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                }
            }
        },
        "models.InventoryChangeListResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpInventoryChangeOrder"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "total": {
                    "description": "总条数",
                    "type": "integer"
                }
            }
        },
        "models.InventoryReportAllotDetailReq": {
            "type": "object",
            "properties": {
                "audit_time_end": {
                    "description": "审核/发起结束时间",
                    "type": "string"
                },
                "audit_time_start": {
                    "description": "审核/发起开始时间",
                    "type": "string"
                },
                "category_id": {
                    "description": "商品分类id",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "commodity_name": {
                    "description": "商品名称",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "deliver_store_id": {
                    "description": "调出门店id",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "imei": {
                    "description": "串码",
                    "type": "string"
                },
                "is_export": {
                    "description": "1-导出",
                    "type": "integer"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "receive_store_id": {
                    "description": "调入门店id",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "receive_time_end": {
                    "description": "调入结束时间",
                    "type": "string"
                },
                "receive_time_start": {
                    "description": "调入开始时间",
                    "type": "string"
                },
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                },
                "state": {
                    "description": "调拨状态：1-调拨中 2-已完成",
                    "type": "integer"
                }
            }
        },
        "models.InventoryReportAllotDetailResp": {
            "type": "object",
            "properties": {
                "export_url": {
                    "description": "导出excel路径",
                    "type": "string"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ReportAllotDetailData"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "total": {
                    "description": "总条数/记录数",
                    "type": "integer"
                },
                "total_allot_amount": {
                    "description": "调拨金额",
                    "type": "number"
                }
            }
        },
        "models.InventoryReportByAllotReq": {
            "type": "object",
            "properties": {
                "audit_time_end": {
                    "description": "审核/发起结束时间",
                    "type": "string"
                },
                "audit_time_start": {
                    "description": "审核/发起开始时间",
                    "type": "string"
                },
                "category_id": {
                    "description": "商品分类id",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "commodity_name": {
                    "description": "商品名称",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "deliver_store_id": {
                    "description": "调出门店id",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "is_export": {
                    "description": "1-导出",
                    "type": "integer"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "receive_store_id": {
                    "description": "调入门店id",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "receive_time_end": {
                    "description": "调入结束时间",
                    "type": "string"
                },
                "receive_time_start": {
                    "description": "调入开始时间",
                    "type": "string"
                },
                "state": {
                    "description": "调拨状态：1-调拨中 2-已完成",
                    "type": "integer"
                }
            }
        },
        "models.InventoryReportByAllotResp": {
            "type": "object",
            "properties": {
                "export_url": {
                    "description": "导出excel路径",
                    "type": "string"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ReportByAllotData"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "total": {
                    "description": "总条数/记录数",
                    "type": "integer"
                },
                "total_allot_amount": {
                    "description": "调拨金额",
                    "type": "number"
                },
                "total_allot_count": {
                    "description": "调拨数量",
                    "type": "integer"
                }
            }
        },
        "models.InventoryReportByOtherReq": {
            "type": "object",
            "properties": {
                "category_id": {
                    "description": "商品分类id",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "commodity_name": {
                    "description": "商品名称",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "end_time": {
                    "description": "结束时间/出库时间",
                    "type": "string"
                },
                "is_export": {
                    "description": "1-导出",
                    "type": "integer"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "start_time": {
                    "description": "开始时间/入库时间",
                    "type": "string"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "type": {
                    "description": "出入库方式：1-产品入库 2-盘点入库 3-系统出库 4-盘点出库",
                    "type": "integer"
                }
            }
        },
        "models.InventoryReportByOtherResp": {
            "type": "object",
            "properties": {
                "export_url": {
                    "description": "导出excel路径",
                    "type": "string"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ReportByOtherData"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "total": {
                    "description": "总条数/记录数",
                    "type": "integer"
                },
                "total_amount": {
                    "description": "总金额",
                    "type": "number"
                },
                "total_count": {
                    "description": "总数量",
                    "type": "integer"
                }
            }
        },
        "models.InventoryReportByProductReq": {
            "type": "object",
            "properties": {
                "category_id": {
                    "description": "商品分类id",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "commodity_name": {
                    "description": "商品名称",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "commodity_serial_number": {
                    "description": "商品编号",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "is_export": {
                    "description": "1-导出",
                    "type": "integer"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "models.InventoryReportByProductResp": {
            "type": "object",
            "properties": {
                "export_url": {
                    "description": "导出excel路径",
                    "type": "string"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ReportByProductData"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "total": {
                    "description": "总条数/记录数",
                    "type": "integer"
                },
                "total_amount": {
                    "description": "总金额",
                    "type": "number"
                },
                "total_count": {
                    "description": "总数量",
                    "type": "integer"
                },
                "total_effective_amount": {
                    "description": "有效库存金额",
                    "type": "number"
                },
                "total_effective_count": {
                    "description": "有效库存数",
                    "type": "integer"
                },
                "total_transfer_amount": {
                    "description": "调出中金额",
                    "type": "number"
                },
                "total_transfer_count": {
                    "description": "调出中数量",
                    "type": "integer"
                }
            }
        },
        "models.InventoryReportOtherDetailReq": {
            "type": "object",
            "properties": {
                "category_id": {
                    "description": "商品分类id",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "commodity_name": {
                    "description": "商品名称",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "end_time": {
                    "description": "结束时间/出库时间",
                    "type": "string"
                },
                "imei": {
                    "description": "串码",
                    "type": "string"
                },
                "is_export": {
                    "description": "1-导出",
                    "type": "integer"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                },
                "start_time": {
                    "description": "开始时间/入库时间",
                    "type": "string"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "type": {
                    "description": "出入库方式：1-产品入库 2-盘点入库 3-系统出库 4-盘点出库",
                    "type": "integer"
                }
            }
        },
        "models.InventoryReportOtherDetailResp": {
            "type": "object",
            "properties": {
                "export_url": {
                    "description": "导出excel路径",
                    "type": "string"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ReportOtherDetailData"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "total": {
                    "description": "总条数/记录数",
                    "type": "integer"
                },
                "total_employee_price": {
                    "description": "总入库员工成本价",
                    "type": "number"
                },
                "total_purchase_price": {
                    "description": "总入库采购价",
                    "type": "number"
                }
            }
        },
        "models.InviteMemberReport": {
            "type": "object",
            "properties": {
                "black_gold_count": {
                    "description": "黑金数量",
                    "type": "integer"
                },
                "black_gold_deduct": {
                    "description": "黑金会员提成",
                    "type": "integer"
                },
                "cooperative_business_id": {
                    "description": "合作商id",
                    "type": "integer"
                },
                "cooperative_name": {
                    "description": "合作商名称",
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "date": {
                    "description": "ReportTime            string ` + "`" + `json:\"report_time\" gorm:\"index\"` + "`" + `             // 业绩时间",
                    "type": "string"
                },
                "deduct_amount": {
                    "description": "店员提成",
                    "type": "integer"
                },
                "gold_count": {
                    "description": "黄金数量",
                    "type": "integer"
                },
                "gold_count_half": {
                    "description": "半年黄金数量",
                    "type": "integer"
                },
                "gold_count_quarter": {
                    "description": "季度黄金数量",
                    "type": "integer"
                },
                "gold_deduct": {
                    "description": "黄金会员提成",
                    "type": "integer"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "invite_renewal_black_gold_count": {
                    "description": "续费黑金会员数量（干预）",
                    "type": "integer"
                },
                "invite_renewal_gold_count": {
                    "description": "续费黄金会员数量（干预）",
                    "type": "integer"
                },
                "invite_renewal_platinum_count": {
                    "description": "续费白金会员数量（干预）",
                    "type": "integer"
                },
                "invite_upgrade_gold_to_black_count": {
                    "description": "升级：黄金-\u003e黑金数量（干预）",
                    "type": "integer"
                },
                "invite_upgrade_gold_to_platinum_count": {
                    "description": "升级：黄金-\u003e白金数量（干预）",
                    "type": "integer"
                },
                "invite_upgrade_platinum_to_black_count": {
                    "description": "升级：白金-\u003e黑金数量（干预）",
                    "type": "integer"
                },
                "platinum_count": {
                    "description": "白金数量",
                    "type": "integer"
                },
                "platinum_deduct": {
                    "description": "白金会员提成",
                    "type": "integer"
                },
                "privilege_count": {
                    "description": "尊享会员数量",
                    "type": "integer"
                },
                "renewal_black_gold_count": {
                    "description": "续费黑金会员数量（自动）",
                    "type": "integer"
                },
                "renewal_gold_count": {
                    "description": "续费年度黄金会员数量（自动）",
                    "type": "integer"
                },
                "renewal_gold_count_half": {
                    "description": "续费半年黄金会员数量（自动）",
                    "type": "integer"
                },
                "renewal_gold_count_quarter": {
                    "description": "续费季度黄金会员数量（自动）",
                    "type": "integer"
                },
                "renewal_platinum_count": {
                    "description": "续费白金会员数量（自动）",
                    "type": "integer"
                },
                "renewal_privilege_count": {
                    "description": "续费尊享会员数量",
                    "type": "integer"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "system_user": {
                    "description": "invite_member_report",
                    "allOf": [
                        {
                            "$ref": "#/definitions/models.SysUser"
                        }
                    ]
                },
                "uid": {
                    "description": "店员uid",
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                },
                "upgrade_gold_to_black_count": {
                    "description": "升级：黄金-\u003e黑金数量（自动）",
                    "type": "integer"
                },
                "upgrade_gold_to_platinum_count": {
                    "description": "升级：黄金-\u003e白金数量（自动）",
                    "type": "integer"
                },
                "upgrade_platinum_to_black_count": {
                    "description": "升级：白金-\u003e黑金数量（自动）",
                    "type": "integer"
                }
            }
        },
        "models.Login": {
            "type": "object",
            "required": [
                "code",
                "password",
                "sys_type",
                "username",
                "uuid"
            ],
            "properties": {
                "code": {
                    "type": "string"
                },
                "password": {
                    "type": "string"
                },
                "sys_type": {
                    "description": "1-管理系统 2-合作商系统",
                    "type": "integer"
                },
                "uid": {
                    "type": "integer"
                },
                "username": {
                    "type": "string"
                },
                "uuid": {
                    "type": "string"
                }
            }
        },
        "models.LoginLog": {
            "type": "object",
            "properties": {
                "browser": {
                    "description": "浏览器",
                    "type": "string"
                },
                "createBy": {
                    "description": "创建人",
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "dataScope": {
                    "description": "数据",
                    "type": "string"
                },
                "deletedAt": {
                    "description": "删除时间",
                    "type": "string"
                },
                "infoId": {
                    "description": "主键",
                    "type": "integer"
                },
                "ipaddr": {
                    "description": "ip地址",
                    "type": "string"
                },
                "loginLocation": {
                    "description": "归属地",
                    "type": "string"
                },
                "loginTime": {
                    "description": "登录时间",
                    "type": "string"
                },
                "msg": {
                    "type": "string"
                },
                "os": {
                    "description": "系统",
                    "type": "string"
                },
                "params": {
                    "type": "string"
                },
                "platform": {
                    "description": "固件",
                    "type": "string"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "status": {
                    "description": "状态",
                    "type": "string"
                },
                "updateBy": {
                    "description": "更新者",
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                },
                "username": {
                    "description": "用户名",
                    "type": "string"
                }
            }
        },
        "models.MallUserVmRecordData": {
            "type": "object",
            "properties": {
                "after_vm": {
                    "description": "变动后",
                    "type": "integer"
                },
                "alter": {
                    "description": "数值",
                    "type": "integer"
                },
                "before_vm": {
                    "description": "变动前",
                    "type": "integer"
                },
                "bill_sn": {
                    "description": "零售订单编号",
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "describe": {
                    "description": "描述",
                    "type": "string"
                },
                "erp_order_id": {
                    "description": "零售订单id",
                    "type": "integer"
                },
                "event": {
                    "description": "事件",
                    "type": "string"
                },
                "expiry_date": {
                    "description": "积分过期时间",
                    "type": "string"
                },
                "expiry_vm": {
                    "description": "即将过期的积分",
                    "type": "integer"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "tel": {
                    "description": "用户手机号",
                    "type": "string"
                },
                "uid": {
                    "description": "用户ID",
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                },
                "used_vm": {
                    "description": "已使用积分",
                    "type": "integer"
                },
                "user": {
                    "description": "用户信息",
                    "allOf": [
                        {
                            "$ref": "#/definitions/models.UserInfo"
                        }
                    ]
                }
            }
        },
        "models.MallUserVmRecordReq": {
            "type": "object",
            "properties": {
                "end_time": {
                    "description": "结束时间，示例：2006-01-02T15:04:05+08:00",
                    "type": "string"
                },
                "pageIndex": {
                    "type": "integer"
                },
                "pageSize": {
                    "type": "integer"
                },
                "start_time": {
                    "description": "开始时间，示例：2006-01-02T15:04:05+08:00",
                    "type": "string"
                },
                "tel": {
                    "description": "用户手机号",
                    "type": "string"
                },
                "uid": {
                    "description": "用户ID",
                    "type": "integer"
                },
                "vm_type": {
                    "description": "默认0-正常查询，1-查询7天内即将过期积分",
                    "type": "integer"
                }
            }
        },
        "models.MallUserVmRecordResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.MallUserVmRecordData"
                    }
                },
                "page_index": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "models.Menu": {
            "type": "object",
            "properties": {
                "action": {
                    "type": "string"
                },
                "breadcrumb": {
                    "type": "string"
                },
                "children": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.Menu"
                    }
                },
                "component": {
                    "type": "string"
                },
                "createBy": {
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "dataScope": {
                    "type": "string"
                },
                "deletedAt": {
                    "description": "删除时间",
                    "type": "string"
                },
                "icon": {
                    "type": "string"
                },
                "isFrame": {
                    "type": "string"
                },
                "is_select": {
                    "type": "boolean"
                },
                "menuId": {
                    "type": "integer"
                },
                "menuName": {
                    "type": "string"
                },
                "menuType": {
                    "type": "string"
                },
                "noCache": {
                    "type": "boolean"
                },
                "params": {
                    "type": "string"
                },
                "parentId": {
                    "type": "integer"
                },
                "path": {
                    "type": "string"
                },
                "paths": {
                    "type": "string"
                },
                "permission": {
                    "type": "string"
                },
                "roleId": {
                    "type": "integer"
                },
                "sort": {
                    "type": "integer"
                },
                "title": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                },
                "visible": {
                    "type": "string"
                }
            }
        },
        "models.NewErpStockCommodityListReq": {
            "type": "object",
            "properties": {
                "age": {
                    "description": "最近库龄",
                    "type": "integer"
                },
                "all_age": {
                    "description": "总库龄",
                    "type": "integer"
                },
                "commodity_name": {
                    "description": "商品名称",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "erp_category_id": {
                    "description": "商品分类Id",
                    "type": "integer"
                },
                "erp_commodity_id": {
                    "description": "商品id",
                    "type": "integer"
                },
                "erp_stock_id": {
                    "description": "库存id",
                    "type": "integer"
                },
                "imei": {
                    "description": "串码",
                    "type": "string"
                },
                "is_export": {
                    "description": "是否导出excel：1-导出",
                    "type": "integer"
                },
                "is_imei": {
                    "description": "是否串码：0-查全部 1-查串码类 2-查非串码",
                    "type": "integer"
                },
                "original_sn": {
                    "description": "首次入库订单编号",
                    "type": "string"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "每页展示数据条数",
                    "type": "integer"
                },
                "scan_code": {
                    "description": "扫码枪扫码数据：串码/条码",
                    "type": "string"
                },
                "serial_number": {
                    "description": "商品编号",
                    "type": "string"
                },
                "state": {
                    "description": "库存状态:1-在库 2-已售 3-采购退货 4-调拨中 5-出库（前端只看1，4）",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "stock_sort_flag": {
                    "description": "排序方式：0-按入库时间降序排列（默认），1-按入库时间升序排列",
                    "type": "integer"
                },
                "stock_time_end": {
                    "description": "最近入库结束时间",
                    "type": "string"
                },
                "stock_time_start": {
                    "description": "最近入库开始时间",
                    "type": "string"
                },
                "storage_type": {
                    "description": "首次入库方式：1-系统入库 2-采购入库",
                    "type": "integer"
                },
                "store_id": {
                    "description": "门店编号",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "supplier_id": {
                    "description": "供应商id",
                    "type": "integer"
                }
            }
        },
        "models.NewUserInviteRecordReq": {
            "type": "object",
            "properties": {
                "create_end_time": {
                    "description": "注册小程序时间-结束时间",
                    "type": "string"
                },
                "create_start_time": {
                    "description": "注册小程序时间-开始时间",
                    "type": "string"
                },
                "from_uid": {
                    "description": "邀请人ID",
                    "type": "integer"
                },
                "invite_user_name": {
                    "description": "邀请人昵称",
                    "type": "string"
                },
                "is_export": {
                    "description": "1-导出",
                    "type": "integer"
                },
                "member_level": {
                    "description": "当前类型：10-普通用户 1-普通会员 2-黄金会员 4-白金会员 5-黑金会员",
                    "type": "integer"
                },
                "pageIndex": {
                    "type": "integer"
                },
                "pageSize": {
                    "type": "integer"
                },
                "record_end_time": {
                    "description": "记录时间-结束时间",
                    "type": "string"
                },
                "record_start_time": {
                    "description": "记录时间-开始时间",
                    "type": "string"
                },
                "record_type": {
                    "description": "记录类型 1-首次邀请，2-开通年费黄金，3-开通季度黄金，4-开通半年黄金， 5-开通年费白金，6-开通年费黑金，7-续费年费黄金（干预），8-续费年费白金（干预），9-续费年费黑金（干预），10-续费年费黄金（自动）， 11-续费季度黄金（自动），12-续费半年黄金（自动），13-续费年费白金（自动），14-续费年费黑金（自动），15-黄金→白金（干预）， 16-黄金→黑金（干预），17-白金→黑金（干预），18-黄金→白金（自动），19-黄金→黑金（自动），20-白金→黑金（自动），21-开通尊享会员， 22-续费尊享会员",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "store_id": {
                    "description": "邀请人所属门店id",
                    "type": "integer"
                },
                "to_uid": {
                    "description": "用户ID",
                    "type": "integer"
                },
                "user_tel": {
                    "description": "用户手机号",
                    "type": "string"
                }
            }
        },
        "models.NewUserListReq": {
            "type": "object",
            "properties": {
                "create_endTime": {
                    "description": "注册小程序-结束时间",
                    "type": "string"
                },
                "create_startTime": {
                    "description": "注册小程序-开始时间",
                    "type": "string"
                },
                "filter": {
                    "description": "是否过滤无滞纳金已标记用户",
                    "type": "boolean"
                },
                "is_export": {
                    "description": "1-导出",
                    "type": "integer"
                },
                "is_order_query": {
                    "description": "1-新建零售订单时查询，不限制门店",
                    "type": "integer"
                },
                "member_level": {
                    "description": "当前会员等级:10-普通用户 1-普通会员 2-黄金会员 4-白金会员 5-黑金会员",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "open_endTime": {
                    "description": "首次开通租卡会员-结束时间",
                    "type": "string"
                },
                "open_member_level": {
                    "description": "首次开通租卡会员等级：2-黄金会员 4-白金会员 5-黑金会员",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "open_startTime": {
                    "description": "首次开通租卡会员-开始时间",
                    "type": "string"
                },
                "order_endTime": {
                    "description": "首次零售开单-结束时间",
                    "type": "string"
                },
                "order_startTime": {
                    "description": "首次零售开单-开始时间",
                    "type": "string"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "sort_field": {
                    "description": "排序字段：滞纳金传\"forfeit_penalty\"",
                    "type": "string"
                },
                "sort_type": {
                    "description": "排序类型：desc 降序、asc 升序",
                    "type": "string"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "tel": {
                    "description": "手机号",
                    "type": "string"
                },
                "uid": {
                    "description": "用户id",
                    "type": "integer"
                },
                "user_type": {
                    "description": "用户类型 用户类型 1-普通用户 2-店员",
                    "type": "integer"
                }
            }
        },
        "models.NewUserListResp": {
            "type": "object",
            "properties": {
                "export_url": {
                    "description": "导出excel地址",
                    "type": "string"
                },
                "list": {
                    "description": "用户数据",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.U"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "每页展示条数",
                    "type": "integer"
                },
                "total": {
                    "description": "总条数",
                    "type": "integer"
                }
            }
        },
        "models.Order": {
            "type": "object",
            "properties": {
                "card_status": {
                    "description": "1-待取货中 2-游玩中 3-归还中 4-已完成 5-已取消",
                    "type": "integer"
                },
                "cooperative_business_id": {
                    "description": "合作商id",
                    "type": "integer"
                },
                "cooperative_name": {
                    "description": "合作商名称",
                    "type": "string"
                },
                "count": {
                    "description": "数量",
                    "type": "integer"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "deliver_shopper_code": {
                    "description": "发货店员码",
                    "type": "string"
                },
                "delivery_time": {
                    "description": "发货时间",
                    "type": "string"
                },
                "delivery_type": {
                    "description": "取货类型 1-门店自取 2-快递",
                    "type": "integer"
                },
                "express_company": {
                    "description": "物流公司",
                    "type": "string"
                },
                "express_company_no": {
                    "description": "物流公司编号",
                    "type": "string"
                },
                "express_duration": {
                    "description": "物流时长",
                    "type": "integer"
                },
                "express_no": {
                    "description": "物流单号",
                    "type": "string"
                },
                "game_card_goods_id": {
                    "description": "游戏卡id",
                    "type": "integer"
                },
                "game_card_id": {
                    "description": "游戏id",
                    "type": "integer"
                },
                "game_card_serial_number": {
                    "description": "游戏卡编号",
                    "type": "string"
                },
                "game_card_serial_numbers": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "order_cards": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.OrderCard"
                    }
                },
                "order_sn": {
                    "description": "订单编号",
                    "type": "string"
                },
                "pay_price": {
                    "description": "实际付款金额(包含运费)",
                    "type": "integer"
                },
                "pay_status": {
                    "description": "支付状态 1-未支付  2-已支付",
                    "type": "integer"
                },
                "pay_time": {
                    "description": "支付时间",
                    "type": "string"
                },
                "phone_ext": {
                    "type": "string"
                },
                "pickup_code": {
                    "description": "取货码",
                    "type": "string"
                },
                "postage": {
                    "description": "邮费",
                    "type": "integer"
                },
                "receipt_time": {
                    "description": "收货时间 签收时间",
                    "type": "string"
                },
                "revert_express_company": {
                    "description": "归还物流公司",
                    "type": "string"
                },
                "revert_express_company_no": {
                    "description": "归还物流公司编号",
                    "type": "string"
                },
                "revert_express_duration": {
                    "description": "归还物流时长",
                    "type": "integer"
                },
                "revert_express_no": {
                    "description": "归还物流单号",
                    "type": "string"
                },
                "revert_shopper_code": {
                    "type": "string"
                },
                "revert_store_id": {
                    "description": "归还门店id",
                    "type": "integer"
                },
                "revert_time": {
                    "description": "归还时间",
                    "type": "string"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "uid": {
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                },
                "user": {
                    "$ref": "#/definitions/models.UserInfo"
                },
                "user_address_id": {
                    "description": "地址id",
                    "type": "integer"
                }
            }
        },
        "models.OrderCard": {
            "type": "object",
            "properties": {
                "card_status": {
                    "description": "1-待取货中 2-游玩中 3-归还中 4-已完成 5-已取消",
                    "type": "integer"
                },
                "cooperative_business_id": {
                    "description": "合作商id",
                    "type": "integer"
                },
                "cooperative_name": {
                    "description": "合作商名称",
                    "type": "string"
                },
                "cover_img": {
                    "description": "封面",
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "deliver_shopper": {
                    "description": "发货店员",
                    "allOf": [
                        {
                            "$ref": "#/definitions/models.ShopperPromotionCode"
                        }
                    ]
                },
                "deliver_shopper_code": {
                    "description": "发货店员码",
                    "type": "string"
                },
                "delivery_time": {
                    "description": "发货时间",
                    "type": "string"
                },
                "delivery_type": {
                    "description": "取货类型 1-门店自取 2-快递",
                    "type": "integer"
                },
                "express_company": {
                    "description": "物流公司",
                    "type": "string"
                },
                "express_company_no": {
                    "description": "物流公司编号",
                    "type": "string"
                },
                "express_no": {
                    "description": "物流单号",
                    "type": "string"
                },
                "game_card": {
                    "description": "卡带信息",
                    "allOf": [
                        {
                            "$ref": "#/definitions/models.GameCard"
                        }
                    ]
                },
                "game_card_goods_id": {
                    "description": "游戏卡id",
                    "type": "integer"
                },
                "game_card_id": {
                    "description": "游戏id",
                    "type": "integer"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "issue_type": {
                    "description": "问题类型: 1-问题反馈 2-正常",
                    "type": "integer"
                },
                "name": {
                    "description": "名称",
                    "type": "string"
                },
                "order": {
                    "description": "订单",
                    "allOf": [
                        {
                            "$ref": "#/definitions/models.Order"
                        }
                    ]
                },
                "order_id": {
                    "type": "integer"
                },
                "pay_status": {
                    "description": "支付状态 1-未支付  2-已支付",
                    "type": "integer"
                },
                "postage": {
                    "description": "邮费",
                    "type": "integer"
                },
                "price": {
                    "description": "价格",
                    "type": "integer"
                },
                "receipt_time": {
                    "description": "收货时间 签收时间",
                    "type": "string"
                },
                "revert_express_company": {
                    "description": "归还物流公司",
                    "type": "string"
                },
                "revert_express_company_no": {
                    "description": "归还物流公司编号",
                    "type": "string"
                },
                "revert_express_duration": {
                    "description": "归还物流时长",
                    "type": "integer"
                },
                "revert_express_no": {
                    "description": "归还物流单号",
                    "type": "string"
                },
                "revert_shopper": {
                    "description": "收货店员",
                    "allOf": [
                        {
                            "$ref": "#/definitions/models.ShopperPromotionCode"
                        }
                    ]
                },
                "revert_shopper_code": {
                    "description": "收货识别码",
                    "type": "string"
                },
                "revert_store": {
                    "description": "归还门店",
                    "allOf": [
                        {
                            "$ref": "#/definitions/models.Store"
                        }
                    ]
                },
                "revert_store_id": {
                    "description": "归还门店id",
                    "type": "integer"
                },
                "revert_time": {
                    "description": "归还时间",
                    "type": "string"
                },
                "serial_number": {
                    "description": "编号",
                    "type": "string"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "uid": {
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.OrderListReq": {
            "type": "object",
            "properties": {
                "card_status": {
                    "description": "1-待取货中 2-游玩中 3-归还中 4-已完成 5-已取消",
                    "type": "integer"
                },
                "delivery_type": {
                    "description": "取货类型 1-门店自取 2-快递",
                    "type": "integer"
                },
                "end_time": {
                    "description": "结束时间",
                    "type": "string"
                },
                "game_card_id": {
                    "type": "integer"
                },
                "order_id": {
                    "type": "integer"
                },
                "pageIndex": {
                    "type": "integer"
                },
                "pageSize": {
                    "type": "integer"
                },
                "pay_status": {
                    "description": "支付状态 1-未支付  2-已支付",
                    "type": "integer"
                },
                "pickup_code": {
                    "description": "取货码",
                    "type": "string"
                },
                "serial_number": {
                    "description": "编号",
                    "type": "string"
                },
                "start_time": {
                    "description": "开始时间",
                    "type": "string"
                },
                "store_id": {
                    "description": "门店id// 游戏id",
                    "type": "integer"
                },
                "uid": {
                    "type": "integer"
                }
            }
        },
        "models.Post": {
            "type": "object",
            "properties": {
                "createBy": {
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "dataScope": {
                    "type": "string"
                },
                "deletedAt": {
                    "description": "删除时间",
                    "type": "string"
                },
                "params": {
                    "type": "string"
                },
                "postCode": {
                    "description": "岗位代码",
                    "type": "string"
                },
                "postId": {
                    "description": "岗位编号",
                    "type": "integer"
                },
                "postName": {
                    "description": "岗位名称",
                    "type": "string"
                },
                "remark": {
                    "description": "描述",
                    "type": "string"
                },
                "sort": {
                    "description": "岗位排序",
                    "type": "integer"
                },
                "status": {
                    "description": "状态",
                    "type": "string"
                },
                "updateBy": {
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.PrivilegeMember": {
            "type": "object",
            "properties": {
                "audit_time": {
                    "description": "审核时间",
                    "type": "string"
                },
                "auditor_id": {
                    "description": "审核人id",
                    "type": "integer"
                },
                "auditor_name": {
                    "description": "审核人姓名",
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "extend_status": {
                    "description": "延保状态:0-非会员, 1-已过期，2-待激活、3-已激活",
                    "type": "integer"
                },
                "host_code": {
                    "description": "主机编码",
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "images": {
                    "description": "图片凭证",
                    "type": "string"
                },
                "member_expire": {
                    "description": "会员到期时间",
                    "type": "string"
                },
                "member_level": {
                    "description": "当前会员等级:1-普通用户，6-尊享会员",
                    "type": "integer"
                },
                "open_member_time": {
                    "description": "开通会员时间",
                    "type": "string"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "store": {
                    "description": "门店信息",
                    "allOf": [
                        {
                            "$ref": "#/definitions/models.Store"
                        }
                    ]
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "tel": {
                    "description": "电话",
                    "type": "string"
                },
                "uid": {
                    "description": "用户id",
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.PrivilegeMemberListReq": {
            "type": "object",
            "properties": {
                "audit_time_end": {
                    "description": "审核结束时间",
                    "type": "string"
                },
                "audit_time_start": {
                    "description": "审核开始时间",
                    "type": "string"
                },
                "auditor_id": {
                    "description": "审核人",
                    "type": "integer"
                },
                "extend_status": {
                    "description": "延保状态",
                    "type": "integer"
                },
                "host_code": {
                    "description": "主机编码",
                    "type": "string"
                },
                "is_export": {
                    "description": "1-导出excel",
                    "type": "integer"
                },
                "member_expire_end": {
                    "description": "尊享会员到期时间-结束时间",
                    "type": "string"
                },
                "member_expire_start": {
                    "description": "尊享会员到期时间-开始时间",
                    "type": "string"
                },
                "member_level": {
                    "description": "当前会员等级",
                    "type": "integer"
                },
                "open_member_end": {
                    "description": "首次开通尊享会员-结束时间",
                    "type": "string"
                },
                "open_member_start": {
                    "description": "首次开通尊享会员-开始时间",
                    "type": "string"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "store_id": {
                    "description": "门店列表（支持复选）",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "tel": {
                    "description": "手机号",
                    "type": "string"
                },
                "uid": {
                    "description": "用户ID",
                    "type": "integer"
                }
            }
        },
        "models.PrivilegeMemberListResp": {
            "type": "object",
            "properties": {
                "export_url": {
                    "description": "导出excel路径",
                    "type": "string"
                },
                "list": {
                    "description": "零售尊享会员信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.PrivilegeMember"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "total": {
                    "description": "总条数",
                    "type": "integer"
                }
            }
        },
        "models.ProductInfo": {
            "type": "object",
            "properties": {
                "pay_count": {
                    "description": "付款件数：使用该优惠券购买该商品的付款件数",
                    "type": "integer"
                },
                "pay_customer": {
                    "description": "付款人数：购买该商品并使用优惠券的客户人数",
                    "type": "integer"
                },
                "product_id": {
                    "description": "商品ID",
                    "type": "integer"
                },
                "product_name": {
                    "description": "商品名称",
                    "type": "string"
                }
            }
        },
        "models.ProductInventoryAddReq": {
            "type": "object",
            "required": [
                "commodities",
                "handler_id",
                "handler_name",
                "store_id",
                "store_name"
            ],
            "properties": {
                "commodities": {
                    "description": "产品入库商品信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpInventoryProductCommodity"
                    }
                },
                "handler_id": {
                    "description": "经手人id",
                    "type": "integer"
                },
                "handler_name": {
                    "description": "经手人名称",
                    "type": "string"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "store_name": {
                    "description": "门店名称",
                    "type": "string"
                }
            }
        },
        "models.ProductInventoryAuditReq": {
            "type": "object",
            "required": [
                "serial_number",
                "state"
            ],
            "properties": {
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                },
                "state": {
                    "description": "审核操作: 1-审核 2-取消审核",
                    "type": "integer"
                }
            }
        },
        "models.ProductInventoryDeleteReq": {
            "type": "object",
            "required": [
                "serial_number"
            ],
            "properties": {
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                }
            }
        },
        "models.ProductInventoryDetailReq": {
            "type": "object",
            "required": [
                "serial_number"
            ],
            "properties": {
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                }
            }
        },
        "models.ProductInventoryEditReq": {
            "type": "object",
            "required": [
                "commodities",
                "handler_id",
                "handler_name",
                "serial_number",
                "store_id",
                "store_name"
            ],
            "properties": {
                "commodities": {
                    "description": "产品入库商品信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpInventoryProductCommodity"
                    }
                },
                "handler_id": {
                    "description": "经手人id",
                    "type": "integer"
                },
                "handler_name": {
                    "description": "经手人名称",
                    "type": "string"
                },
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "store_name": {
                    "description": "门店名称",
                    "type": "string"
                }
            }
        },
        "models.ProductInventoryGetIMEIReq": {
            "type": "object",
            "required": [
                "commodity_id"
            ],
            "properties": {
                "commodity_id": {
                    "description": "商品id",
                    "type": "integer"
                }
            }
        },
        "models.ProductInventoryGetIMEIResp": {
            "type": "object",
            "properties": {
                "imei": {
                    "description": "商品串码",
                    "type": "string"
                }
            }
        },
        "models.ProductInventoryListReq": {
            "type": "object",
            "properties": {
                "audit_time_end": {
                    "description": "审核结束时间",
                    "type": "string"
                },
                "audit_time_start": {
                    "description": "审核开始时间",
                    "type": "string"
                },
                "handler_id": {
                    "description": "经手人id",
                    "type": "integer"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                },
                "state": {
                    "description": "1-待审核 2-已完成",
                    "type": "integer"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                }
            }
        },
        "models.ProductInventoryListResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpInventoryProductOrder"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "total": {
                    "description": "总条数",
                    "type": "integer"
                }
            }
        },
        "models.PurchaseReportData": {
            "type": "object",
            "properties": {
                "amount": {
                    "description": "采购金额",
                    "type": "number"
                },
                "count": {
                    "description": "采购数量",
                    "type": "integer"
                },
                "difference": {
                    "description": "差额",
                    "type": "number"
                },
                "erp_category_id": {
                    "description": "商品分类id",
                    "type": "integer"
                },
                "erp_category_name": {
                    "description": "商品分类名称",
                    "type": "string"
                },
                "erp_commodity_id": {
                    "description": "商品id",
                    "type": "integer"
                },
                "erp_commodity_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "erp_purchase_order_id": {
                    "description": "采购订单id",
                    "type": "integer"
                },
                "erp_supplier_id": {
                    "description": "供应商id",
                    "type": "integer"
                },
                "erp_supplier_name": {
                    "description": "供应商名称",
                    "type": "string"
                },
                "purchase_type": {
                    "description": "采购类型:procure-采购 reject-退货",
                    "type": "string"
                },
                "reject_amount": {
                    "description": "退货金额",
                    "type": "number"
                },
                "serial_number": {
                    "description": "入库编号",
                    "type": "string"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "store_name": {
                    "description": "门店名称",
                    "type": "string"
                }
            }
        },
        "models.QueryCodeReq": {
            "type": "object",
            "required": [
                "scan_code"
            ],
            "properties": {
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "scan_code": {
                    "description": "扫码枪扫码数据：串码/条码",
                    "type": "string"
                },
                "state": {
                    "description": "库存状态:1-在库 2-已售 3-采购退货 4-调拨中 5-出库（前端只看1，4）",
                    "type": "integer"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                }
            }
        },
        "models.QueryCodeResp": {
            "type": "object",
            "properties": {
                "count": {
                    "description": "数据总条数",
                    "type": "integer"
                },
                "list": {
                    "description": "串码/条码",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "每页展示条数",
                    "type": "integer"
                }
            }
        },
        "models.QueryNameReq": {
            "type": "object",
            "required": [
                "commodity_name"
            ],
            "properties": {
                "commodity_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "每页展示数据条数",
                    "type": "integer"
                },
                "state": {
                    "description": "库存状态:1-在库 2-已售 3-采购退货 4-调拨中 5-出库（前端只看1，4）",
                    "type": "integer"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                }
            }
        },
        "models.RecycleCardOrder": {
            "type": "object",
            "properties": {
                "assistant_name": {
                    "description": "店员",
                    "type": "string"
                },
                "attribute": {
                    "type": "string"
                },
                "check_time": {
                    "type": "string"
                },
                "cooperative_business_id": {
                    "description": "合作商id",
                    "type": "integer"
                },
                "cooperative_name": {
                    "description": "合作商名称",
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "depression_rate": {
                    "type": "integer"
                },
                "describe": {
                    "description": "描述",
                    "type": "string"
                },
                "evaluation_time": {
                    "type": "string"
                },
                "goods_id": {
                    "type": "integer"
                },
                "goods_img": {
                    "type": "string"
                },
                "goods_name": {
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "images": {
                    "description": "图片",
                    "type": "string"
                },
                "keyword": {
                    "type": "string"
                },
                "number": {
                    "description": "订单",
                    "type": "string"
                },
                "original_price": {
                    "description": "原价",
                    "type": "integer"
                },
                "price": {
                    "type": "integer"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "retrieve_state": {
                    "description": "回收卡状态: 0-未完成 1-未确认 2-确认",
                    "type": "integer"
                },
                "retrieve_time": {
                    "description": "审核时",
                    "type": "string"
                },
                "serial_number": {
                    "type": "string"
                },
                "state": {
                    "description": "1-待回收 2-已完成 3-已被拒 4-已取消",
                    "type": "integer"
                },
                "store": {
                    "$ref": "#/definitions/models.Store"
                },
                "store_id": {
                    "type": "integer"
                },
                "store_name": {
                    "type": "string"
                },
                "uid": {
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                },
                "user_info": {
                    "$ref": "#/definitions/models.UserInfo"
                }
            }
        },
        "models.RecycleCardOrderListReq": {
            "type": "object",
            "properties": {
                "audit_end_time": {
                    "type": "string"
                },
                "audit_start_time": {
                    "type": "string"
                },
                "cooperative_business_id": {
                    "type": "integer"
                },
                "end_time": {
                    "type": "string"
                },
                "is_export": {
                    "description": "1-导出",
                    "type": "integer"
                },
                "number": {
                    "type": "string"
                },
                "pageIndex": {
                    "type": "integer"
                },
                "pageSize": {
                    "type": "integer"
                },
                "retrieve_state": {
                    "description": "回收卡状态: 0-未完成 1-未确认 2-确认",
                    "type": "integer"
                },
                "start_time": {
                    "type": "string"
                },
                "state": {
                    "type": "integer"
                },
                "store_id": {
                    "type": "integer"
                },
                "uid": {
                    "type": "integer"
                }
            }
        },
        "models.RecycleCardOrderListRsp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.RecycleCardOrder"
                    }
                },
                "pageIndex": {
                    "type": "integer"
                },
                "pageSize": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                },
                "url": {
                    "type": "string"
                }
            }
        },
        "models.RepairCreateReq": {
            "type": "object",
            "required": [
                "handler_id",
                "store_id"
            ],
            "properties": {
                "commodities": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.RepairRecordCommodity"
                    }
                },
                "handler_id": {
                    "description": "经手人id",
                    "type": "integer"
                },
                "handler_name": {
                    "description": "经手人名称",
                    "type": "string"
                },
                "member_level": {
                    "type": "integer"
                },
                "store_id": {
                    "type": "integer"
                },
                "tel": {
                    "type": "string"
                },
                "uid": {
                    "type": "integer"
                }
            }
        },
        "models.RepairEditReq": {
            "type": "object",
            "required": [
                "handler_id",
                "maker_id",
                "serial_number",
                "store_id"
            ],
            "properties": {
                "audit_time": {
                    "description": "审核时间",
                    "type": "string"
                },
                "auditor_id": {
                    "description": "审核人ID",
                    "type": "integer"
                },
                "auditor_name": {
                    "description": "审核人名称",
                    "type": "string"
                },
                "commodities": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.RepairRecordCommodity"
                    }
                },
                "complete_remark": {
                    "description": "完成备注",
                    "type": "string"
                },
                "completed_time": {
                    "description": "完成时间",
                    "type": "string"
                },
                "express_no": {
                    "description": "快递单号",
                    "type": "string"
                },
                "handler_id": {
                    "description": "经手人ID",
                    "type": "integer"
                },
                "handler_name": {
                    "description": "经手人名称",
                    "type": "string"
                },
                "maker_id": {
                    "description": "制单人ID",
                    "type": "integer"
                },
                "maker_name": {
                    "description": "制单人名称",
                    "type": "string"
                },
                "maker_time": {
                    "description": "制单时间",
                    "type": "string"
                },
                "member_level": {
                    "description": "会员等级：普通用户、尊享会员",
                    "type": "integer"
                },
                "repair_fee": {
                    "description": "维修费用",
                    "type": "number"
                },
                "repair_unit_id": {
                    "description": "维修单位ID",
                    "type": "integer"
                },
                "send_remark": {
                    "description": "送修备注",
                    "type": "string"
                },
                "send_time": {
                    "description": "送修时间",
                    "type": "string"
                },
                "serial_number": {
                    "description": "订单编号",
                    "type": "string"
                },
                "state": {
                    "description": "状态（1-待审核，2-已审核，3-维修中，4-已完成）",
                    "type": "integer"
                },
                "store_id": {
                    "description": "门店ID",
                    "type": "integer"
                },
                "tel": {
                    "description": "手机号",
                    "type": "string"
                },
                "uid": {
                    "description": "用户ID",
                    "type": "integer"
                }
            }
        },
        "models.RepairRecord": {
            "type": "object",
            "properties": {
                "audit_time": {
                    "description": "审核时间",
                    "type": "string"
                },
                "auditor_id": {
                    "description": "审核人ID",
                    "type": "integer"
                },
                "auditor_name": {
                    "description": "审核人名称",
                    "type": "string"
                },
                "commodities": {
                    "description": "维修商品信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.RepairRecordCommodity"
                    }
                },
                "complete_remark": {
                    "description": "完成备注",
                    "type": "string"
                },
                "completed_time": {
                    "description": "完成时间",
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "express_no": {
                    "description": "快递单号",
                    "type": "string"
                },
                "handler_id": {
                    "description": "经手人ID",
                    "type": "integer"
                },
                "handler_name": {
                    "description": "经手人名称",
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "maker_id": {
                    "description": "制单人ID",
                    "type": "integer"
                },
                "maker_name": {
                    "description": "制单人名称",
                    "type": "string"
                },
                "maker_time": {
                    "description": "制单时间",
                    "type": "string"
                },
                "member_level": {
                    "description": "会员等级：1-普通用户，6-尊享会员",
                    "type": "integer"
                },
                "repair_fee": {
                    "description": "维修费用",
                    "type": "number"
                },
                "repair_unit_id": {
                    "description": "维修单位ID（供应商）",
                    "type": "integer"
                },
                "repair_unit_name": {
                    "description": "维修单位名称（供应商）",
                    "type": "string"
                },
                "send_remark": {
                    "description": "送修备注",
                    "type": "string"
                },
                "send_time": {
                    "description": "送修时间",
                    "type": "string"
                },
                "serial_number": {
                    "description": "订单编号",
                    "type": "string"
                },
                "state": {
                    "description": "状态（1-待审核，2-待送修，3-维修中，4-已完成）",
                    "type": "integer"
                },
                "store_id": {
                    "description": "门店ID",
                    "type": "integer"
                },
                "store_name": {
                    "description": "门店名称",
                    "type": "string"
                },
                "tel": {
                    "description": "手机号",
                    "type": "string"
                },
                "uid": {
                    "description": "用户ID",
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.RepairRecordCommodity": {
            "type": "object",
            "properties": {
                "commodity_id": {
                    "description": "商品ID",
                    "type": "integer"
                },
                "commodity_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "count": {
                    "description": "数量",
                    "type": "integer"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "fault_desc": {
                    "description": "故障描述",
                    "type": "string"
                },
                "fault_image": {
                    "description": "故障图片",
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "new_imei": {
                    "description": "新机器编码",
                    "type": "string"
                },
                "old_imei": {
                    "description": "旧机器编码",
                    "type": "string"
                },
                "repair_record_id": {
                    "description": "维修记录ID",
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.ReportAllotDetailData": {
            "type": "object",
            "properties": {
                "allot_amount": {
                    "description": "调拨金额",
                    "type": "number"
                },
                "audit_time": {
                    "description": "审核时间",
                    "type": "string"
                },
                "category_id": {
                    "description": "商品分类id",
                    "type": "integer"
                },
                "category_name": {
                    "description": "商品分类名称",
                    "type": "string"
                },
                "commodity_id": {
                    "description": "商品id",
                    "type": "integer"
                },
                "commodity_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "deliver_store_id": {
                    "description": "调出门店id",
                    "type": "integer"
                },
                "deliver_store_name": {
                    "description": "调出门店名称",
                    "type": "string"
                },
                "imei": {
                    "description": "商品串码",
                    "type": "string"
                },
                "imei_type": {
                    "description": "1-无串码 2-串码",
                    "type": "integer"
                },
                "maker_time": {
                    "description": "制单时间/发起时间",
                    "type": "string"
                },
                "receive_store_id": {
                    "description": "调入门店id",
                    "type": "integer"
                },
                "receive_store_name": {
                    "description": "调入门店名称",
                    "type": "string"
                },
                "receive_time": {
                    "description": "收货时间/调入时间",
                    "type": "string"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                },
                "state": {
                    "description": "调拨状态：1-调拨中 2-已完成",
                    "type": "integer"
                }
            }
        },
        "models.ReportByAllotData": {
            "type": "object",
            "properties": {
                "allot_amount": {
                    "description": "调拨金额",
                    "type": "number"
                },
                "allot_count": {
                    "description": "调拨数量",
                    "type": "integer"
                },
                "audit_time": {
                    "description": "审核时间",
                    "type": "string"
                },
                "category_id": {
                    "description": "商品分类id",
                    "type": "integer"
                },
                "category_name": {
                    "description": "商品分类名称",
                    "type": "string"
                },
                "commodity_id": {
                    "description": "商品id",
                    "type": "integer"
                },
                "commodity_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "commodity_serial_number": {
                    "description": "商品编号",
                    "type": "string"
                },
                "deliver_store_id": {
                    "description": "调出门店id",
                    "type": "integer"
                },
                "deliver_store_name": {
                    "description": "调出门店名称",
                    "type": "string"
                },
                "receive_store_id": {
                    "description": "调入门店id",
                    "type": "integer"
                },
                "receive_store_name": {
                    "description": "调入门店名称",
                    "type": "string"
                },
                "receive_time": {
                    "description": "收货时间/调入时间",
                    "type": "string"
                },
                "state": {
                    "description": "调拨状态：1-调拨中 2-已完成",
                    "type": "integer"
                }
            }
        },
        "models.ReportByCommodityData": {
            "type": "object",
            "properties": {
                "amount": {
                    "description": "已执行金额",
                    "type": "number"
                },
                "count": {
                    "description": "已执行数量",
                    "type": "integer"
                },
                "erp_category_id": {
                    "description": "商品分类id",
                    "type": "integer"
                },
                "erp_category_name": {
                    "description": "商品分类名称",
                    "type": "string"
                },
                "erp_commodity_id": {
                    "description": "商品id",
                    "type": "integer"
                },
                "erp_commodity_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "non_execution_amount": {
                    "description": "未执行金额",
                    "type": "number"
                },
                "non_execution_count": {
                    "description": "未执行数量",
                    "type": "integer"
                },
                "order_id": {
                    "description": "采购订单id",
                    "type": "integer"
                },
                "order_info": {
                    "description": "采购订单信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpCommodityPurchaseOrderData"
                    }
                },
                "plan_amount": {
                    "description": "计划采购金额",
                    "type": "number"
                },
                "plan_count": {
                    "description": "计划采购数量",
                    "type": "integer"
                },
                "plan_price": {
                    "description": "计划采购单价",
                    "type": "number"
                },
                "price": {
                    "description": "已执行单价",
                    "type": "number"
                }
            }
        },
        "models.ReportByOrderData": {
            "type": "object",
            "properties": {
                "amount": {
                    "description": "已执行金额",
                    "type": "number"
                },
                "audit_time": {
                    "description": "审核时间",
                    "type": "string"
                },
                "auditor_id": {
                    "description": "审核人id",
                    "type": "integer"
                },
                "auditor_name": {
                    "description": "审核人名称",
                    "type": "string"
                },
                "commodity_data": {
                    "description": "商品信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpPurchaseCommodityData"
                    }
                },
                "count": {
                    "description": "已执行数量",
                    "type": "integer"
                },
                "erp_purchase_order_id": {
                    "description": "采购订单id",
                    "type": "integer"
                },
                "erp_supplier_id": {
                    "description": "供应商id",
                    "type": "integer"
                },
                "erp_supplier_name": {
                    "description": "供应商名称",
                    "type": "string"
                },
                "handler_id": {
                    "description": "经手人id",
                    "type": "integer"
                },
                "handler_name": {
                    "description": "经手人名称",
                    "type": "string"
                },
                "maker_id": {
                    "description": "制单人id",
                    "type": "integer"
                },
                "maker_name": {
                    "description": "制单人名称",
                    "type": "string"
                },
                "maker_time": {
                    "description": "制单时间",
                    "type": "string"
                },
                "price": {
                    "description": "执行单价",
                    "type": "number"
                },
                "purchase_type": {
                    "description": "单据类型:procure-采购 reject-退货",
                    "type": "string"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                },
                "state": {
                    "description": "1-待审核 2-待入库 3-待退货 4-已完成 5-已终止",
                    "type": "integer"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "store_name": {
                    "description": "门店名称",
                    "type": "string"
                }
            }
        },
        "models.ReportByOtherData": {
            "type": "object",
            "properties": {
                "amount": {
                    "description": "金额",
                    "type": "number"
                },
                "category_id": {
                    "description": "商品分类id",
                    "type": "integer"
                },
                "category_name": {
                    "description": "商品分类名称",
                    "type": "string"
                },
                "commodity_id": {
                    "description": "商品id",
                    "type": "integer"
                },
                "commodity_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "commodity_serial_number": {
                    "description": "商品编号",
                    "type": "string"
                },
                "count": {
                    "description": "数量",
                    "type": "integer"
                },
                "stock_time": {
                    "description": "出入库时间",
                    "type": "string"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "store_name": {
                    "description": "门店名称",
                    "type": "string"
                },
                "type": {
                    "description": "出入库方式：1-产品入库 2-盘点入库 3-系统出库 4-盘点出库",
                    "type": "integer"
                }
            }
        },
        "models.ReportByProductData": {
            "type": "object",
            "properties": {
                "amount": {
                    "description": "总金额",
                    "type": "number"
                },
                "category_id": {
                    "description": "商品分类id",
                    "type": "integer"
                },
                "category_name": {
                    "description": "商品分类名称",
                    "type": "string"
                },
                "commodity_id": {
                    "description": "商品id",
                    "type": "integer"
                },
                "commodity_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "commodity_serial_number": {
                    "description": "商品编号",
                    "type": "string"
                },
                "count": {
                    "description": "总数量",
                    "type": "integer"
                },
                "effective_amount": {
                    "description": "有效库存金额",
                    "type": "number"
                },
                "effective_count": {
                    "description": "有效库存数",
                    "type": "integer"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "store_name": {
                    "description": "门店名称",
                    "type": "string"
                },
                "transfer_amount": {
                    "description": "调出中金额",
                    "type": "number"
                },
                "transfer_count": {
                    "description": "调出中数量",
                    "type": "integer"
                }
            }
        },
        "models.ReportDetailData": {
            "type": "object",
            "properties": {
                "difference_price": {
                    "description": "差价",
                    "type": "number"
                },
                "employee_price": {
                    "description": "员工成本价",
                    "type": "number"
                },
                "erp_category_id": {
                    "description": "商品分类id",
                    "type": "integer"
                },
                "erp_category_name": {
                    "description": "商品分类名称",
                    "type": "string"
                },
                "erp_commodity_id": {
                    "description": "商品id",
                    "type": "integer"
                },
                "erp_commodity_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "erp_purchase_order_id": {
                    "description": "采购订单id",
                    "type": "integer"
                },
                "erp_supplier_id": {
                    "description": "供应商id",
                    "type": "integer"
                },
                "erp_supplier_name": {
                    "description": "供应商名称",
                    "type": "string"
                },
                "execute_time": {
                    "description": "出/入库时间",
                    "type": "string"
                },
                "imei": {
                    "description": "商品串码",
                    "type": "string"
                },
                "imei_type": {
                    "description": "1-无串码 2-串码",
                    "type": "integer"
                },
                "order_serial_number": {
                    "description": "单据编号",
                    "type": "string"
                },
                "price": {
                    "description": "采购价",
                    "type": "number"
                },
                "purchase_type": {
                    "description": "单据类型:procure-采购 reject-退货",
                    "type": "string"
                },
                "reject_price": {
                    "description": "退货价",
                    "type": "number"
                },
                "serial_number": {
                    "description": "采购入库编号",
                    "type": "string"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "store_name": {
                    "description": "门店名称",
                    "type": "string"
                }
            }
        },
        "models.ReportOtherDetailData": {
            "type": "object",
            "properties": {
                "category_id": {
                    "description": "商品分类id",
                    "type": "integer"
                },
                "category_name": {
                    "description": "商品分类名称",
                    "type": "string"
                },
                "commodity_id": {
                    "description": "商品id",
                    "type": "integer"
                },
                "commodity_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "employee_price": {
                    "description": "入库员工成本价",
                    "type": "number"
                },
                "imei": {
                    "description": "商品串码",
                    "type": "string"
                },
                "imei_type": {
                    "description": "1-无串码 2-串码",
                    "type": "integer"
                },
                "purchase_price": {
                    "description": "入库采购价",
                    "type": "number"
                },
                "serial_number": {
                    "description": "单据编号",
                    "type": "string"
                },
                "stock_time": {
                    "description": "出入库时间",
                    "type": "string"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "store_name": {
                    "description": "门店名称",
                    "type": "string"
                },
                "supplier_id": {
                    "description": "供应商id",
                    "type": "integer"
                },
                "supplier_name": {
                    "description": "供应商名称",
                    "type": "string"
                },
                "type": {
                    "description": "调拨状态：1-产品入库 2-盘点入库 3-系统出库 4-盘点出库",
                    "type": "integer"
                }
            }
        },
        "models.RetailDetailTotalData": {
            "type": "object",
            "properties": {
                "amount": {
                    "description": "实际零售价",
                    "type": "number"
                },
                "count": {
                    "description": "销售数量",
                    "type": "integer"
                },
                "coupon_discount": {
                    "description": "优惠券抵扣",
                    "type": "number"
                },
                "member_discount": {
                    "description": "会员优惠",
                    "type": "number"
                },
                "retail_price": {
                    "description": "指导零售价",
                    "type": "number"
                },
                "sale_discount": {
                    "description": "零售优惠",
                    "type": "number"
                },
                "sale_price": {
                    "description": "零售价",
                    "type": "number"
                },
                "sales_profit": {
                    "description": "销售毛利",
                    "type": "number"
                },
                "salesman_per": {
                    "description": "销售员提成",
                    "type": "number"
                },
                "staff_price": {
                    "description": "员工成本价",
                    "type": "number"
                },
                "staff_profit": {
                    "description": "员工毛利",
                    "type": "number"
                },
                "store_per": {
                    "description": "门店提成",
                    "type": "number"
                },
                "total_amount": {
                    "description": "订单实收金额",
                    "type": "number"
                },
                "total_cashier_data": {
                    "description": "TotalCashierData",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpOrderCashier"
                    }
                },
                "total_discount": {
                    "description": "订单总优惠：订单所有商品零售优惠+会员优惠+会员积分抵扣之和",
                    "type": "number"
                },
                "total_retail_price": {
                    "description": "订单总指导零售价",
                    "type": "number"
                },
                "total_sales_profit": {
                    "description": "订单总销售毛利",
                    "type": "number"
                },
                "total_sales_profit_per": {
                    "description": "销售毛利提成",
                    "type": "number"
                },
                "total_staff_profit": {
                    "description": "订单总员工毛利",
                    "type": "number"
                },
                "total_staff_profit_per": {
                    "description": "员工毛利提成",
                    "type": "number"
                },
                "vm_discount": {
                    "description": "会员积分抵扣",
                    "type": "number"
                },
                "wholesale_price": {
                    "description": "采购单价",
                    "type": "number"
                }
            }
        },
        "models.RetailMarginData": {
            "type": "object",
            "properties": {
                "count": {
                    "description": "销售数量",
                    "type": "integer"
                },
                "employee_cost": {
                    "description": "员工成本：商品员工成本价之和",
                    "type": "number"
                },
                "employee_gross_margins": {
                    "description": "员工毛利率: 零售销售时：员工毛利/销售金额 零售退货时：员工毛利/退货金额",
                    "type": "string"
                },
                "employee_margin": {
                    "description": "员工毛利：零售销售时：销售金额-员工成本 零售退货时：实际退货金额-员工成本",
                    "type": "number"
                },
                "erp_category_id": {
                    "description": "分类id",
                    "type": "integer"
                },
                "erp_category_name": {
                    "description": "分类名称",
                    "type": "string"
                },
                "erp_commodity_id": {
                    "description": "商品id",
                    "type": "integer"
                },
                "erp_commodity_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "gross_margins": {
                    "description": "销售毛利率:销售毛利/销售/退货金额",
                    "type": "string"
                },
                "retail_type": {
                    "description": "销售类型:sale 零售销售； rejected 零售退货",
                    "type": "string"
                },
                "sales_amount": {
                    "description": "销售/退货金额",
                    "type": "number"
                },
                "sales_cost": {
                    "description": "销售成本：销售采购价之和",
                    "type": "number"
                },
                "sales_margin": {
                    "description": "销售毛利：销售/退货金额-销售成本",
                    "type": "number"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "store_name": {
                    "description": "门店名称",
                    "type": "string"
                }
            }
        },
        "models.ShareCardBillGame": {
            "type": "object",
            "properties": {
                "bill_sn": {
                    "type": "string"
                },
                "count": {
                    "type": "integer"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "game_card": {
                    "$ref": "#/definitions/models.GameCard"
                },
                "game_card_id": {
                    "type": "integer"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "share_cards": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.UserShareCard"
                    }
                },
                "state": {
                    "type": "string"
                },
                "uid": {
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                },
                "user_share_card_bill_id": {
                    "type": "integer"
                }
            }
        },
        "models.ShopperPromotionCode": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "state": {
                    "type": "integer"
                },
                "store_id": {
                    "type": "integer"
                },
                "uid": {
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                },
                "user": {
                    "$ref": "#/definitions/models.UserInfo"
                }
            }
        },
        "models.SpecValue": {
            "type": "object",
            "properties": {
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "display_value": {
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "sort": {
                    "type": "integer"
                },
                "spec_display_name": {
                    "type": "string"
                },
                "spec_id": {
                    "type": "integer"
                },
                "spec_name": {
                    "type": "string"
                },
                "spec_sort": {
                    "type": "integer"
                },
                "state": {
                    "description": "1-未使用 2-使用",
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                },
                "value": {
                    "type": "string"
                }
            }
        },
        "models.Store": {
            "type": "object",
            "properties": {
                "address": {
                    "description": "详细地址",
                    "type": "string"
                },
                "city": {
                    "description": "市",
                    "type": "string"
                },
                "cooperative_assistant_member_deduct": {
                    "description": "GameCardGoods",
                    "allOf": [
                        {
                            "$ref": "#/definitions/models.CooperativeAssistantMemberDeduct"
                        }
                    ]
                },
                "cooperative_business_id": {
                    "description": "合作商id",
                    "type": "integer"
                },
                "cooperative_name": {
                    "description": "合作商名称",
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "district": {
                    "description": "区",
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "img": {
                    "description": "门面图",
                    "type": "string"
                },
                "is_online": {
                    "description": "在线",
                    "type": "integer"
                },
                "latitude": {
                    "description": "纬度",
                    "type": "number"
                },
                "longitude": {
                    "description": "经度",
                    "type": "number"
                },
                "member_service": {
                    "description": "会员服务：1 开启 2 不开启",
                    "type": "integer"
                },
                "name": {
                    "description": "门店名称",
                    "type": "string"
                },
                "province": {
                    "description": "省",
                    "type": "string"
                },
                "sales_comm_rate": {
                    "description": "门店销售提成比例",
                    "type": "number"
                },
                "tel": {
                    "description": "电话",
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.StoreInfo": {
            "type": "object",
            "properties": {
                "expireTime": {
                    "description": "有效期",
                    "type": "string"
                },
                "storeId": {
                    "description": "门店id",
                    "type": "integer"
                },
                "storeName": {
                    "description": "门店名称",
                    "type": "string"
                }
            }
        },
        "models.StoreManageData": {
            "type": "object",
            "properties": {
                "count": {
                    "description": "销售数量",
                    "type": "integer"
                },
                "date": {
                    "description": "时间，如：\"2023-12-25\"",
                    "type": "string"
                },
                "promotion_fee": {
                    "description": "推广费",
                    "type": "number"
                },
                "sales_profit": {
                    "description": "销售毛利",
                    "type": "number"
                },
                "staff_profit": {
                    "description": "员工毛利",
                    "type": "number"
                },
                "total_sales_amount": {
                    "description": "销售额",
                    "type": "number"
                }
            }
        },
        "models.StoreSalesData": {
            "type": "object",
            "properties": {
                "count": {
                    "description": "销售数量",
                    "type": "integer"
                },
                "promotion_fee": {
                    "description": "推广费",
                    "type": "number"
                },
                "sales_profit": {
                    "description": "销售毛利",
                    "type": "number"
                },
                "staff_profit": {
                    "description": "员工毛利",
                    "type": "number"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "store_name": {
                    "description": "门店名称",
                    "type": "string"
                },
                "total_sales_amount": {
                    "description": "销售额",
                    "type": "number"
                }
            }
        },
        "models.Supplier": {
            "type": "object",
            "properties": {
                "account_holder": {
                    "description": "开户人",
                    "type": "string"
                },
                "address": {
                    "description": "详细地址",
                    "type": "string"
                },
                "area": {
                    "description": "区",
                    "type": "string"
                },
                "bank_account": {
                    "description": "银行账号",
                    "type": "string"
                },
                "bank_data": {
                    "description": "开户银行信息",
                    "type": "string"
                },
                "bank_list": {
                    "description": "开户银行信息列表",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.SupplierBankInfo"
                    }
                },
                "city": {
                    "description": "市",
                    "type": "string"
                },
                "company_website": {
                    "description": "公司网址",
                    "type": "string"
                },
                "contact": {
                    "description": "联系人",
                    "type": "string"
                },
                "cooperative_business_id": {
                    "description": "合作商id",
                    "type": "integer"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "email": {
                    "description": "电子邮件",
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "landline": {
                    "description": "座机电话",
                    "type": "string"
                },
                "name": {
                    "description": "供应商名称",
                    "type": "string"
                },
                "number": {
                    "description": "编号",
                    "type": "string"
                },
                "opening_bank": {
                    "description": "开户银行",
                    "type": "string"
                },
                "payment_cycle": {
                    "description": "付款周期/天",
                    "type": "integer"
                },
                "province": {
                    "description": "省",
                    "type": "string"
                },
                "tax_number": {
                    "description": "税号",
                    "type": "string"
                },
                "tel": {
                    "description": "手机号",
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.SupplierBankInfo": {
            "type": "object",
            "properties": {
                "account_holder": {
                    "description": "开户人",
                    "type": "string"
                },
                "bank_account": {
                    "description": "银行账号",
                    "type": "string"
                },
                "opening_bank": {
                    "description": "开户银行",
                    "type": "string"
                }
            }
        },
        "models.SysCategory": {
            "type": "object",
            "properties": {
                "createBy": {
                    "description": "创建者",
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "dataScope": {
                    "type": "string"
                },
                "deletedAt": {
                    "description": "删除时间",
                    "type": "string"
                },
                "id": {
                    "description": "分类Id",
                    "type": "integer"
                },
                "img": {
                    "description": "图片",
                    "type": "string"
                },
                "name": {
                    "description": "名称",
                    "type": "string"
                },
                "params": {
                    "type": "string"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "sort": {
                    "description": "排序",
                    "type": "string"
                },
                "status": {
                    "description": "状态",
                    "type": "string"
                },
                "updateBy": {
                    "description": "更新者",
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.SysConfig": {
            "type": "object",
            "properties": {
                "configId": {
                    "description": "编码",
                    "type": "integer"
                },
                "configKey": {
                    "description": "参数键名",
                    "type": "string"
                },
                "configName": {
                    "description": "参数名称",
                    "type": "string"
                },
                "configType": {
                    "description": "是否系统内置",
                    "type": "string"
                },
                "configValue": {
                    "description": "参数键值",
                    "type": "string"
                },
                "createBy": {
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "dataScope": {
                    "type": "string"
                },
                "deletedAt": {
                    "description": "删除时间",
                    "type": "string"
                },
                "params": {
                    "type": "string"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "updateBy": {
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.SysContent": {
            "type": "object",
            "properties": {
                "cateId": {
                    "description": "分类id",
                    "type": "string"
                },
                "content": {
                    "description": "内容",
                    "type": "string"
                },
                "createBy": {
                    "description": "创建者",
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "dataScope": {
                    "type": "string"
                },
                "deletedAt": {
                    "description": "删除时间",
                    "type": "string"
                },
                "id": {
                    "description": "id",
                    "type": "integer"
                },
                "img": {
                    "description": "图片",
                    "type": "string"
                },
                "name": {
                    "description": "名称",
                    "type": "string"
                },
                "params": {
                    "type": "string"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "sort": {
                    "description": "排序",
                    "type": "string"
                },
                "status": {
                    "description": "状态",
                    "type": "string"
                },
                "updateBy": {
                    "description": "更新者",
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.SysDept": {
            "type": "object",
            "properties": {
                "children": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.SysDept"
                    }
                },
                "createBy": {
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "dataScope": {
                    "type": "string"
                },
                "deletedAt": {
                    "description": "删除时间",
                    "type": "string"
                },
                "deptId": {
                    "description": "部门编码",
                    "type": "integer"
                },
                "deptName": {
                    "description": "部门名称",
                    "type": "string"
                },
                "deptPath": {
                    "type": "string"
                },
                "email": {
                    "description": "邮箱",
                    "type": "string"
                },
                "leader": {
                    "description": "负责人",
                    "type": "string"
                },
                "params": {
                    "type": "string"
                },
                "parentId": {
                    "description": "上级部门",
                    "type": "integer"
                },
                "phone": {
                    "description": "手机",
                    "type": "string"
                },
                "sort": {
                    "description": "排序",
                    "type": "integer"
                },
                "status": {
                    "description": "状态",
                    "type": "string"
                },
                "updateBy": {
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.SysFileDir": {
            "type": "object",
            "properties": {
                "children": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.SysFileDir"
                    }
                },
                "createBy": {
                    "description": "创建人",
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "dataScope": {
                    "type": "string"
                },
                "deletedAt": {
                    "description": "删除时间",
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "label": {
                    "description": "名称",
                    "type": "string"
                },
                "pId": {
                    "description": "父id",
                    "type": "integer"
                },
                "params": {
                    "type": "string"
                },
                "path": {
                    "type": "string"
                },
                "sort": {
                    "description": "排序",
                    "type": "integer"
                },
                "updateBy": {
                    "description": "编辑人",
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.SysOperLog": {
            "type": "object",
            "properties": {
                "businessType": {
                    "description": "操作类型",
                    "type": "string"
                },
                "businessTypes": {
                    "type": "string"
                },
                "createBy": {
                    "description": "创建人",
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "dataScope": {
                    "description": "数据",
                    "type": "string"
                },
                "deletedAt": {
                    "description": "删除时间",
                    "type": "string"
                },
                "deptName": {
                    "description": "部门名称",
                    "type": "string"
                },
                "jsonResult": {
                    "description": "返回数据",
                    "type": "string"
                },
                "latencyime": {
                    "description": "耗时",
                    "type": "string"
                },
                "menuTitle": {
                    "description": "操作模块",
                    "type": "string"
                },
                "method": {
                    "description": "函数",
                    "type": "string"
                },
                "operId": {
                    "description": "日志编码",
                    "type": "integer"
                },
                "operIp": {
                    "description": "客户端ip",
                    "type": "string"
                },
                "operLocation": {
                    "description": "访问位置",
                    "type": "string"
                },
                "operName": {
                    "description": "操作者",
                    "type": "string"
                },
                "operParam": {
                    "description": "请求参数",
                    "type": "string"
                },
                "operTime": {
                    "description": "操作时间",
                    "type": "string"
                },
                "operUrl": {
                    "description": "访问地址",
                    "type": "string"
                },
                "operatorType": {
                    "description": "操作类型",
                    "type": "string"
                },
                "params": {
                    "description": "参数",
                    "type": "string"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "requestMethod": {
                    "description": "请求方式",
                    "type": "string"
                },
                "status": {
                    "description": "操作状态",
                    "type": "string"
                },
                "title": {
                    "description": "操作模块-具体事件",
                    "type": "string"
                },
                "updateBy": {
                    "description": "更新者",
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                },
                "userAgent": {
                    "description": "ua",
                    "type": "string"
                }
            }
        },
        "models.SysRole": {
            "type": "object",
            "properties": {
                "admin": {
                    "type": "boolean"
                },
                "createBy": {
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "dataScope": {
                    "type": "string"
                },
                "deletedAt": {
                    "description": "删除时间",
                    "type": "string"
                },
                "deptIds": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "flag": {
                    "type": "string"
                },
                "menuIds": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "params": {
                    "type": "string"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "roleId": {
                    "description": "角色编码",
                    "type": "integer"
                },
                "roleKey": {
                    "description": "角色代码",
                    "type": "string"
                },
                "roleName": {
                    "description": "角色名称",
                    "type": "string"
                },
                "roleSort": {
                    "description": "角色排序",
                    "type": "integer"
                },
                "status": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.SysUser": {
            "type": "object",
            "properties": {
                "account_type": {
                    "description": "账号类型:1-管理端",
                    "type": "integer"
                },
                "avatar": {
                    "description": "头像",
                    "type": "string"
                },
                "cooperative_business_id": {
                    "description": "合作商id",
                    "type": "integer"
                },
                "cooperative_name": {
                    "description": "合作商名称",
                    "type": "string"
                },
                "createBy": {
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "dataScope": {
                    "type": "string"
                },
                "deletedAt": {
                    "description": "删除时间",
                    "type": "string"
                },
                "deptId": {
                    "description": "部门编码",
                    "type": "integer"
                },
                "email": {
                    "description": "邮箱",
                    "type": "string"
                },
                "nickName": {
                    "description": "昵称",
                    "type": "string"
                },
                "params": {
                    "type": "string"
                },
                "password": {
                    "description": "密码",
                    "type": "string"
                },
                "phone": {
                    "description": "手机号",
                    "type": "string"
                },
                "postId": {
                    "description": "职位编码",
                    "type": "integer"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "roleId": {
                    "description": "角色编码",
                    "type": "integer"
                },
                "sales_comm_rate": {
                    "description": "销售提成比例",
                    "type": "number"
                },
                "salt": {
                    "description": "盐",
                    "type": "string"
                },
                "sex": {
                    "description": "性别",
                    "type": "string"
                },
                "shopper_code": {
                    "description": "店员兑换码",
                    "type": "string"
                },
                "status": {
                    "description": "状态",
                    "type": "string"
                },
                "store_data": {
                    "description": "有效门店",
                    "type": "string"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "store_list": {
                    "description": "有效门店列表",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.StoreInfo"
                    }
                },
                "store_name": {
                    "description": "门店名称",
                    "type": "string"
                },
                "uid": {
                    "description": "用户uid todo 待添加",
                    "type": "integer"
                },
                "updateBy": {
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                },
                "userId": {
                    "description": "编码",
                    "type": "integer"
                },
                "username": {
                    "description": "用户名",
                    "type": "string"
                }
            }
        },
        "models.SysUserListResp": {
            "type": "object",
            "properties": {
                "count": {
                    "description": "总条数",
                    "type": "integer"
                },
                "export_url": {
                    "description": "导出excel路径",
                    "type": "string"
                },
                "list": {
                    "description": "采购报表信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.SysUserPage"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                }
            }
        },
        "models.SysUserPage": {
            "type": "object",
            "properties": {
                "account_type": {
                    "description": "账号类型:1-管理端",
                    "type": "integer"
                },
                "avatar": {
                    "description": "头像",
                    "type": "string"
                },
                "cooperative_business_id": {
                    "description": "合作商id",
                    "type": "integer"
                },
                "cooperative_name": {
                    "description": "合作商名称",
                    "type": "string"
                },
                "createBy": {
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "dataScope": {
                    "type": "string"
                },
                "deletedAt": {
                    "description": "删除时间",
                    "type": "string"
                },
                "deptId": {
                    "description": "部门编码",
                    "type": "integer"
                },
                "deptName": {
                    "type": "string"
                },
                "email": {
                    "description": "邮箱",
                    "type": "string"
                },
                "nickName": {
                    "description": "昵称",
                    "type": "string"
                },
                "params": {
                    "type": "string"
                },
                "password": {
                    "description": "密码",
                    "type": "string"
                },
                "phone": {
                    "description": "手机号",
                    "type": "string"
                },
                "postId": {
                    "description": "职位编码",
                    "type": "integer"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "roleId": {
                    "description": "角色编码",
                    "type": "integer"
                },
                "sales_comm_rate": {
                    "description": "销售提成比例",
                    "type": "number"
                },
                "salt": {
                    "description": "盐",
                    "type": "string"
                },
                "sex": {
                    "description": "性别",
                    "type": "string"
                },
                "shopper_code": {
                    "description": "店员兑换码",
                    "type": "string"
                },
                "status": {
                    "description": "状态",
                    "type": "string"
                },
                "store_data": {
                    "description": "有效门店",
                    "type": "string"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "store_list": {
                    "description": "有效门店列表",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.StoreInfo"
                    }
                },
                "store_name": {
                    "description": "门店名称",
                    "type": "string"
                },
                "uid": {
                    "description": "用户uid todo 待添加",
                    "type": "integer"
                },
                "updateBy": {
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                },
                "userId": {
                    "description": "编码",
                    "type": "integer"
                },
                "username": {
                    "description": "用户名",
                    "type": "string"
                }
            }
        },
        "models.TableData": {
            "type": "object",
            "properties": {
                "DJ": {
                    "description": "商品指导零售价",
                    "type": "number"
                },
                "JE": {
                    "description": "商品指导零售价乘以销售数量",
                    "type": "number"
                },
                "SL": {
                    "description": "销售数量",
                    "type": "integer"
                },
                "imei": {
                    "description": "串码",
                    "type": "string"
                },
                "name": {
                    "type": "string"
                }
            }
        },
        "models.TelListReq": {
            "type": "object",
            "required": [
                "phone_num"
            ],
            "properties": {
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "phone_num": {
                    "type": "string"
                }
            }
        },
        "models.U": {
            "type": "object",
            "properties": {
                "appOpenID": {
                    "type": "string"
                },
                "bond": {
                    "description": "保证金",
                    "type": "integer"
                },
                "city": {
                    "description": "城市",
                    "type": "string"
                },
                "cooperative_business_id": {
                    "description": "合作商id",
                    "type": "integer"
                },
                "cooperative_name": {
                    "description": "合作商名称",
                    "type": "string"
                },
                "country": {
                    "description": "市",
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "deposit": {
                    "description": "押金",
                    "type": "integer"
                },
                "first_retail_order": {
                    "description": "首次零售开单时间",
                    "type": "string"
                },
                "forfeit_penalty": {
                    "description": "滞纳金",
                    "type": "integer"
                },
                "gender": {
                    "description": "性别",
                    "type": "integer"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "in_black": {
                    "description": "是否在黑名单",
                    "type": "boolean"
                },
                "invite_code_url": {
                    "description": "分享二维码",
                    "type": "string"
                },
                "invite_time": {
                    "type": "string"
                },
                "last_login_at": {
                    "description": "最近登录时间",
                    "type": "string"
                },
                "mark": {
                    "description": "标记",
                    "type": "integer"
                },
                "member_discount_flag": {
                    "description": "会员优惠标志：0-不享受会员优惠，1-可享受会员优惠",
                    "type": "integer"
                },
                "member_expire": {
                    "description": "会员到期时间",
                    "type": "string"
                },
                "member_expire_days": {
                    "description": "会员过期天数",
                    "type": "integer"
                },
                "member_genre": {
                    "description": "会员类型 200-黄金年费 201-黄金季度 202-黄金半年",
                    "type": "integer"
                },
                "member_level": {
                    "description": "当前会员等级:10-普通用户 1-普通会员 2-黄金会员 4-白金会员 5-黑金会员",
                    "type": "integer"
                },
                "member_open_time": {
                    "type": "string"
                },
                "member_status": {
                    "type": "integer"
                },
                "open_member_channel": {
                    "description": "开通会员渠道: -门店推广 -用户邀请 -兑换码",
                    "type": "string"
                },
                "open_member_level": {
                    "description": "开通会员级别：10-普通用户 1-普通会员 2-黄金会员 4-白金会员 5-黑金会员",
                    "type": "integer"
                },
                "open_member_time": {
                    "description": "开通会员时间",
                    "type": "string"
                },
                "order_amount": {
                    "description": "消费金额",
                    "type": "number"
                },
                "order_cards": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.OrderCard"
                    }
                },
                "order_count": {
                    "description": "消费次数",
                    "type": "integer"
                },
                "province": {
                    "description": "省",
                    "type": "string"
                },
                "shop_assistant_name": {
                    "description": "店员名称",
                    "type": "string"
                },
                "store": {
                    "$ref": "#/definitions/models.Store"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "tel": {
                    "description": "电话",
                    "type": "string"
                },
                "uid": {
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                },
                "user_type": {
                    "description": "用户类型 1-普通用户 2-店员",
                    "type": "integer"
                },
                "vm": {
                    "description": "用户积分",
                    "type": "integer"
                },
                "wxAvatar": {
                    "description": "头像",
                    "type": "string"
                },
                "wxName": {
                    "description": "昵称",
                    "type": "string"
                },
                "wxOpenID": {
                    "description": "微信openid",
                    "type": "string"
                },
                "wxUnionID": {
                    "description": "微信unionId",
                    "type": "string"
                },
                "xcx_role_id": {
                    "description": "角色id",
                    "type": "integer"
                }
            }
        },
        "models.UserInfo": {
            "type": "object",
            "properties": {
                "appOpenID": {
                    "type": "string"
                },
                "bond": {
                    "description": "保证金",
                    "type": "integer"
                },
                "city": {
                    "description": "城市",
                    "type": "string"
                },
                "cooperative_business_id": {
                    "description": "合作商id",
                    "type": "integer"
                },
                "cooperative_name": {
                    "description": "合作商名称",
                    "type": "string"
                },
                "country": {
                    "description": "市",
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "deposit": {
                    "description": "押金",
                    "type": "integer"
                },
                "first_retail_order": {
                    "description": "首次零售开单时间",
                    "type": "string"
                },
                "forfeit_penalty": {
                    "description": "滞纳金",
                    "type": "integer"
                },
                "gender": {
                    "description": "性别",
                    "type": "integer"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "in_black": {
                    "description": "是否在黑名单",
                    "type": "boolean"
                },
                "invite_code_url": {
                    "description": "分享二维码",
                    "type": "string"
                },
                "invite_time": {
                    "type": "string"
                },
                "last_login_at": {
                    "description": "最近登录时间",
                    "type": "string"
                },
                "mark": {
                    "description": "标记",
                    "type": "integer"
                },
                "member_discount_flag": {
                    "description": "会员优惠标志：0-不享受会员优惠，1-可享受会员优惠",
                    "type": "integer"
                },
                "member_expire": {
                    "description": "会员到期时间",
                    "type": "string"
                },
                "member_genre": {
                    "description": "会员类型 200-黄金年费 201-黄金季度 202-黄金半年",
                    "type": "integer"
                },
                "member_level": {
                    "description": "当前会员等级:10-普通用户 1-普通会员 2-黄金会员 4-白金会员 5-黑金会员",
                    "type": "integer"
                },
                "member_open_time": {
                    "type": "string"
                },
                "member_status": {
                    "type": "integer"
                },
                "open_member_channel": {
                    "description": "开通会员渠道: -门店推广 -用户邀请 -兑换码",
                    "type": "string"
                },
                "open_member_level": {
                    "description": "开通会员级别：10-普通用户 1-普通会员 2-黄金会员 4-白金会员 5-黑金会员",
                    "type": "integer"
                },
                "open_member_time": {
                    "description": "开通会员时间",
                    "type": "string"
                },
                "order_cards": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.OrderCard"
                    }
                },
                "province": {
                    "description": "省",
                    "type": "string"
                },
                "shop_assistant_name": {
                    "description": "店员名称",
                    "type": "string"
                },
                "store": {
                    "$ref": "#/definitions/models.Store"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "tel": {
                    "description": "电话",
                    "type": "string"
                },
                "uid": {
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                },
                "user_type": {
                    "description": "用户类型 1-普通用户 2-店员",
                    "type": "integer"
                },
                "wxAvatar": {
                    "description": "头像",
                    "type": "string"
                },
                "wxName": {
                    "description": "昵称",
                    "type": "string"
                },
                "wxOpenID": {
                    "description": "微信openid",
                    "type": "string"
                },
                "wxUnionID": {
                    "description": "微信unionId",
                    "type": "string"
                },
                "xcx_role_id": {
                    "description": "角色id",
                    "type": "integer"
                }
            }
        },
        "models.UserInviteRecordListData": {
            "type": "object",
            "properties": {
                "create_time": {
                    "description": "注册小程序时间",
                    "type": "string"
                },
                "invite_uid": {
                    "description": "邀请人ID",
                    "type": "integer"
                },
                "invite_user_name": {
                    "description": "邀请人昵称",
                    "type": "string"
                },
                "memberExpire": {
                    "description": "租卡会员到期时间",
                    "type": "string"
                },
                "member_level": {
                    "description": "当前租卡会员类型：1-普通 2-黄金 4-白金 5-黑金",
                    "type": "integer"
                },
                "privilege_memberExpire": {
                    "description": "尊享会员到期时间",
                    "type": "string"
                },
                "privilege_member_level": {
                    "description": "当前尊享会员类型：1-普通 6-尊享会员",
                    "type": "integer"
                },
                "record_time": {
                    "description": "记录时间",
                    "type": "string"
                },
                "record_type": {
                    "description": "记录类型",
                    "type": "integer"
                },
                "store_id": {
                    "description": "邀请人所属门店id",
                    "type": "integer"
                },
                "store_name": {
                    "description": "邀请人所属门店名称",
                    "type": "string"
                },
                "user_tel": {
                    "description": "用户手机号",
                    "type": "string"
                },
                "user_uid": {
                    "description": "用户ID",
                    "type": "integer"
                }
            }
        },
        "models.UserInviteRecordListResp": {
            "type": "object",
            "properties": {
                "export_url": {
                    "description": "导出excel地址",
                    "type": "string"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.UserInviteRecordListData"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "每页展示条数",
                    "type": "integer"
                },
                "total": {
                    "description": "总条数",
                    "type": "integer"
                }
            }
        },
        "models.UserShareCard": {
            "type": "object",
            "properties": {
                "allot_card_goods_id": {
                    "description": "库存共享卡id",
                    "type": "integer"
                },
                "allot_serial_number": {
                    "description": "库存共享卡编号 分配收回卡 绑定新卡编号",
                    "type": "string"
                },
                "bill_sn": {
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "game_card": {
                    "$ref": "#/definitions/models.GameCard"
                },
                "game_card_goods": {
                    "$ref": "#/definitions/models.GameCardGoods"
                },
                "game_card_goods_id": {
                    "type": "integer"
                },
                "game_card_id": {
                    "type": "integer"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "profit_state": {
                    "description": "1-未生效 2-生效",
                    "type": "integer"
                },
                "retrieve_game_card_goods_id": {
                    "description": "收回卡id",
                    "type": "integer"
                },
                "retrieve_serial_number": {
                    "description": "收卡编号",
                    "type": "string"
                },
                "serial_number": {
                    "description": "编号",
                    "type": "string"
                },
                "share_card_bill_game_id": {
                    "type": "integer"
                },
                "state": {
                    "type": "string"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "total_vm": {
                    "description": "累计积分",
                    "type": "integer"
                },
                "uid": {
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                },
                "user_info": {
                    "$ref": "#/definitions/models.UserInfo"
                },
                "user_share_card": {
                    "$ref": "#/definitions/models.UserShareCard"
                },
                "user_share_card_bill_id": {
                    "type": "integer"
                }
            }
        },
        "models.UserShareCardBill": {
            "type": "object",
            "properties": {
                "bill_games": {
                    "description": "user_share_card_bill",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ShareCardBillGame"
                    }
                },
                "bill_sn": {
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "express_company": {
                    "description": "物流公司",
                    "type": "string"
                },
                "express_company_no": {
                    "description": "物流公司编号",
                    "type": "string"
                },
                "express_no": {
                    "description": "物流单号",
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "remark": {
                    "type": "string"
                },
                "retrieve_time": {
                    "description": "收回卡时间 申请收回",
                    "type": "string"
                },
                "send_card_time": {
                    "description": "递送卡时间",
                    "type": "string"
                },
                "send_card_type": {
                    "description": "1-送卡 2-邮寄",
                    "type": "integer"
                },
                "state": {
                    "type": "string"
                },
                "stock_removal_time": {
                    "description": "出库时间",
                    "type": "string"
                },
                "stock_time": {
                    "description": "入库时间",
                    "type": "string"
                },
                "store": {
                    "description": "门店",
                    "allOf": [
                        {
                            "$ref": "#/definitions/models.Store"
                        }
                    ]
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "uid": {
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "tools.Params": {
            "type": "object",
            "properties": {
                "treeCode": {
                    "type": "string"
                },
                "treeName": {
                    "type": "string"
                },
                "treeParentCode": {
                    "type": "string"
                }
            }
        },
        "tools.SysColumns": {
            "type": "object",
            "properties": {
                "columnComment": {
                    "type": "string"
                },
                "columnId": {
                    "type": "integer"
                },
                "columnName": {
                    "type": "string"
                },
                "columnType": {
                    "type": "string"
                },
                "createBy": {
                    "type": "string"
                },
                "createdAt": {
                    "type": "string"
                },
                "deletedAt": {
                    "type": "string"
                },
                "dictType": {
                    "type": "string"
                },
                "edit": {
                    "type": "boolean"
                },
                "fkCol": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/tools.SysColumns"
                    }
                },
                "fkLabelId": {
                    "type": "string"
                },
                "fkLabelName": {
                    "type": "string"
                },
                "fkTableName": {
                    "type": "string"
                },
                "fkTableNameClass": {
                    "type": "string"
                },
                "fkTableNamePackage": {
                    "type": "string"
                },
                "goField": {
                    "type": "string"
                },
                "goType": {
                    "type": "string"
                },
                "htmlType": {
                    "type": "string"
                },
                "increment": {
                    "type": "boolean"
                },
                "insert": {
                    "type": "boolean"
                },
                "isEdit": {
                    "type": "string"
                },
                "isIncrement": {
                    "type": "string"
                },
                "isInsert": {
                    "type": "string"
                },
                "isList": {
                    "type": "string"
                },
                "isPk": {
                    "type": "string"
                },
                "isQuery": {
                    "type": "string"
                },
                "isRequired": {
                    "type": "string"
                },
                "jsonField": {
                    "type": "string"
                },
                "list": {
                    "type": "string"
                },
                "pk": {
                    "type": "boolean"
                },
                "query": {
                    "type": "boolean"
                },
                "queryType": {
                    "type": "string"
                },
                "remark": {
                    "type": "string"
                },
                "required": {
                    "type": "boolean"
                },
                "sort": {
                    "type": "integer"
                },
                "superColumn": {
                    "type": "boolean"
                },
                "tableId": {
                    "type": "integer"
                },
                "updateBy": {
                    "type": "string"
                },
                "updatedAt": {
                    "type": "string"
                },
                "usableColumn": {
                    "type": "boolean"
                }
            }
        },
        "tools.SysTables": {
            "type": "object",
            "properties": {
                "businessName": {
                    "type": "string"
                },
                "className": {
                    "description": "类名",
                    "type": "string"
                },
                "columns": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/tools.SysColumns"
                    }
                },
                "createBy": {
                    "type": "string"
                },
                "createdAt": {
                    "type": "string"
                },
                "crud": {
                    "type": "boolean"
                },
                "dataScope": {
                    "type": "string"
                },
                "deletedAt": {
                    "type": "string"
                },
                "functionAuthor": {
                    "description": "功能作者",
                    "type": "string"
                },
                "functionName": {
                    "description": "功能名称",
                    "type": "string"
                },
                "isActions": {
                    "type": "integer"
                },
                "isAuth": {
                    "type": "integer"
                },
                "isDataScope": {
                    "type": "integer"
                },
                "isLogicalDelete": {
                    "type": "string"
                },
                "logicalDelete": {
                    "type": "boolean"
                },
                "logicalDeleteColumn": {
                    "type": "string"
                },
                "moduleName": {
                    "description": "模块名",
                    "type": "string"
                },
                "options": {
                    "type": "string"
                },
                "packageName": {
                    "description": "包名",
                    "type": "string"
                },
                "params": {
                    "$ref": "#/definitions/tools.Params"
                },
                "pkColumn": {
                    "type": "string"
                },
                "pkGoField": {
                    "type": "string"
                },
                "pkJsonField": {
                    "type": "string"
                },
                "remark": {
                    "type": "string"
                },
                "tableComment": {
                    "description": "表备注",
                    "type": "string"
                },
                "tableId": {
                    "description": "表编码",
                    "type": "integer"
                },
                "tableName": {
                    "description": "表名称",
                    "type": "string"
                },
                "tplCategory": {
                    "type": "string"
                },
                "tree": {
                    "type": "boolean"
                },
                "treeCode": {
                    "type": "string"
                },
                "treeName": {
                    "type": "string"
                },
                "treeParentCode": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "string"
                },
                "updatedAt": {
                    "type": "string"
                }
            }
        }
    }
}`

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = &swag.Spec{
	Version:          "",
	Host:             "",
	BasePath:         "",
	Schemes:          []string{},
	Title:            "",
	Description:      "",
	InfoInstanceName: "swagger",
	SwaggerTemplate:  docTemplate,
	LeftDelim:        "{{",
	RightDelim:       "}}",
}

func init() {
	swag.Register(SwaggerInfo.InstanceName(), SwaggerInfo)
}
